Debian Bug report logs - #573745
Please decide on Python interpreter packages maintainership

Package: tech-ctte; Maintainer for tech-ctte is Technical Committee <debian-ctte@lists.debian.org>;

Reported by: Sandro Tosi <morph@debian.org>

Date: Sat, 13 Mar 2010 16:39:01 UTC

Severity: normal

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 13 Mar 2010 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
New Bug report received and forwarded. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 13 Mar 2010 16:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please decide on Python interpreter packages maintainership
Date: Sat, 13 Mar 2010 17:24:51 +0100
[Message part 1 (text/plain, inline)]
Package: tech-ctte
Severity: normal

Hello Technical Committee,
we'd like you to decide about how the Python interpreter packages
should be maintained in Debian.

The problems that we have with the current situation can mostly
be described by having a look at the way the Python 2.6
transition is being handled.

1. The Python maintainer delayed the upload of version 2.6 for 14
   months since the first upstream release, without giving a
   valid technical reason for doing so. At the same time, the
   same maintainer uploaded said Python 2.6 package quickly to
   Ubuntu, which released twice with this version as default
   before it was uploaded to unstable.

2. When finally uploaded, the python2.6 package contained an
   unplanned transition to a new location for installed
   modules. This solution was not discussed at all with other
   maintainers and led to major changes having to be rushed into
   all packaging tools, and hundreds of packages left to be
   fixed.

3. The Python maintainer didn't provide any kind of impact
   analysis of this transition, leaving all the burden on other
   maintainers (mostly the Python modules team) and didn't try to
   set up dialogue with the team, which was left to file bugs and
   do NMUs so that packages could build cleanly with these
   changes. At the same time, the same maintainer provided a very
   thorough analysis of the upcoming changes in GCC 4.5,
   collaborating with other developers to test them on a large
   scale, and thus proving he has all technical and communication
   skills to do this.

4. The Python maintainer delayed adding python2.6 to the
   supported versions, asking for python2.4 to be removed
   first. It is a good thing to remove python2.4 of course, but
   it could have been done later (or earlier), without delaying
   the former important step.

5. The Python maintainer didn't provide an environment where
   maintainers could test their packages with python2.6 as
   default in experimental, which is something that was asked
   since he announced the 2.6 transition. Again, the Python
   modules team was left the burden of setting up test
   environments, filing bugs, helping other maintainers to fix
   their packages, preparing and sponsoring NMUs, etc. When asked
   about this situation, he replied indirectly (using another
   developer as a proxy) that he is working on adding additional
   features unrelated to the transition before this happens.

6. The Python maintainer has still virtually zero communication
   with the Debian Python modules and Python applications teams,
   and there seems to have been no significant progress in this.

This situation is not new. Similar problems occurred for previous
Python transitions, starting as early as python2.2 and getting
worse over the time, despite the increasing amount of work put in
Python-related tools and of people involved in Python
packaging. A common pattern is that he often blocks important
transitions to force some controversial, unrelated technical
changes to be implemented before these transitions happen.

Given all these points, we think that the current Python
maintainer has no real interest in maintaining Python in Debian,
and no interest in working in an open fashion with other people
committed in this area. Therefore, we.d like to move the
maintainership of pythonX.Y* (interpreters and related packages)
and python-defaults (due to its specific role in the Python
environment) packages to a team of people that already showed
their involvement in Python in Debian, their ability to work in a
team, and their will to bring a constant attention to Python in
Debian; among them we propose ourselves:

 - Luca Falavigna <dktrkranz@debian.org>
 - Josselin Mouette <joss@debian.org>
 - Sandro Tosi <morph@debian.org>
 - Bernd Zeimetz <bzed@debian.org>
 - anyone else willing to help, including of course the current
   maintainer, provided the above points are met.

Thanks to the amount of work the Python modules team has done for
this transition, Python 2.6 can now become the default version in
unstable (of course after the approval of the Release Team) with
minimal breakage, so that time can be the smoother one to hand
the package over to a team.

Thanks for your attention,
Luca, Josselin, Sandro, Bernd

PS: attached you can find the same text along with our signature of it.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[python_tech-ctte (text/plain, attachment)]
[python_tech-ctte.asc_bzed (application/pgp-signature, attachment)]
[python_tech-ctte.asc_dktrkranz (application/pgp-signature, attachment)]
[python_tech-ctte.asc_joss (application/pgp-signature, attachment)]
[python_tech-ctte.asc_morph (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 13 Mar 2010 20:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 13 Mar 2010 20:06:02 GMT) Full text and rfc822 format available.

Message #10 received at 573745@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Sandro Tosi <morph@debian.org>, 573745@bugs.debian.org
Cc: doko@debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sat, 13 Mar 2010 13:02:30 -0700
[Message part 1 (text/plain, inline)]
On Sat, 13 Mar 2010 17:24:51 +0100, Sandro Tosi <morph@debian.org> wrote:
> Package: tech-ctte
> Severity: normal
> 
> Hello Technical Committee,
> we'd like you to decide about how the Python interpreter packages
> should be maintained in Debian.

Thank you for bringing this to the Committee's attention.  However, I
was a little surprised to see this filed without a CC to the current
package maintainer.  It seems our next step should be to invite him to
comment on the issues raised from his perspective. 

Matthias?

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 13 Mar 2010 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 13 Mar 2010 21:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Bdale Garbee <bdale@gag.com>
Cc: 573745@bugs.debian.org, doko@debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sat, 13 Mar 2010 21:59:32 +0100
Hello,
thanks for the fast reply.

On Sat, Mar 13, 2010 at 21:02, Bdale Garbee <bdale@gag.com> wrote:
> On Sat, 13 Mar 2010 17:24:51 +0100, Sandro Tosi <morph@debian.org> wrote:
>> Package: tech-ctte
>> Severity: normal
>>
>> Hello Technical Committee,
>> we'd like you to decide about how the Python interpreter packages
>> should be maintained in Debian.
>
> Thank you for bringing this to the Committee's attention.  However, I
> was a little surprised to see this filed without a CC to the current
> package maintainer.  It seems our next step should be to invite him to
> comment on the issues raised from his perspective.

Well, I didn't know how you want to conduct the request, so didn't set
any CC (neither Matthias nor co-signers), taking the more cautious
side.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Wed, 17 Mar 2010 22:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 17 Mar 2010 22:54:07 GMT) Full text and rfc822 format available.

Message #20 received at 573745@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Sandro Tosi <morph@debian.org>, 573745@bugs.debian.org, doko@debian.org, leader@debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Wed, 17 Mar 2010 16:50:45 -0600
[Message part 1 (text/plain, inline)]
On Sat, 13 Mar 2010 17:24:51 +0100, Sandro Tosi <morph@debian.org> wrote:
> Package: tech-ctte
> Severity: normal
> 
> Hello Technical Committee,
> we'd like you to decide about how the Python interpreter packages
> should be maintained in Debian.

I've spent several hours since my last message communicating with the
current Python maintainer, reading various mailing list threads and bug
logs, and generally trying to understand the situation as best I can.

It bothers me that what you've brought to the TC is a rant about your
frustrations culminating in a request to remove someone else from their
role, rather than a crisper articulation of what's wrong and a plan that
explains how we should move forward.  In my reading and discussion with
others, there are hints about different agreements at different times
between different people about how to handle various transitions, but as
someone not party to the various discussions over time, I wish I could
find a single, well articulated policy for Python in Debian.  There are
more people I want to talk to, and perhaps one or more of them will make
everything clear to me... but I do not want to delay things further.

I realize this may not be what you had in mind when you asked the TC to
"decide about how the Python interpreter packages should be maintained
in Debian", but now that you've opened Pandora's box, I believe we have
a responsibility to understand the underlying problems that apparently
have plagued Python policy for years, so that whatever decision we take
will ensure the most positive outcome for Python handling in Debian in
the future.

I'm adding the DPL to this reply because it seems possible that the only
way to achieve this objective might be an in-person Debian Python Summit
meeting, moderated by members of the TC, where we can work through all
the issues and come to consensus.  Perhaps we can resolve our problems
by email and/or IRC, but the mere existence of this petition to the TC
and what it implies about communication disconnects makes me doubt that. 

Before I'll be willing to support any Technical Committee action on this
petition, I believe we need a detailed and competent plan articulated,
that explains how we get from where we are today to a single policy for
Python in Debian, and that covers at least: 

1) our philosophy for handling multiple Python interpreter versions
2) the supported approach(es) to packaging Python modules
3) an analysis of the effort involved and who needs to do what
4) a tentative schedule of milestones to completion, including what
can and should be done before squeeze freeze
5) explicit commitment by involved parties to do the required work

> transitions to force some controversial, unrelated technical
> changes to be implemented before these transitions happen.

I think this is a key part of the problem.  The Python maintainer does
not seem to believe that these are unrelated technical issues.  And the
controversy that does exist seems now to be more fueled by a combination
of emotion and inertia than technical concerns.  We need to get past
that, and focus our attentions squarely on a good Python technical
policy and associated implementation plan.  I think everything else will
flow fairly easily if we can accomplish that.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 18 Mar 2010 17:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 18 Mar 2010 17:03:09 GMT) Full text and rfc822 format available.

Message #25 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Sandro Tosi <morph@debian.org>, 573745@bugs.debian.org, doko@debian.org, leader@debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Thu, 18 Mar 2010 17:59:21 +0100
* Bdale Garbee (bdale@gag.com) [100318 00:00]:
> I'm adding the DPL to this reply because it seems possible that the only
> way to achieve this objective might be an in-person Debian Python Summit
> meeting, moderated by members of the TC, where we can work through all
> the issues and come to consensus.  Perhaps we can resolve our problems
> by email and/or IRC, but the mere existence of this petition to the TC
> and what it implies about communication disconnects makes me doubt that. 

I agree. I tried to get one such meeting done some time ago (see
below). I can understand if people are so frustrated now that they
escalate to the tech ctte. However, at least at this time I don't
think I'll vote for a new maintainer (team) if we didn't at least try
to resolve the basic issues before.


Andi


From: Andreas Barth
To: doko, joss, zack, bzed, piotr, dktrkranz, scottk
Cc: leader, release team
Subject: status of python / face2face-meeting?
Date: Sun, 27 Sep 2009 13:32:47 +0200
Message-ID: <20090927113247.GH9745@mails.so.argh.org>
Content-Type: text/plain; charset=us-ascii
User-Agent: Mutt/1.5.18 (2008-05-17)

[ mail adresses removed -- Andi, 18.3.2010 ]
[ second sidenote - the recipient list of the mail is not necessarily
complete - please feel free to suggest additional recipients, I'm happy to
include more people ]
                                                                                                                                                                                                            Hi,
                                                                                                                                                                                                            as part of the recent release mails, we got some - well, "complaints" is
the wrong word, but definitly in that direction - mails about python2.6 (or
rather its inexistence in unstable). Also there doesn't seem to be a
common mindset how to place files etc etc, see e.g.
http://bugs.debian.org/474630 (this is an example, not a "there needs to be
some action now").

As you might know, I'm not a member of the Debian Python Community, but I'm
a member of the Release Community, and I'm a frequent python user/code writer
(actually the language of my choice for many tasks). For this reason, it
might be that I didn't pick up all the necessary/recommended people for
this mail - sorry if I have, I don't want to step up on anybodys toes.

From my discussions on IRC, I have the impression that all involved people
are unhappy with the current situation, that there are still some issues
lingering around for quite some time, and this combination makes it
impossible to resolve the (real) issues we have.

On the other hand, it seems to me that overall python packaging has
progressed in Debian quite much since I last looked at it, and I think we
should try to build up on our experiences since 2006.


For this reason, I'm proposing to meet us all for a weekend in real, and
try to get the root issues resolved then and there. This of course means
getting an agenda in time before the meeting. This also means that we
definitly need to meet us on Friday evening latest so that we have really
the full Saturday to understand the reasons people have for their wishes
and needs. Also, we need to have at least half of Sunday available, so that
we can re-consider our ideas over night, and don't need to make decisions
in a rush. In case we are going to do that, I'd look if I can get some
Debian-friendly "upstream" person who is not involved yet for a second
opinion.

If I should follow on that, please tell me. I already spoke with Steve, we
can use Debian ressources (i.e. money) for that. (If you think this
wouldn't help please say as well - that'd save us all the effort of the
meeting.)


Cheers,
Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 18 Mar 2010 20:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 18 Mar 2010 20:06:06 GMT) Full text and rfc822 format available.

Message #30 received at 573745@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Thu, 18 Mar 2010 21:03:28 +0100
[Message part 1 (text/plain, inline)]
[Andreas Barth 2010-03-18]
> I agree. I tried to get one such meeting done some time ago (see
> below)

Here's my reply from that thread (Matthias or DPL never
responsed, or at least I wasn't in the loop)


[Piotr Ożarowski, 2009-09-27]
> Adding Raphael Hertzog to Cc as he knows the beginning of py{central,support}
> saga much better that I do and IMO always tries to find a consensus
> instead of arguing till death :-)
> 
> > as part of the recent release mails, we got some - well, "complaints" is
> > the wrong word, but definitly in that direction - mails about python2.6 (or
> > rather its inexistence in unstable).
> 
> Debian's Python situation is not perfect indeed. I don't know if it was
> better in the past - when I joined Debian few years ago it was already
> one big minefield[1] which doesn't help maintaining Python packages /
> recruiting new developers.
> 
> [1] outdated Debian Python Policy (no consensus about what it should
>     contain), unwritten rules, 3 different (mostly undocumented) helper
>     tools, python maintainer not really active (yes, even then, see
>     reasons for founding DPMT), cdbs not supporting these new tools at
>     all (dh didn't exist at that time), maintainers forced to do lots of
>     work in debian/rules in order to satisfy not existing policy, ...
> 
> Let me shortly describe the situation from my perspective (i.e. from a
> person who don't know much about what happened in Mexico).
> 
> I started with dh_pysupport (which was the only tool available in
> unstable, except dh_python) but switched most of my packages (not all)
> to dh_pycentral really soon after that as I thought it was better
> designed - it supported Python extensions and didn't provide additional
> problems with __file__ and namespace issues (i.e. it stored .pyc files
> where everybody expected them to be). After a while, dh_pysupport
> started to be more and more mature (Python extensions support, bugs
> fixed really fast, additional features like Egg renaming, namespace
> (re)generation[2], etc.) and pycentral didn't change much and when it
> did change, it broke lots of packages by some internal changes never
> announced to anybody.
> 
> [2] IIRC, this was the only change not really well announced/tested and
>     with wrong (see #459468) defaults in pysupport
> 
> So I took advantage of the fact that nobody really sponsored Python
> packages[3] and that many DDs (who were my sponsorees in the past or
> whom I helped with some Python related problems) trusted me and decided
> to get rid of one of the tools: python-central. And it worked fine, lots
> of packages were converted in the last few months.
> 
> [3] see [1] for possible reasons
> 
> Then, after I talked with Matthias (on my first DebConf) and realized
> that he will not upload python2.6 until we'll fix the helpers issue once
> and for all - I tried to pick up one of his ideas - symlinks (it's
> almost perfect solution - the only real problem is the fact that
> arch:all packages needs to be rebuilt once list of supported Python
> version changes), try to adjust it a little bit (f.e. remove his pet -
> "current" keyword), and if it will be accepted - update official Debian
> Python Policy...
> 
> That didn't work that well. Surprisingly many developers didn't like the
> idea and didn't even want to discuss it[4] and Joss is obviously not
> interested in changing status quo as status quo means removing
> python-central at some point (so far only Scott didn't want to convert
> his packages to python-support, it was very easy to convince other
> maintainers - the longest conversation I had was the one with Martin
> Krafft - and he just wanted to know why I want to convert his packages,
> didn't object much about dropping pycentral).
> 
> [4] I thought we could find a workaround for arch:all binNMUs issue, maybe
>     some kind of semi-automatic rebuilds that do not suffer from binNMUs
>     problems...
> 
> 
> Here's what we plan to do in the near future and what can eventually be
> discussed in such meeting (I'm not really sure that such meeting will
> change much if both Joss and Matthias will not tell us they're willing
> to hear others arguments and make a compromise).
> 
> We are fixing current tools and packages to support changes introduced
> in python2.6 which is currently in experimental:
> * http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=debian-python@lists.debian.org;tag=python2.6
> * cdbs will go to unstable today (I uploaded NMU to DELAYED/7 a week ago)
> * I will attach a fix to python-central today or tomorrow
> 
> and then we will add 2.6 to supported versions in NMUs (I will upload
> it, I'm so sick of the current situation that I will rather let Matthias
> remove my key from Debian keyring than release Squeeze without 2.6 or
> force us to do the transition 1 month before the release, like in
> Ubuntu). 
> 
> If my NMU will be rejected, I plan to hijack python and try to maintain
> it in a team of few DDs (don't worry, I'll ask before the hijack, not
> after - if nobody will be interested, I will not maintain it alone -
> that would make it only worse) - I really don't want this to happen as
> Matthias is probably the one who knows more than anyone else about
> maintaining Python. I already took a quick look at python bugs to see if
> I'm able to fix them. I saw many easy to fix bugs (time consuming, but
> easy to fix) or even bugs that are not bugs at all (Python developers
> would call them "features" or user broke his system with local
> modifications). So...
> 
> Matthias *needs* co-maintainers! Looks like he tries to respond to
> serious problems (f.e. he dealt with recent libdb issue) but doesn't
> have time at all to process other, less urgent ones.
> 
> I will start proposing NMUs to these bugs (patches are not enough, see
> BTS) and if Matthias will like them, at some point I will propose to
> accept me as co-maintainer, if not, he'll have proves that he needs one
> and I'll try to force him to choose another one.
> 
> Anyway, IMHO what can be discussed in such meeting is what can we do
> after the Python 2.6 transition:
> * try to fix my dh_python proposal and implement it, or
> * remove python-central completely and let python-support use
>   /usr/lib/python*/*-packages (i.e. official places, without the need to
>   use .pth files) and keep using /usr/{share,lib}/pyshared to ship
>   .py/.so files, or:
> * 3rd solution, perfect one this time (its author is waiting for a
>   perfect timing to hit us with it when we'll not expect it ;)
> 
-- 
Piotr Ożarowski                         Debian GNU/Linux Developer
www.ozarowski.pl          www.griffith.cc           www.debian.org
GPG Fingerprint: 1D2F A898 58DA AF62 1786 2DF7 AEF6 F1A2 A745 7645
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 18 Mar 2010 21:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 18 Mar 2010 21:33:02 GMT) Full text and rfc822 format available.

Message #35 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Thu, 18 Mar 2010 22:31:03 +0100
* Piotr Ożarowski (piotr@debian.org) [100318 21:09]:
> [Andreas Barth 2010-03-18]
> > I agree. I tried to get one such meeting done some time ago (see
> > below)
> 
> Here's my reply from that thread (Matthias or DPL never
> responsed, or at least I wasn't in the loop)

The DPL was only in the loop "for information". He already agreed to a
meeting if it's useful, or basically anything we as group considered
useful. So I didn't expact any answer either, unless we would have ask
specifically for details of travel sponsorship for a meeting or so.


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 22 Mar 2010 18:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 22 Mar 2010 18:54:03 GMT) Full text and rfc822 format available.

Message #40 received at 573745@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 573745@bugs.debian.org
Cc: doko@debian.org, leader@debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Mon, 22 Mar 2010 19:50:32 +0100
[Message part 1 (text/plain, inline)]
Hello,
we apologize for the delay in our reply.

On Wed, Mar 17, 2010 at 23:50, Bdale Garbee <bdale@gag.com> wrote:
> On Sat, 13 Mar 2010 17:24:51 +0100, Sandro Tosi <morph@debian.org>
> wrote:
>> Package: tech-ctte
>> Severity: normal
>>
>> Hello Technical Committee,
>> we'd like you to decide about how the Python interpreter packages
>> should be maintained in Debian.
>
> I've spent several hours since my last message communicating with the
> current Python maintainer, reading various mailing list threads and
> bug logs, and generally trying to understand the situation as best I
> can.

Thanks a lot for your investment on this matter. It can be quite
time-consuming since, as you noted, things can get pretty emotional.

It is sad, though, that this discussion happened in private. We can
understand the general reason, but we think having minutes of what was
discussed would be interesting to have reported here. Part of the
problem is that Matthias is not communicating anymore on public
channels, and uses other people as a proxy. To start on solid bases,
it would be good if we didn't repeat the same errors from the past. A
large part of the perceived issues are directly related to lack of
communication, and one of the reasons for our request is Debian cannot
live in a situation where the maintainer of a core package doesn't even
talk to people who directly depend on his work.

Of course, we respect the privacy of those conversations, so we
also understand if you're going to decide to keep them
private. In any case, if some points arose from those dialogues
that you may want us to give examples (or counter-examples), we'd
be more than happy to provide them to you.

> It bothers me that what you've brought to the TC is a rant about your
> frustrations culminating in a request to remove someone else from
> their role, rather than a crisper articulation of what's wrong and a
> plan that explains how we should move forward.  

We are sorry if it sounded that way, because this is not the message we
wanted to convey. We tried to list the current issues from a technical
point of view, and if you want us to elaborate on a specific point,
we’ll be happy to provide more input. Overall, our request indeed lacks
a complete plan of what we want to implement; because it is not about
what should be implemented, but about how it should be discussed,
elaborated and coordinated. That said, we understand that you want us
to explain what we would propose and implement if we were maintainers
for Python, so we will try to elaborate on that. It is not that easy
because we have no clear idea of what the current plans of the Python
maintainer are.

As for removing the current maintainer from his position, it is only one
of the possible solutions. We do think that such a core package cannot
be effectively maintained by a single person, also given the other
points we made in the original email, and that a team should be formed
around it. If the current maintainer would like to be part of it, he's
very welcome, but at least he should be willing to collaborate; his
past actions make us dubious about this, but we are open-minded and
hoping for a positive resolution.

We were told (again, in private) than one of the proposed members for
the team (namely Joss) is a showstopper for Matthias to be part of the
said team. We don’t find it a reassuring perspective that Matthias is
putting his personal feelings before the best interest for Python in
Debian. It was hard for Joss to propose to work together with him given
their history, and we’d find it better if everyone involved could make
similar efforts. However, if it is required for things to go forward,
Joss agreed to step back from the team as a last-resort solution.

> In my reading and discussion with
> others, there are hints about different agreements at different times
> between different people about how to handle various transitions, but
> as someone not party to the various discussions over time, I wish I
> could find a single, well articulated policy for Python in Debian.
> There are more people I want to talk to, and perhaps one or more of
> them will make everything clear to me... but I do not want to delay
> things further.

For a long period of time, the only document that was approaching a
Python policy was the complete rewrite initiated by Manoj. The Python
policy itself remained incorrect until the upload of python-defaults
2.5.4-4, which brought it mostly on par with the current practice.

Let us state it out loud: this was a huge achievement, and we're
happy something has moved in the right direction; but please also note
that the updated process was not lead by the current Python maintainer,
but from (at that time) and external person, that only after his work
gained the status of co-maintainer of python-defaults.

However there are some points of strong disagreement that remain even
in that current policy (not talking about the future), and because of
that, maintainers of Python packages don’t all work the same way:

* There is no consensus on use of the XS-Python-Version header. The
  Python maintainer promotes a "current" keyword, which several people
  think has no semantical value.
* There is no consensus on what should be in the Provides header. The
  policy promotes systematically adding pythonX.Y-foo to this field,
  which leads to incorrect dependencies being generated. There are some
  alternate solutions, unfortunately none of which is completely
  satisfactory.

> I realize this may not be what you had in mind when you asked the TC
> to "decide about how the Python interpreter packages should be
> maintained in Debian", but now that you've opened Pandora's box, I
> believe we have a responsibility to understand the underlying
> problems that apparently have plagued Python policy for years, so
> that whatever decision we take will ensure the most positive outcome
> for Python handling in Debian in the future.

This is somehow reassuring that the technical committee tries to
understand underlying technical issues. Thank you for making this
technical and trying to resolve this situation, that's really
appreciated.

> I'm adding the DPL to this reply because it seems possible that the
> only way to achieve this objective might be an in-person Debian
> Python Summit meeting, moderated by members of the TC, where we can
> work through all the issues and come to consensus.  Perhaps we can
> resolve our problems by email and/or IRC, but the mere existence of
> this petition to the TC and what it implies about communication
> disconnects makes me doubt that.

Andreas already proposed such a face-to-face summit a few months ago,
but ended up abandoning the idea for the moment. This could be the way
forward, but it would also be extremely tiring, in an emotional way.
Some of the human issues around Python packaging started with a
face-to-face meeting that turned out very badly at Debconf 6.

> Before I'll be willing to support any Technical Committee action on
> this petition, I believe we need a detailed and competent plan
> articulated, that explains how we get from where we are today to a
> single policy for Python in Debian, and that covers at least:
>
> 1) our philosophy for handling multiple Python interpreter versions
> 2) the supported approach(es) to packaging Python modules
> 3) an analysis of the effort involved and who needs to do what
> 4) a tentative schedule of milestones to completion, including what
> can and should be done before squeeze freeze
> 5) explicit commitment by involved parties to do the required work

Well, this is one of the points for which the Technical Committee might
have to make decisions, since there are strong disagreements in how
Python modules should be managed in the future. There are also even
stronger disagreements over what parts of it should go into Squeeze. We
can try to sum up these disagreements from our point of view if you
find it useful.

In order to provide some technical background to the petition,
and as an example of how we would handle a future similar
situation, we'd like to present here what we (as the
debian-python community) have done to prepare and support the
Python 2.6 transition, to which the current Python maintainer is sadly
not participating in any practical standpoint.

- We provided impact analysis (packages in need of binNMUs or sourceful
  uploads) for the 2.6 introduction in the supported python versions and
  conducted an archive-wide rebuild.
- We did the same for the python2.4 removal when Matthias suddenly
  decided to remove it as well.
- We provided patches for debhelper, cdbs, python-central and
  python-support to support the dist-packages transition.
- We asked to schedule more than 150 binNMUs
  (http://people.debian.org/~dktrkranz/python2.6/python2.6_binNMUs),
  following their progress, and filing/fixing bugs as they came out or
  requesting give-backs as needed.
- We filed 282 bugs (http://tinyurl.com/Py26Transition) to support the
  transition, of which 90% is already closed or waiting for an upload.
  If we consider the python2.4 removal too, this bug count rises to 345.
- We made many team uploads, where we uploaded the packages in the
  Python Modules or Apps team to support the transition.
- We prepared NMUs for those bugs, either as direct NMUs or sponsored
  ones.
- We provided help to people who contacted us about how to setup a
  test environment or how to properly fix their packages for the
  transition.
- We were supported by the Release Team (in the person of Andreas
  Barth, many thanks!) in the binNMUs part, and we were asked to
  provide impact analysis for the 2.6 switch as default in
  unstable (as part of the pre-freeze Release Team plan), showing
  that with our previous activities we have gained credibility in
  the eyes of the Release Team.
- We asked for a partial-archive wide rebuild to test the impact of
  setting Python 2.6 as default and filed bugs accordingly.

>> transitions to force some controversial, unrelated technical
>> changes to be implemented before these transitions happen.
>
> I think this is a key part of the problem.  The Python maintainer does
> not seem to believe that these are unrelated technical issues.  And
> the controversy that does exist seems now to be more fueled by a
> combination of emotion and inertia than technical concerns.  We need
> to get past that, and focus our attentions squarely on a good Python
> technical policy and associated implementation plan.  I think
> everything else will flow fairly easily if we can accomplish that.

We don’t think it is enough to know where we are going. We also need to
know how to get there and how it integrates in the release process. 

For example, the dist-packages migration solves a problem most people
agreed on (local module installations not going to /usr/local).
However, not only was the implementation not discussed (we could have
worked on an implementation implying less burden on python modules
maintainers), but it was bound to the introduction of python2.6, and it
delayed the migration to this version, which otherwise would have been
a matter of weeks (unlike 2.4→2.5, the 2.5→2.6 upgrade doesn't require
any changes to existing sources).

Furthermore, the strategy for handling Python modules can have a strong
impact on the release schedule. For example, if we want to change for
the better the way modules are handled in the future, we need the
following:
 * expose possible strategies - we are barely here yet;
 * reach consensus on the best solution;
 * implement whatever needs to be implemented;
 * make packages transition - depending on the solution, this can take
   a lot of time, some of the solutions requiring sourceful changes to
   all Python packages.

It was completely unrealistic to be able to do that before the squeeze
release, and it became even more unrealistic over time when even the
first item was not dealt with.

Yet Matthias wants these changes implemented before python2.6 to
be introduced in unstable. This is now putting the release
schedule at risk, since we don’t have much time before the
freeze (and the Release Team already made us a big gift granting
us 1 months for the transition in the pre-freeze plan), and it is
not reasonable to release without Python 2.6 being the default -
at least, our users wouldn't understand.

This is the key point of our request to the Committee. We have no
problem with packaging changes, but at the following conditions:
 * they must be discussed with other maintainers of Python modules;
 * they must make things better for our users;
 * they should not have a too big impact on the rest of the
   distribution. Therefore, we want to maintain the Python packages and
   implement such changes, but only with consensus from the community
   and using open methods.

In the specific case that is being discussed currently, we think the
packaging changes - if they are needed - need to be postponed after the
python2.6 transition. We can start to discuss and implement things
before the freeze, but we think it’s too late to start a transition
now. Said otherwise, the "python2.6 as default" and "change everything
in the way to package Python modules" transitions need to be handled
separately and sequentially. This is also the usual way the Release
Team likes maintainers to work.

Furthermore, the specific changes that have been proposed are high
risk, and several questions need to be answered before the transition
can be considered.
- How will the new helper be used? As a drop-in replacement or
  something different?
- Will it replace any of the existing helpers? If yes, which and how?
- Will the maintainers using the removed helpers be forced to use the
  new one?
- How will we ensure the correct behavior of the new helper in all the
  archive?
- Are there any functional regressions?
- And more importantly than anything else, where is the policy
  document that specifies the implementation?

These are the questions that would have arisen automatically, had the
proposal been discussed openly within the Debian/Python community. And
we would have answers instead of being in the blue.

Kind regards.
Luca, Josselin, Sandro, Bernd
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Wed, 24 Mar 2010 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 24 Mar 2010 10:54:03 GMT) Full text and rfc822 format available.

Message #45 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Wed, 24 Mar 2010 11:52:12 +0100
* Bdale Garbee (bdale@gag.com) [100318 00:00]:
> It bothers me that what you've brought to the TC is a rant about your
> frustrations culminating in a request to remove someone else from their
> role, rather than a crisper articulation of what's wrong and a plan that
> explains how we should move forward.  In my reading and discussion with
> others, there are hints about different agreements at different times
> between different people about how to handle various transitions, but as
> someone not party to the various discussions over time, I wish I could
> find a single, well articulated policy for Python in Debian.  There are
> more people I want to talk to, and perhaps one or more of them will make
> everything clear to me... but I do not want to delay things further.

I want to send my current thoughts to this list - this is just "work
in progress". Speaking with people takes time, but is necessary for a
good solution.


This conflict has its root way in the past, and has been escalating
for quite some time till it reached the tech ctte. So I want to find
not only an solution for the current request, but I want to find a way
how we can avoid to see yet another instance starting in a few months,
starting to make more and more people unhappy, and then accumulating
to the tech ctte again in 2-3 years.


My goal is to make sure the debian python community is fun again for
the people involved, less frustrating, and can deal with the usual
disagreements (that of course exist when people do stuff together)
without external help or escalations.

Also this means that we will probably need to review how it works in
another 6 months, and reserve the right to change things as necessary
then.


My other goal obviously is to get the python 2.6 transition done in a
way that doesn't block the release, and do it in time for the release. :)


So, together this seems to indicate (order might be wrong, sorry, this
is just a braindump):

1. Establish co-maintainers for python (including pythonX.Y) that both
the community and the current maintainers are ok-ish with.

2. Get a final common (or at least accepted) technical decision how to
resolve the lingering technical issues that Bdale spoke about. This
involves sorting out with upstream. This also involves decisions which
parts needs to be done prior to squeeze, and which not - and then
picking up the stuff "after squeeze" really after squeeze is done).

3. Establish a conflict-resolution mechanismn inside of the debian
python community that is accepted by all involved parties, where
decisions are not questioned on afterwards again, where people are
actively working with (or at least not blocking or working against
decisions), and which makes sure we go in the same directions as
upstream.  (This is probably a pre-condition to get 2. done.) (Of
course, we also need to set a few things about "what can and what
can't this mechanismn resolve".)

4. We need to get a list of current open technical conflicts, and then
probably add some dates when we want to have what resolved (of course
dates can be changed, but we need to have some criteria to see "oh
this works" or "that doesn't work" - could also be something like
"from the 5 issues we want to have at least 3 sorted out till $time
after release of squeeze").


So far for now. Now I need to have more talks with more people.



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 25 Mar 2010 14:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 25 Mar 2010 14:03:06 GMT) Full text and rfc822 format available.

Message #50 received at 573745@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 573745@bugs.debian.org
Subject: Python Policy Update
Date: Thu, 25 Mar 2010 09:59:46 -0400
[Message part 1 (text/plain, inline)]
> Let us state it out loud: this was a huge achievement, and we're
> happy something has moved in the right direction; but please also note
> that the updated process was not lead by the current Python maintainer,
> but from (at that time) and external person, that only after his work
> gained the status of co-maintainer of python-defaults.

Since I'm that person, I'll comment on this.

First, I think it would have been silly to do a python-defaults upload just to 
add me to uploaders.  There was no point in uploading it until there was some 
worthwhile technical content to upload, so the entire business about being an 
external person is odd at best.  

Second, due to the unfortunate social history in Debian Python it was my 
belief then and now that the same policy update would have failed if Matthias 
were the lead for it.  It would be a mistake for anyone who didn't see all the 
various inputs to the update to make any assumptions about how much of the 
update was or was not influenced by any particular person.  

I know a lot of people don't like that much of the communication was in 
private, but I think it's better to have the update that we now have than to 
continue the previous gridlock.

With respect to:
> * There is no consensus on use of the XS-Python-Version header. The
>    Python maintainer promotes a "current" keyword, which several people
>    think has no semantical value.

This is resolved.  The current Python Policy says:
> The keyword "current" has been deprecated and used to mean that
> the package would only have to support a single version (even
> across default version changes).

It would be useful if the discussions about disagreements would focus on 
issues that have not already been resolved.

Scott K
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 25 Mar 2010 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 25 Mar 2010 22:27:04 GMT) Full text and rfc822 format available.

Message #55 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Python Policy Update
Date: Thu, 25 Mar 2010 23:24:21 +0100
* Scott Kitterman (scott@kitterman.com) [100325 15:05]:
> It would be useful if the discussions about disagreements would focus on 
> issues that have not already been resolved.

Agreed. Also, I think that the updates to the python policy are an
good example how we could move on. Thank you for doing so.



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Wed, 31 Mar 2010 10:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnau@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 31 Mar 2010 10:51:05 GMT) Full text and rfc822 format available.

Message #60 received at 573745@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Please decide on Python interpreter packages maintainership
Date: Wed, 31 Mar 2010 12:38:13 +0200
[Message part 1 (text/plain, inline)]
Hi,

As shown  clearly in the  past years, Python  cannot be maintained  by a
single developer, so  I do think it should be maintain  within a team to
allow  fixes  and   new  versions  of  upstream  Python   to  be  pushed
quickly. Therefore, I strongly second Sandro proposition.

Regards,
Arnaud Fontaine
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 11 May 2010 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 11 May 2010 21:12:03 GMT) Full text and rfc822 format available.

Message #65 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 573745@bugs.debian.org
Subject: python maintainance: next steps
Date: Tue, 11 May 2010 23:08:08 +0200
Hi,


sorry for not updating this request for such a long time - but things take
longer than I'd like them to take.


However, there have been some talks within the tech ctte and with different
people inside the Debian python community. That needed time, and we prefer
to get to a resolution a bit later than to one that doesn't work. I doubt
we can get to a final decision as of now.


The complaints are mostly non-technical. Re the technical parts, e.g. the
discussion within Debian about "where to store files" brought two upstream
proposals (PEPs) which would fix some disagreements in an good and
forward way. I don't want to loose Matthias contributions to python
within Debian and the python community.

The complaints are that the people in the Debian Python Community aren't
enough involved in the decisions, and especially feel "left in the cold" re
when to expect things to happen (or what are the reasons why they don't
happen). The transition to use version 2.6 of python as default is just an
example for most people involved (and was the reason finally the tech ctte
was called in, but definitly not the only conflict).

Parts of the conflicts date many years back, as well as the inability of
some people to work together. The discussions have especially lead us to
the conclusion that a team with both Matthias and Joss involved won't work.


All in all, the situation isn't easy. Not easy for Matthias, not easy for
anyone else and not easy for the technical committee. Please understand
that our task isn't to decide who to blame for the current situation. Our
task is to make sure that we can go to a better future. Probably our
decision won't be totally fair and nice to all people involved. I can only
say for my part that I try to be as fair and nice as possible, but an
working solution is even more important. It's not about fault, it's about a
good future.


So, where does that leave us? We need to establish an mechanismn that could
resolve such conflicts before they can grow so large for years. We also
need to have more people in the python packages maintainer field. We need
to try to keep as many of our python people involved as sanely possible.



In order to be able to get things going within the python community, we
should establish a python core team that is trusted by all people involved.

"Trusted by all people involved" definitly includes trusted by Matthias as
current python maintainer, and trusted by the people who signed the request
to the technical committee (of course, in worst case I'm willing to just
decide on the membership of the core team). (There is an obvious conclusion
who can't be member of the core team.)

I think it would be good if at least one person (better two) in that team
knows enough about python upstream to make sure Debian and upstream evolve in
the same direction.

That team would also be the arbiter about disagreements re the debian
python policy. Obviously derivations from upstream shouldn't happen easily,
so I think there should be precautions that they happen without very good
reason.

Anyways, the first task of the core team would be to settle an decision
policy. That policy needs also to include rules how the core team
membership changes.


Re the python packages maintainership, I propose to ask Matthias to get at
least two more people involved who are ok for the python core team.


We should revisit how this works anyways after some time (e.g. in 6
months). In case we don't have two co-maintainers for the python packages
in reasonable time, we also reserve the right to make a decision with names
in it (we could do that anyways, but we should explicitly say so).



So far for now. Comments?


If the tech ctte agrees with this proposal, our next steps are:

1. discuss/decide who is part of the python core team
2. establish an conflict solution proposal
3. having two more python maintainers added which are ok to the core
team

After that, watch the situation for some reasonable amount of time, and
review it when it's sane to do so (e.g. 6 months later).


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Wed, 12 May 2010 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 12 May 2010 15:27:03 GMT) Full text and rfc822 format available.

Message #70 received at 573745@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 573745@bugs.debian.org
Subject: Re: python maintainance: next steps
Date: Thu, 13 May 2010 00:24:20 +0900
(Note: this email expresses my personal opinions only, not those of the
other proponents.)

Le mardi 11 mai 2010 à 23:08 +0200, Andreas Barth a écrit :
> However, there have been some talks within the tech ctte and with different
> people inside the Debian python community. That needed time, and we prefer
> to get to a resolution a bit later than to one that doesn't work. I doubt
> we can get to a final decision as of now.

First of all I’d like to express my sadness to see these discussions,
again, having being conducted privately. We have now several years
behind us that show this is a bad idea, and the CTTE, asked to resolve
this matter, chose to adopt the same technique.

> The complaints are mostly non-technical. Re the technical parts, e.g. the
> discussion within Debian about "where to store files" brought two upstream
> proposals (PEPs) which would fix some disagreements in an good and
> forward way. 

You shouldn’t be too optimistic about the upstream proposal, since it
only allows to do a tenth of the needed job. There’s a huge work
remaining if we want to drop the symlink farms, starting with dealing
with a way to handle which versions are supported by which file.

> I don't want to loose Matthias contributions to python
> within Debian and the python community.

This is completely irrelevant, unless Matthias threatened to stop
contributing unless he can keep setting the rules. But I know the CTTE
wouldn’t take such “don’t touch my garden” blackmail into account, of
course.

> In order to be able to get things going within the python community, we
> should establish a python core team that is trusted by all people involved.
> 
> "Trusted by all people involved" definitly includes trusted by Matthias as
> current python maintainer, and trusted by the people who signed the request
> to the technical committee (of course, in worst case I'm willing to just
> decide on the membership of the core team). (There is an obvious conclusion
> who can't be member of the core team.)

> So far for now. Comments?

It means giving a veto power to Matthias about who can or cannot
contribute, while not giving this power to others. Which really, really
doesn’t make much difference with a situation where he can decide alone
which contributions can go in.

I think that practically speaking, it won’t change a thing.

Oh, a completely unrelated comment: it looks to me that the Python 2.6
transition is going to delay the squeeze freeze date.

Anyone has some pop-corn?

-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Wed, 12 May 2010 21:33:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 12 May 2010 21:33:17 GMT) Full text and rfc822 format available.

Message #75 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: python maintainance: next steps
Date: Wed, 12 May 2010 23:28:46 +0200
* Josselin Mouette (joss@debian.org) [100512 17:27]:
> Le mardi 11 mai 2010 à 23:08 +0200, Andreas Barth a écrit :
> > However, there have been some talks within the tech ctte and with different
> > people inside the Debian python community. That needed time, and we prefer
> > to get to a resolution a bit later than to one that doesn't work. I doubt
> > we can get to a final decision as of now.
> 
> First of all I’d like to express my sadness to see these discussions,
> again, having being conducted privately. We have now several years
> behind us that show this is a bad idea, and the CTTE, asked to resolve
> this matter, chose to adopt the same technique.

So you think the only acceptable option is to take away the
maintainership from Matthias? And even if we would do that, how can we
be sure that this resolves all the issues we have?


> > I don't want to loose Matthias contributions to python
> > within Debian and the python community.
> 
> This is completely irrelevant, unless Matthias threatened to stop
> contributing unless he can keep setting the rules. But I know the CTTE
> wouldn’t take such “don’t touch my garden” blackmail into account, of
> course.

I would expect that deciding to remove him from being maintainer would
demotivate him - at least that would be a natural thing to happen.


> It means giving a veto power to Matthias about who can or cannot
> contribute, while not giving this power to others.

Eh, where does that proposal give Matthias veto power?



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 13 May 2010 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 13 May 2010 01:09:03 GMT) Full text and rfc822 format available.

Message #80 received at 573745@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: python maintainance: next steps
Date: Thu, 13 May 2010 09:58:19 +0900
Le mercredi 12 mai 2010 à 23:28 +0200, Andreas Barth a écrit :
> > > I don't want to loose Matthias contributions to python
> > > within Debian and the python community.
> > 
> > This is completely irrelevant, unless Matthias threatened to stop
> > contributing unless he can keep setting the rules. But I know the CTTE
> > wouldn’t take such “don’t touch my garden” blackmail into account, of
> > course.
> 
> I would expect that deciding to remove him from being maintainer would
> demotivate him - at least that would be a natural thing to happen.

This line of reasoning is fallacious. I could reverse it and talk about
people who are demotivated because they feel the current maintainer is
incompetent. How could this help guiding the decision?

> > It means giving a veto power to Matthias about who can or cannot
> > contribute, while not giving this power to others.
> 
> Eh, where does that proposal give Matthias veto power?

If Matthias can refuse someone to be part of the core team because he
doesn’t trust that person, that’s a veto power.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 13 May 2010 09:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 13 May 2010 09:21:05 GMT) Full text and rfc822 format available.

Message #85 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: debian-ctte@lists.debian.org
Subject: Re: Bug#573745: python maintainance: next steps
Date: Thu, 13 May 2010 11:15:41 +0200
* Josselin Mouette (joss@debian.org) [100513 03:09]:
> Le mercredi 12 mai 2010 à 23:28 +0200, Andreas Barth a écrit :
> > > > I don't want to loose Matthias contributions to python
> > > > within Debian and the python community.
> > > 
> > > This is completely irrelevant, unless Matthias threatened to stop
> > > contributing unless he can keep setting the rules. But I know the CTTE
> > > wouldn’t take such “don’t touch my garden” blackmail into account, of
> > > course.
> > 
> > I would expect that deciding to remove him from being maintainer would
> > demotivate him - at least that would be a natural thing to happen.
> 
> This line of reasoning is fallacious. I could reverse it and talk about
> people who are demotivated because they feel the current maintainer is
> incompetent. How could this help guiding the decision?

Don't you see that we want to end that?



> > > It means giving a veto power to Matthias about who can or cannot
> > > contribute, while not giving this power to others.
> > 
> > Eh, where does that proposal give Matthias veto power?
> 
> If Matthias can refuse someone to be part of the core team because he
> doesn’t trust that person, that’s a veto power.

For the initial setup, I would like to have people in the core team
that are ok by both Matthias and the people who brought this to the
tech ctte (e.g. you). If that doesn't work out, we'll of course decide
who is in the core team. I think that's reasonable.

For further changes, it's the task of the core team to setup an
procedure how to do that.



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 13 May 2010 14:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 13 May 2010 14:09:06 GMT) Full text and rfc822 format available.

Message #90 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: python maintainance: next steps
Date: Thu, 13 May 2010 16:04:00 +0200
* Ian Jackson (ijackson@chiark.greenend.org.uk) [100513 15:22]:
> I think we do need to consider whether it would be best if the
> maintainer put their evident technical skills to use elsewhere.  Not
> just in the context of one package, but also to so that the project
> can see that if you really can't manage to work with people, and act
> as a blocker, you may be deposed.

Obviously that's true.

For me, I'd try to get things changed without using our (existing)
overruling capabilities. If it works, good. If not, we'll of course
*have* to just put in other names.


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 21 May 2010 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 21 May 2010 14:48:03 GMT) Full text and rfc822 format available.

Message #95 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Andreas Barth <aba@not.so.argh.org>, 573745@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#573745: python maintainance: next steps
Date: Fri, 21 May 2010 16:44:54 +0200
Hello,
thanks for the update, and sorry for this late reply.

On Tue, May 11, 2010 at 23:08, Andreas Barth <aba@not.so.argh.org>
wrote:
> sorry for not updating this request for such a long time - but things take
> longer than I'd like them to take.

we understand that it's not an easy task, involving several
sub-activities. Please also understand that not receiving any update
could give the impression that nothing is being done (that turned out
it's not this case, but still), so a periodic update like "we're still
talking to people, don't worry we're working on it" it's important.

> However, there have been some talks within the tech ctte and with different
> people inside the Debian python community. That needed time, and we prefer
> to get to a resolution a bit later than to one that doesn't work. I doubt
> we can get to a final decision as of now.
> The complaints are mostly non-technical. Re the technical parts, e.g. the
> discussion within Debian about "where to store files" brought two upstream
> proposals (PEPs) which would fix some disagreements in an good and
> forward way. I don't want to loose Matthias contributions to python
> within Debian and the python community.

Please let us reaffirm our "complains" are also technical: try not put them
aside just dealing with the personal situations around Python. In
several occasions (even recently) there were situations we can mention to
challenge the "technique" (either being the pure packaging
technicalities, or the attention/interest dedicated, or more); we don't
want to point fingers directly to those mistakes, but let's not reduce
this tech-ctte call to only feelings.

Talking about Python upstream, even if Matthias' contributions are
currently quite limited (but still present, and we thank him for that)
we feel they are done using his Canonical-employee hat (for example,
a recent email[1]), so not much a direct consequence of him being a DD
or the Debian maintainer; also note that both those PEPs (and we share
the believe they are a move forward) were not driven by Matthias (he
only reviewed them) so it's not holding that much your sentence.

[1] http://mail.python.org/pipermail/python-dev/2010-May/100183.html

Additionally, "Matthias contributions to python within Debian" are
exactly what we are challenging here, and they are at the very least
"debatable" (to not say "close to nothing" or "harmful for the Debian
project").

> The complaints are that the people in the Debian Python Community aren't
> enough involved in the decisions, and especially feel "left in the cold" re
> when to expect things to happen (or what are the reasons why they don't
> happen). The transition to use version 2.6 of python as default is just an
> example for most people involved (and was the reason finally the tech ctte
> was called in, but definitly not the only conflict).
> Parts of the conflicts date many years back, as well as the inability of
> some people to work together. The discussions have especially lead us to
> the conclusion that a team with both Matthias and Joss involved won't work.

We only would like to highlight again how we believe Joss is a very
highly technically skilled DD, and how his contributions to the Python
packages have been, and will be, profitable to the project. We
understand there are other reasons that forbid to create a team
including both Matthias and Joss, though.

> All in all, the situation isn't easy. Not easy for Matthias, not easy for
> anyone else and not easy for the technical committee. Please understand
> that our task isn't to decide who to blame for the current situation. Our
> task is to make sure that we can go to a better future. Probably our
> decision won't be totally fair and nice to all people involved. I can only
> say for my part that I try to be as fair and nice as possible, but an
> working solution is even more important. It's not about fault, it's about a
> good future.

We know, and appreciate that.

> So, where does that leave us? We need to establish an mechanismn that could
> resolve such conflicts before they can grow so large for years. We also
> need to have more people in the python packages maintainer field. We need
> to try to keep as many of our python people involved as sanely possible.
>
> In order to be able to get things going within the python community, we
> should establish a python core team that is trusted by all people involved.
>
> "Trusted by all people involved" definitly includes trusted by Matthias as
> current python maintainer, and trusted by the people who signed the request
> to the technical committee (of course, in worst case I'm willing to just
> decide on the membership of the core team). (There is an obvious conclusion
> who can't be member of the core team.)

As already pointed out by Joss in another email, is Matthias being
granted with a veto vote? Can he indefinitely veto people willing to
join such team even if others are OK with them? If that's the case, we
believe this simply won't work and would kill democracy.

It seems you are trying to please Matthias very much, that's nice, but
what are the assurances you received he will behave differently from
now on? The fact that he didn't write a single word here makes us quite
skeptical if things will ever change. We are unaware of the discussion
you had with Matthias, but disclosing it is a core point of the problem
at hand, and always raising the "privacy wall" can't the way to go.

Situations likes this one happened and will happen again (sadly), and the
resolution of this case will be an example case on how such things will
be handled: we have the occasion here to show how Debian acts in
situation where there is some real disagreement in package maintenance.

We can pass the message that no matter how you maintain your packages,
no matter how badly you behave with your peers, no matter what you do,
you'll be grant forgiveness, and we'll pretend all of these never
happened and you'll be left in an advantage position over maintaining
your packages (even for the fear of possible repercussions in other
activities for Debian).

Or we can pass the message that we are a community (and not just a
bunch of geeky people) and we must act like one, so if you're
deliberately screw with your peers because you don't care for them, if
you feel so superior to them that you're not going even to speak to
them, if your interest in packages maintenance is so low and several
times you've uploaded "half-beaked" packages failing even the basic
pre-upload tests (like installing them) then we'll bring the packages
back to the community, where they belong to, and given in hands proven
to caring for them.

In this spirit, we'd like to emphasize Ian's reply to this thread.

> I think it would be good if at least one person (better two) in that team
> knows enough about python upstream to make sure Debian and upstream evolve in
> the same direction.

We recently saw Barry Warsaw more involved, which is very positive. We
don't know if you already contacted him, or if he would accept, but he
would be a good candidate, especially one who doesn't have a history in
Debian.

> That team would also be the arbiter about disagreements re the debian
> python policy. Obviously derivations from upstream shouldn't happen easily,
> so I think there should be precautions that they happen without very good
> reason.
>
> Anyways, the first task of the core team would be to settle an decision
> policy. That policy needs also to include rules how the core team
> membership changes.
>
> Re the python packages maintainership, I propose to ask Matthias to get at
> least two more people involved who are ok for the python core team.

So are you proposing to form the Python core team as an entity
separated from the Python maintainers? Like an entity supervising the
activities of Python maintainer? We are not criticizing the idea, it's
just to understand the proposal. If that's the case, what are the
powers of this team over the Python maintainers? Can the core team
force maintainers to implement something or fix a given bug? If so,
how, and with which powers? What is the method to add new people to this
team (and/or replace someone resigning)?

What we are about to ask seems to be only a minor detail but it's a
fundamental change of perspective: we think that Python Maintainer
role should be assigned to a team (maybe the pkg-python alioth team can
be resurrected) and not to a single person, so with real maintainers in
Uploaders. The reasoning is we would like to see a team of peers, not
with one developer to take decisions alone.

One solution which helped much in other teams was to chose one person,
which is not part of the team, as the only one who is allowed to upload
the packages and who ensures that fights about changes (they should not
happen anyway, but this might keep the heads cool) won't end up with a
mess in the upload queue. We suggest to use this only as a last resort
solution.

Regards,
the proposers




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 21 May 2010 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 21 May 2010 16:39:03 GMT) Full text and rfc822 format available.

Message #100 received at 573745@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Sandro Tosi <morph@debian.org>
Cc: 573745@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#573745: python maintainance: next steps
Date: Fri, 21 May 2010 17:13:35 +0100
Sandro Tosi writes ("Re: Bug#573745: python maintainance: next steps"):
>  Please also understand that not receiving any update
> could give the impression that nothing is being done (that turned out
> it's not this case, but still), so a periodic update like "we're still
> talking to people, don't worry we're working on it" it's important.

Yes, I agree.  Sorry, we're not as good at that as we should be.  We
will try to be better, but also I encourage you to prod us if we seem
to have gone quiet.  So, thanks for chasing us.

> Situations likes this one happened and will happen again (sadly), and the
> resolution of this case will be an example case on how such things will
> be handled: we have the occasion here to show how Debian acts in
> situation where there is some real disagreement in package
> maintenance.

I absolutely agree.

> We can pass the message that no matter how you maintain your packages,
> no matter how badly you behave with your peers, [...]

I think part of the problem is that many of us are reluctant to get
into that kind of "blame game", as it's messy and subjective and
unpleasant.  But really I think if we have a situation like this one
we have to look at the history (and that does take work and it's often
not fun reading old flamewars) and yes we do have to make a judgement
about what has gone before.

That doesn't mean that we have to come out and explicitly point the
finger.  But we should take these matters into account.

> So are you proposing to form the Python core team as an entity
> separated from the Python maintainers? Like an entity supervising the
> activities of Python maintainer? We are not criticizing the idea, it's
> just to understand the proposal. [...]

As I understand it the idea currently being proposed is to create a
new Python core team, and decree that that team are the new
co-maintainers of Python.  After that intervention by the TC the core
team would be self-governing as with any other package maintenance
team - including the ability to hire and fire its own members.

Developers who wish to work on Python, but who aren't in the core
team, will have to work through the core team just as any developer
who isn't a maintainer works on any other package - that may or may
not include being given whatever conditional or unconditional upload
(or nmu) or commit rights the core team decides.

> What we are about to ask seems to be only a minor detail but it's a
> fundamental change of perspective: we think that Python Maintainer
> role should be assigned to a team (maybe the pkg-python alioth team can
> be resurrected) and not to a single person, so with real maintainers in
> Uploaders. The reasoning is we would like to see a team of peers, not
> with one developer to take decisions alone.

Yes.  I think we are all agreed on this.  The question is who should
be on this team.  My view is that it should consist of people who have
the necessary technical and personal skills, and a history of interest
in the Python packages in Debian.  It should contain around 4 or 5
people.  

I don't think anyone should be given a veto over the membership of the
core team.  So specifically, the fact that we don't believe Matthias
will be at all happy, with some possibilities for the core team, does
not mean that those possibilities are unacceptable.  

But we do need to consider every person on their own merits and look
at their contributions as a whole and we should pick people who have a
history of constructive engagement - this is as much a management role
as a technical one.

Another difficulty is that it is very difficult to do this kind of
appointment without any private discussion.  We need to be able to
take private input from people who may be reluctant to say "well I
know Alice has done a lot of good work but she's a bit of a loose
cannon - look at that gnomovision fiasco last year <url>" in public.

So can I make a suggestion ?  How about we have people send in
privately names that you think would make excellent candidates.  Email
them to any TC member and we can pass it on to the other TC members by
private email.

> One solution which helped much in other teams was to chose one person,
> which is not part of the team, as the only one who is allowed to upload
> the packages and who ensures that fights about changes (they should not
> happen anyway, but this might keep the heads cool) won't end up with a
> mess in the upload queue. We suggest to use this only as a last resort
> solution.

The team must not include anyone who will play Core Wars in the
archive against the other team members.  The team should have a good
internal working relationship - that doesn't mean never disagreeing,
but it does mean dealing constructively with disagreements and
honouring the consensus of the team if it goes against you.

So this situation should not arise.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 22 May 2010 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 22 May 2010 08:57:06 GMT) Full text and rfc822 format available.

Message #105 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Sandro Tosi <morph@debian.org>
Cc: 573745@bugs.debian.org
Subject: Re: Bug#573745: python maintainance: next steps
Date: Sat, 22 May 2010 10:53:57 +0200
* Sandro Tosi (morph@debian.org) [100521 16:45]:
> Please let us reaffirm our "complains" are also technical: try not put them
> aside just dealing with the personal situations around Python.

I know.


However, we basically have two chances re the technical side: Either
we could start micro-managing decisions within debian python
(especially as there is more than one topic where there are different
opinions), which I don't believe is efficient. Or not.

Also, I don't want to end in the finger pointing game - and looking
back, I can see mistakes with almost everybody involved (including
myself). But it doesn't help to say "this person made more mistakes
than that person", because that'd only get very messy.



Given all the history and complaints I really believe we need an
structural change to get things better. That's why I proposed one.


> We
> understand there are other reasons that forbid to create a team
> including both Matthias and Joss, though.

I definitly agree to that sentence.



> As already pointed out by Joss in another email, is Matthias being
> granted with a veto vote? Can he indefinitely veto people willing to
> join such team even if others are OK with them? If that's the case, we
> believe this simply won't work and would kill democracy.

For the initial setup, I'd like to have only people in the team that
are ok by Matthias and are ok by the people who appealed to the
tech ctte. If that doesn't work out, we'll have to just decide anyways
of course.

I think that's fair for an start. For the future replacements, it's up
to the group of people how they add new people.



> We recently saw Barry Warsaw more involved, which is very positive. We
> don't know if you already contacted him, or if he would accept, but he
> would be a good candidate, especially one who doesn't have a history in
> Debian.

I heared good things about Barry at other places as well, so I'd
consider him an candidate.


> So are you proposing to form the Python core team as an entity
> separated from the Python maintainers? Like an entity supervising the
> activities of Python maintainer? We are not criticizing the idea, it's
> just to understand the proposal.

Right (so I'd assume that there will be some overlap soon) - of
course, you (the python developers together) can change things as you
consider them fit.


> If that's the case, what are the
> powers of this team over the Python maintainers? Can the core team
> force maintainers to implement something or fix a given bug?

I'd expect them to have powers the same way like e.g. the release
team.  Who don't have that much formal power, but anyone involved
knows that they're good, knowledgable and you better behave like they
want. Obviously also if that team would complain to the tech ctte,
it's way easier to accept an complaint.


> What is the method to add new people to this
> team (and/or replace someone resigning)?

"Up to the team to define, but they need to do that pretty soon."



> What we are about to ask seems to be only a minor detail but it's a
> fundamental change of perspective: we think that Python Maintainer
> role should be assigned to a team (maybe the pkg-python alioth team can
> be resurrected) and not to a single person, so with real maintainers in
> Uploaders. The reasoning is we would like to see a team of peers, not
> with one developer to take decisions alone.

Can we put it as "there needs to be a team of same-power developers;
we don't mind too much how this is expressed in the fields of the
package or not"?




Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 29 May 2010 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 29 May 2010 20:51:05 GMT) Full text and rfc822 format available.

Message #110 received at 573745@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 573745@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#573745: python maintainance: next steps
Date: Sat, 29 May 2010 22:50:17 +0200
[Message part 1 (text/plain, inline)]
OoO  En cette  matinée  pluvieuse du  samedi  22 mai  2010, vers  10:53,
Andreas Barth <aba@not.so.argh.org> disait :

>> As already pointed out by Joss in another email, is Matthias being
>> granted with a veto vote? Can he indefinitely veto people willing to
>> join such team even if others are OK with them? If that's the case, we
>> believe this simply won't work and would kill democracy.

> For the initial setup, I'd like to have only people in the team that
> are ok by Matthias and are ok by the people who appealed to the
> tech ctte. If that doesn't work out, we'll have to just decide anyways
> of course.

How will this team communicate?  Did you consider the fact that Matthias
is  still currently  silent  on debian-python@ldo,  even when  important
discussions  are run?   I don't  see any  indication that  Matthias will
become friendly and communicative when the team will be up and running.

Most  of  my  interactions ended  with  a  wall  of silence  [1].   Most
interactions are painful  [2]. I don't really know  how good is Matthias
at maintaining packages on the technical  side (but I suspect he is very
good) but on  the social side, he is unable to  interact nicely with his
users and fellow developers. Does anything indicate that there will be a
change here? Will the social side be delegated to the rest of the team?

My point is  that it is unfair to rule out  Josselin which is responsive
and  communicative in favor  of Matthias  without having  any indication
that Matthias'  communication skills  will improve (which  would benefit
the other packages that he maintains in the same mood).

[1] Some examples:
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475440
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=486148
[2] Another example:
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=498857
 (BTW,  there is  still a  licensing problem  in python2.6  binary being
 linked to  OpenSSL and therefore cannot  be linked on  runtime with any
 GPL-ed module without OpenSSL  exception, including readline; I did not
 open a  bug report about  this because of  how difficult it is  to deal
 with Matthias)
-- 
I WILL NOT SELL MY KIDNEY ON eBAY
I WILL NOT SELL MY KIDNEY ON eBAY
I WILL NOT SELL MY KIDNEY ON eBAY
-+- Bart Simpson on chalkboard in episode BABF07
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 15 Jun 2010 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 15 Jun 2010 07:30:03 GMT) Full text and rfc822 format available.

Message #115 received at 573745@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: python maintainance: next steps
Date: Tue, 15 Jun 2010 09:26:25 +0200
Le samedi 22 mai 2010 à 10:53 +0200, Andreas Barth a écrit :
> > As already pointed out by Joss in another email, is Matthias being
> > granted with a veto vote? Can he indefinitely veto people willing to
> > join such team even if others are OK with them? If that's the case, we
> > believe this simply won't work and would kill democracy.
> 
> For the initial setup, I'd like to have only people in the team that
> are ok by Matthias and are ok by the people who appealed to the
> tech ctte. If that doesn't work out, we'll have to just decide anyways
> of course.

I’m only speaking for myself here, but I’m not OK with Matthias as part
of the core team.

> I think that's fair for an start.

If you really want to start afresh, you should consider pushing your
reasoning to the limit: including only people that are OK by both
Matthias and the people who appealed. That list includes neither
Matthias nor myself.

That would be fair. And that would ensure that people would try to think
up new solutions out of the box, instead of re-hashing arguments from
the past.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “If you eat pasta without sauce, it is nothing
  `-     short of communism.”  -- Marie





Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 28 Jun 2010 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 28 Jun 2010 22:33:03 GMT) Full text and rfc822 format available.

Message #120 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 573745@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Tue, 29 Jun 2010 00:31:28 +0200
Hello,
I'm going to reply to some of the more recent emails of this thread:
please consider this as a personal reply, not meant to represent the
feelings/ideas of other original signers of this appeal.

On Wed, May 12, 2010 at 23:28, Andreas Barth <aba@not.so.argh.org> wrote:
> * Josselin Mouette (joss@debian.org) [100512 17:27]:
>> Le mardi 11 mai 2010 à 23:08 +0200, Andreas Barth a écrit :
>> > However, there have been some talks within the tech ctte and with different
>> > people inside the Debian python community. That needed time, and we prefer
>> > to get to a resolution a bit later than to one that doesn't work. I doubt
>> > we can get to a final decision as of now.
>>
>> First of all I’d like to express my sadness to see these discussions,
>> again, having being conducted privately. We have now several years
>> behind us that show this is a bad idea, and the CTTE, asked to resolve
>> this matter, chose to adopt the same technique.
>
> So you think the only acceptable option is to take away the
> maintainership from Matthias? And even if we would do that, how can we
> be sure that this resolves all the issues we have?

Let's turn this way: we already know what it's like with him
maintaining python, and I'm quite sure it won't be worst, so at least
we have the occasion to see how a really community maintained (in the
sense of people coming from the python community) would work, and I
bet it will work well.

>> > I don't want to loose Matthias contributions to python
>> > within Debian and the python community.
>>
>> This is completely irrelevant, unless Matthias threatened to stop
>> contributing unless he can keep setting the rules. But I know the CTTE
>> wouldn’t take such “don’t touch my garden” blackmail into account, of
>> course.
>
> I would expect that deciding to remove him from being maintainer would
> demotivate him - at least that would be a natural thing to happen.

I can understand that, but are we only talking about python packages
or all the other packages Matthias maintains?

I think Matthias has concentrated in his hands a lot of powers, by
maintaining key packages (bash, binutils, gcc, java, python, and
several others), thus if the fear of removing him from python
maintainership is related to the fear of some of our most important
packages will be under-maintained (even if they *already* need a lot
more love than now) or even worst, sabotaged, I think we have a much
bigger problem than simply deciding who's to maintain python.

If we are threaten by the feelings of a single person for our core
packages, then I consider we're making a mistake and Debian is loosing
the control over itself, because of too much power in one pair of
hands, and we should fix this really soon.

I just hope to be over-pessimistic, but I also want to express one of
my fears about the "not remove Matthias from python maintainers"
proposal.

On Thu, May 13, 2010 at 11:15, Andreas Barth <aba@not.so.argh.org> wrote:
> * Josselin Mouette (joss@debian.org) [100513 03:09]:
>> Le mercredi 12 mai 2010 à 23:28 +0200, Andreas Barth a écrit :
>> > > > I don't want to loose Matthias contributions to python
>> > > > within Debian and the python community.
>> > >
>> > > This is completely irrelevant, unless Matthias threatened to stop
>> > > contributing unless he can keep setting the rules. But I know the CTTE
>> > > wouldn’t take such “don’t touch my garden” blackmail into account, of
>> > > course.
>> >
>> > I would expect that deciding to remove him from being maintainer would
>> > demotivate him - at least that would be a natural thing to happen.
>>
>> This line of reasoning is fallacious. I could reverse it and talk about
>> people who are demotivated because they feel the current maintainer is
>> incompetent. How could this help guiding the decision?
>
> Don't you see that we want to end that?

absolutely, thanks for the work you all do "behind the scene", and I
believe we are working towards this goal. I still think, tho, that in
strong situations, strong decisions have to be taken, else the
solution we reach will only work for some time, and then we'll fall
back to where we are now.

>> > > It means giving a veto power to Matthias about who can or cannot
>> > > contribute, while not giving this power to others.
>> >
>> > Eh, where does that proposal give Matthias veto power?
>>
>> If Matthias can refuse someone to be part of the core team because he
>> doesn’t trust that person, that’s a veto power.
>
> For the initial setup, I would like to have people in the core team
> that are ok by both Matthias and the people who brought this to the
> tech ctte (e.g. you). If that doesn't work out, we'll of course decide
> who is in the core team. I think that's reasonable.

Sadly, I think that the intersection of the two sets of "people
Matthias is ok with" and "people ok with the signer of this appeal" is
quite empty :) That's because I see Matthias as a single player, and
"forcing" him to work in a team will end up in:

1. him doing nothing
2. him keeps doing as of now, with more frustration for the others in that team.

Also, an additional level of "management" has to be well received from
who has to be managed: are we really sure Matthias will follow even
controversial decisions (so in opposition to some of his ideas) the
core team will take?

On Thu, May 13, 2010 at 15:21, Ian Jackson
<ijackson@chiark.greenend.org.uk> wrote:
> Andreas Barth writes ("Re: Bug#573745: python maintainance: next steps"):
>> For the initial setup, I would like to have people in the core team
>> that are ok by both Matthias and the people who brought this to the
>> tech ctte (e.g. you). If that doesn't work out, we'll of course decide
>> who is in the core team. I think that's reasonable.
>
> We should not forget the effect our approach here will have on other
> maintainers.  If we act now to give the existing maintainer a veto, to
> spare their feelings and avoid demotivating them, if perhaps it was
> they who were in a large part the reason for the bad situation, then
> we are saying to every maintainer that they do not need to worry: if
> they are at the centre of a storm of this kind, we will still honour
> their ownership of the package.
>
> Perhaps what you are forgetting is that the maintainer has a
> responsibility not just for the technical contents of the package, but
> also to facilitate other people's work as it relates to their package.
> The maintainer has a pretty much unfettered ability to delegate, to
> create a team of their choice, and so on; that comes with the
> responsibility to do so when appropriate.  So one thing we need to
> consider is whether in this case the maintainer has failed in that
> task.
>
> Or to put it another way, if the maintainer wanted help from a team
> acceptable to them, they could have simply decreed it.
>
> I think we do need to consider whether it would be best if the
> maintainer put their evident technical skills to use elsewhere.  Not
> just in the context of one package, but also to so that the project
> can see that if you really can't manage to work with people, and act
> as a blocker, you may be deposed.

Full and complete ack. Thanks for saying it, i couldn't be more direct
and precise. I subscribe all you said above.

On Sun, May 16, 2010 at 18:09, Luk Claes <luk@debian.org> wrote:
> On 05/13/2010 03:21 PM, Ian Jackson wrote:
>> Andreas Barth writes ("Re: Bug#573745: python maintainance: next steps"):
>> Perhaps what you are forgetting is that the maintainer has a
>> responsibility not just for the technical contents of the package, but
>> also to facilitate other people's work as it relates to their package.
>> The maintainer has a pretty much unfettered ability to delegate, to
>> create a team of their choice, and so on; that comes with the
>> responsibility to do so when appropriate.  So one thing we need to
>> consider is whether in this case the maintainer has failed in that
>> task.
>
> The question is indeed if the maintainer failed to properly maintain the
> package in the given circumstances. Note that the circumstances are by far
> trivial and that the maintainer showed only good intentions AFAICS. Note

this is at least debatable; I don't want to reiterate all the points
about python 2.6, just a couple: 14 months between upstream release of
2.6 and the upload in sid without a good reason (maybe some secret
ones?) and a complete disinterest in the 2.6 transition. IMO this is
not "only good intentions".

> also that the maintainer already welcomed some people to co-maintain, but

after a long long process of convincing him (and circumstances that
can be a little suspect); I won't call it "welcoming someone".

> hold strongly to some pre-conditions as he wants to avoid the real mess that
> resulted from the python 2.6 transition in Ubuntu.

ehm... the python 2.6 transition is the main blocker preventing from
freezing squeeze, so it ends up to be a huge a mess: these
pre-conditions didn't work, another big signal things must change.

On contrary of Ubuntu (that set 2.6 as default in 9.04, and since then
many packages were left broken, sigh), Debian managed to have skilled
people working on the transition, identifying packages with bugs,
filing them, NMU them and sponsor them when needed. Matthias did
nothing of these activity. You can call it "fingerpointing", but they
are facts: he doesn't participate in the transition, he wanted to
handle things his own way, and he want other people to "obey his
will", without complaining, and doing the actual work. Sorry, I won't
stand silent to this situation.

>> Or to put it another way, if the maintainer wanted help from a team
>> acceptable to them, they could have simply decreed it.
>
> That's true for the package maintenance, that is very well untrue for the
> circumstances and the policy changes he wants to have implemented to avoid
> similar trouble with the link farm as the ones that happened in Ubuntu.

this reduce to Debian being his playground for his Ubuntu activities?
Having the same maintainers between Debian and Ubuntu might be a nice
thing to have, but strongly not if the price to pay is to have Debian
always late then Ubuntu, or "half-baked" or the sandbox for policy
changes really aimed for Ubuntu, or anything else where Debian is not
leading the change.

>> I think we do need to consider whether it would be best if the
>> maintainer put their evident technical skills to use elsewhere.  Not
>> just in the context of one package, but also to so that the project
>> can see that if you really can't manage to work with people, and act
>> as a blocker, you may be deposed.
>
> That would rule out any of the vocal opposants as the new (co-)maintainers
> IMHO as they are as much part of shapening a blocker as the current
> maintainer AFAICS.

It's awkward to accuse us of being a blocker, given we are part of the
people who are really working on the python transition, as opposed to
the python maintainer: Luk, on what did you base your assumption?

Anyhow I, for one, would be more than happy not being a co-maintainer
of python interpreters packages, or part the core team, or whatsoever,
if that will lead to a solution of this really unpleasant situation
(Joss when was ruled out, maturely didn't complain about his
exclusion, but on the fact Matthias was still in); can you say the
same about Matthias? I don't this so, and now who's the blockers? I
can only suggest to try not to work against who's actually trying to
resolve this.

On Fri, May 21, 2010 at 18:13, Ian Jackson
<ijackson@chiark.greenend.org.uk> wrote:
> Sandro Tosi writes ("Re: Bug#573745: python maintainance: next steps"):
>>  Please also understand that not receiving any update
>> could give the impression that nothing is being done (that turned out
>> it's not this case, but still), so a periodic update like "we're still
>> talking to people, don't worry we're working on it" it's important.
>
> Yes, I agree.  Sorry, we're not as good at that as we should be.  We
> will try to be better, but also I encourage you to prod us if we seem
> to have gone quiet.  So, thanks for chasing us.

Well, we are all volunteers, and we all know how much Murphy likes to
play with our free time exactly when we need it the most :)

>> We can pass the message that no matter how you maintain your packages,
>> no matter how badly you behave with your peers, [...]
>
> I think part of the problem is that many of us are reluctant to get
> into that kind of "blame game", as it's messy and subjective and
> unpleasant.

I can understand that, and I really had hoped not to come to the point
where ctte has to be consulted for a decision.

> But really I think if we have a situation like this one
> we have to look at the history (and that does take work and it's often
> not fun reading old flamewars) and yes we do have to make a judgement
> about what has gone before.
>
> That doesn't mean that we have to come out and explicitly point the
> finger.  But we should take these matters into account.

Indeed, fingerpointing won't solve this.

>> So are you proposing to form the Python core team as an entity
>> separated from the Python maintainers? Like an entity supervising the
>> activities of Python maintainer? We are not criticizing the idea, it's
>> just to understand the proposal. [...]
>
> As I understand it the idea currently being proposed is to create a
> new Python core team, and decree that that team are the new
> co-maintainers of Python.  After that intervention by the TC the core
> team would be self-governing as with any other package maintenance
> team - including the ability to hire and fire its own members.
>
> Developers who wish to work on Python, but who aren't in the core
> team, will have to work through the core team just as any developer
> who isn't a maintainer works on any other package - that may or may
> not include being given whatever conditional or unconditional upload
> (or nmu) or commit rights the core team decides.

If we are going with the core team (no judgment implied here) I think
we have to clearly specify the powers/roles of the core team in
respect with the python maintainers (present and futures): I admit I
don't have that clear now :)

>> What we are about to ask seems to be only a minor detail but it's a
>> fundamental change of perspective: we think that Python Maintainer
>> role should be assigned to a team (maybe the pkg-python alioth team can
>> be resurrected) and not to a single person, so with real maintainers in
>> Uploaders. The reasoning is we would like to see a team of peers, not
>> with one developer to take decisions alone.
>
> Yes.  I think we are all agreed on this.  The question is who should
> be on this team.  My view is that it should consist of people who have
> the necessary technical and personal skills, and a history of interest
> in the Python packages in Debian.  It should contain around 4 or 5
> people.
>
> I don't think anyone should be given a veto over the membership of the
> core team.  So specifically, the fact that we don't believe Matthias
> will be at all happy, with some possibilities for the core team, does
> not mean that those possibilities are unacceptable.

Thanks for saying it explicitly.

> But we do need to consider every person on their own merits and look
> at their contributions as a whole and we should pick people who have a
> history of constructive engagement - this is as much a management role
> as a technical one.

Exactly, and as said above, we have to be sure that this new
management layer will be effective and well received from the people
that will have to interact with it.

> Another difficulty is that it is very difficult to do this kind of
> appointment without any private discussion.  We need to be able to
> take private input from people who may be reluctant to say "well I
> know Alice has done a lot of good work but she's a bit of a loose
> cannon - look at that gnomovision fiasco last year <url>" in public.
>
> So can I make a suggestion ?  How about we have people send in
> privately names that you think would make excellent candidates.  Email
> them to any TC member and we can pass it on to the other TC members by
> private email.

I had promised myself since weeks to wrote such an email, still didn't
managed to find the time to. I hope I'll be able to send it asap.
Anyhow (and I'd be explicit in that email too), what I will write
won't contain anything secret, and so I hope that (even if as a small
recap) the summary of all those emails will be made public at the end
of this appeal, and/or when decision of the core team will be made.

>> One solution which helped much in other teams was to chose one person,
>> which is not part of the team, as the only one who is allowed to upload
>> the packages and who ensures that fights about changes (they should not
>> happen anyway, but this might keep the heads cool) won't end up with a
>> mess in the upload queue. We suggest to use this only as a last resort
>> solution.
>
> The team must not include anyone who will play Core Wars in the
> archive against the other team members.  The team should have a good
> internal working relationship - that doesn't mean never disagreeing,
> but it does mean dealing constructively with disagreements and
> honouring the consensus of the team if it goes against you.

Absolutely agreed, that's another point where I fail to see Matthias
as a team player: as you already said, if he wanted a team, he could
have formed one ages ago.

On Sat, May 22, 2010 at 10:53, Andreas Barth <aba@not.so.argh.org> wrote:
> * Sandro Tosi (morph@debian.org) [100521 16:45]:
>> Please let us reaffirm our "complains" are also technical: try not put them
>> aside just dealing with the personal situations around Python.
>
> I know.
>
>
> However, we basically have two chances re the technical side: Either
> we could start micro-managing decisions within debian python
> (especially as there is more than one topic where there are different
> opinions), which I don't believe is efficient. Or not.
>
> Also, I don't want to end in the finger pointing game - and looking
> back, I can see mistakes with almost everybody involved (including
> myself). But it doesn't help to say "this person made more mistakes
> than that person", because that'd only get very messy.

absolutely, but that shouldn't mean that everyone is innocent or
everyone is guilty; instead, everyone has to take responsibility of
what he did and face the consequences of his own actions, either good
or bad.

> Given all the history and complaints I really believe we need an
> structural change to get things better. That's why I proposed one.

Ok, now I see your reason :)

Anyhow, to resolve this situation, it might also be enough a sane
collaboration between the python maintainers and all the python
community willing to help and support python in debian. Currently this
sane collaboration is missing.

I do acknowledge that the arrival of Scott and Piotr is helping a lot
in this direction, but the road is still long, and you know I still
consider the "blocker" for a resolution of this situation still
present.

>> We
>> understand there are other reasons that forbid to create a team
>> including both Matthias and Joss, though.
>
> I definitly agree to that sentence.

Ok, removing a bit the political face from me, I think it's a bit
unfair to rule out one person in favor of another. The more logical
solution seems to rule out both. But I also can see that not
considering Joss, would allow Matthias to still be in python
maintainership, which again, I don't consider an unchangeable
assumption.

>> As already pointed out by Joss in another email, is Matthias being
>> granted with a veto vote? Can he indefinitely veto people willing to
>> join such team even if others are OK with them? If that's the case, we
>> believe this simply won't work and would kill democracy.
>
> For the initial setup, I'd like to have only people in the team that
> are ok by Matthias and are ok by the people who appealed to the
> tech ctte. If that doesn't work out, we'll have to just decide anyways
> of course.

As already said above, I don't know how many people respect the above
requirements. Sadly, it was created a deep cut between the current
maintainer and the whole python community of Debian, and that
community really works together (as you can see from #debian-python
and debian-python@l.d.o) so I doubt it is who generated the cut.

>> We recently saw Barry Warsaw more involved, which is very positive. We
>> don't know if you already contacted him, or if he would accept, but he
>> would be a good candidate, especially one who doesn't have a history in
>> Debian.
>
> I heared good things about Barry at other places as well, so I'd
> consider him an candidate.

Me too.

>> So are you proposing to form the Python core team as an entity
>> separated from the Python maintainers? Like an entity supervising the
>> activities of Python maintainer? We are not criticizing the idea, it's
>> just to understand the proposal.
>
> Right (so I'd assume that there will be some overlap soon) - of
> course, you (the python developers together) can change things as you
> consider them fit.

Thanks for clarifying.

>> If that's the case, what are the
>> powers of this team over the Python maintainers? Can the core team
>> force maintainers to implement something or fix a given bug?
>
> I'd expect them to have powers the same way like e.g. the release
> team.  Who don't have that much formal power, but anyone involved
> knows that they're good, knowledgable and you better behave like they
> want. Obviously also if that team would complain to the tech ctte,
> it's way easier to accept an complaint.

Well, let's hope that it won't introduce additional friction, but I
can see the point in having it.

>> What is the method to add new people to this
>> team (and/or replace someone resigning)?
>
> "Up to the team to define, but they need to do that pretty soon."

ok, got it

>> What we are about to ask seems to be only a minor detail but it's a
>> fundamental change of perspective: we think that Python Maintainer
>> role should be assigned to a team (maybe the pkg-python alioth team can
>> be resurrected) and not to a single person, so with real maintainers in
>> Uploaders. The reasoning is we would like to see a team of peers, not
>> with one developer to take decisions alone.
>
> Can we put it as "there needs to be a team of same-power developers;
> we don't mind too much how this is expressed in the fields of the
> package or not"?

now it's clearer, at least for me.

On Tue, Jun 15, 2010 at 09:26, Josselin Mouette <joss@debian.org> wrote:
> Le samedi 22 mai 2010 à 10:53 +0200, Andreas Barth a écrit :
>> > As already pointed out by Joss in another email, is Matthias being
>> > granted with a veto vote? Can he indefinitely veto people willing to
>> > join such team even if others are OK with them? If that's the case, we
>> > believe this simply won't work and would kill democracy.
>>
>> For the initial setup, I'd like to have only people in the team that
>> are ok by Matthias and are ok by the people who appealed to the
>> tech ctte. If that doesn't work out, we'll have to just decide anyways
>> of course.
>
> I’m only speaking for myself here, but I’m not OK with Matthias as part
> of the core team.

I'm not fine either: I think it will only concentrate additional power
in his hands, when I think we need (I'd really mean "should force
ourselvers") to remove power from him and giving it back to Debian.

>> I think that's fair for an start.
>
> If you really want to start afresh, you should consider pushing your
> reasoning to the limit: including only people that are OK by both
> Matthias and the people who appealed. That list includes neither
> Matthias nor myself.
>
> That would be fair. And that would ensure that people would try to think
> up new solutions out of the box, instead of re-hashing arguments from
> the past.

I agree with that.

Please, let me once again highlight that the lack of any public
statement from Matthias about this process (well, any public statement
at all regarding Debian since a long time) makes me very skeptical he
will ever be able to "recover" from his personal situation with other
Debian fellows, and so proposing a plan where he is always present
(and in key positions) is not what I consider a way to resolve this
issue.

Sorry for the long post, but I want to make clear what I think.

Thanks for your work & Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 12:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 12:48:02 GMT) Full text and rfc822 format available.

Message #125 received at 573745@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 573745@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Mon, 5 Jul 2010 13:44:40 +0100
Sandro Tosi writes ("Re: Bug#573745: Please decide on Python interpreter packages  maintainership"):
> Also, an additional level of "management" has to be well received from
> who has to be managed: are we really sure Matthias will follow even
> controversial decisions (so in opposition to some of his ideas) the
> core team will take?

I don't think we are considering adding an additional layer of
management.  Currently the person in charge is Matthias; he is the
maintainer of python2.6 et al.[1]

We would hand the maintainership of these packages to the new team.

Ian.

[1] What is the exact list of packages in question ?  I make it as
follows.  Core Python packages:

      python2.5
      python2.6
      python3.1
      distribute
      python-central
      python-defaults
      python-old-doctools
      python3-defaults

Python extensions and libraries:
      pycxx
      pygresql
      pyparallel
      pyserial
      pysvn
      python-bsddb3
      python-gnuplot
      python-imaging
      python-reportlab
      python-scientific
      python-stats
      python-stdlib-extensions
      python-sigmask
      twisted
      twisted-*
      python3-stdlib-extensions




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 17:09:06 GMT) Full text and rfc822 format available.

Message #130 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: debian-ctte@lists.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Mon, 5 Jul 2010 19:04:59 +0200
* Ian Jackson (ijackson@chiark.greenend.org.uk) [100705 15:02]:
> I wrote:
> > I don't think we are considering adding an additional layer of
> > management.  Currently the person in charge is Matthias; he is the
> > maintainer of python2.6 et al.[1]

Plus Scott Kitterman and Piotr Ożarowski.


> > We would hand the maintainership of these packages to the new team.
> 
> We still don't have a new team.  The only coherent team that has been
> suggested has been the four people who emailed the TC to start with.
> As they wrote:
>    Luca Falavigna
>    Josselin Mouette
>    Sandro Tosi
>    Bernd Zeimetz
>    anyone else willing to help, including of course the current
>    maintainer, provided the above points are met.

I don't think that's a coherent team, at least none I would like to be
the maintainer of the python packages. I need to admit that I don't
think that either Josselin nor Bernd are capable to do that proper. I
have no strong opinion on the others yet, which also means I don't
think they should make them the maintainers. (I think if we do a
change we should be convinced it gets better.)


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 17:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 17:27:10 GMT) Full text and rfc822 format available.

Message #135 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: debian-ctte@lists.debian.org, 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Mon, 5 Jul 2010 19:23:52 +0200
* Ian Jackson (ijackson@chiark.greenend.org.uk) [100705 19:13]:
> Andreas Barth writes ("Re: Bug#573745: Please decide on Python interpreter packages maintainership"):
> > * Ian Jackson (ijackson@chiark.greenend.org.uk) [100705 15:02]:
> > > I wrote:
> > > > I don't think we are considering adding an additional layer of
> > > > management.  Currently the person in charge is Matthias; he is the
> > > > maintainer of python2.6 et al.[1]
> > 
> > Plus Scott Kitterman and Piotr O?arowski.
> 
> I was looking at the Maintainer field of the packages in unstable.
> I'd be happy to add Scott and Piotr to my list.

Both of them are in the Uploaders-field of python-default.

> I think ultimately what we need to do is empower the people currently
> doing most of the work.

"Doing most of the work" is not the same as "being the loudest ones in
complaining".


I had quite much to do with a few python-people for the recent
transition. Jakub (jwilk) did a really fantastic job there (I was next
to handing him binNMU permissions), but also Piotr and Scott did quite
much (and are always nice and helpful). The few occasions Matthias
needed to do someting it worked also quite well, at least for me. (And
once the release team had finally found an slot for python-defaults
pointing to 2.6 in unstable Matthias did an upload quite fast - as it
should be.)



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 17:57:03 GMT) Full text and rfc822 format available.

Message #140 received at 573745@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 573745@bugs.debian.org
Subject: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 13:45:56 -0400
[Message part 1 (text/plain, inline)]
Things are quite different now than they were 9 months ago when I got involved.  
They are significantly different now than when this bug was filed.

Other than the question of when to make the initial upload of a new version of 
the Python interpreter to Unstable, most of the issues at the core of this 
request have to do with maintenance of the core Python system in Debian and 
Python policy.  These are from python-defaults and python3-defaults.  Both of 
these packages are now maintained by three DDs in a public VCS.

I agree with the idea that maintenance of the interpreter packages should be 
broadened, but I think that the defaults packages which control 
default/supported versions and provide the Debian Python policy are the most 
important.

I believe it is fair to state that more has been done to improve the technical 
state of Python in Debian in the last 9 months than in the previous 4 years.

We are having a good discussion in the Debian Python community around what the 
Debian System for Python 3 will look like.  No one is imposing anything (look 
at the recent archives of debian-python for the discussion).

The history of Python in Debian is what it is, but I don't think that 
restructuring maintainership would solve any problems that we are actually 
having right now.

It seems to me that this request has evolved significantly.  Initially it was 
about broadening maintainership.  Now that this is happening, it seems to be 
just about getting doko fired.  I find that doko is perfectly willing to have 
reasonable discussions with people who are trying to work with him.  I don't 
find it a bit surprising that he doesn't place a priority on dealing with 
people who are not.  He's not always as responsive as I would like, but I'm 
not always as responsive as others would like either.  None of us has 
unlimited time.

As far as the Ubuntu versus Debian question, if you look at the python2.6 
history you will see that back in April doko switched back to having Debian 
uploads lead Ubuntu uploads and since then has uploaded python2.6 to Debian 9 
times.  Currently the package is maintained in Debian and then merged  with 
minor changes in Ubuntu.  This is another aspect of the original complaint 
that is, in my opinion, no longer valid (personally, I don't understand how 
one can simultaneously exult Debian as being more careful and having higher 
quality standards than Ubuntu and complain that everything that's in Ubuntu 
should also be in Debian at the same time, but regardless, it's OBE).

Scott K

P.S.  I am not subscribed to this bug, so if you want further comments from 
me, please cc me.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 18:06:03 GMT) Full text and rfc822 format available.

Message #145 received at 573745@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Scott Kitterman <scott@kitterman.com>, 573745@bugs.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 18:02:39 +0000
On Mon, Jul 05, 2010 at 01:45:56PM -0400, Scott Kitterman wrote:
> I find that doko is perfectly willing to have 
> reasonable discussions with people who are trying to work with him.  I don't 
> find it a bit surprising that he doesn't place a priority on dealing with 
> people who are not.  He's not always as responsive as I would like, but I'm 
> not always as responsive as others would like either.  None of us has 
> unlimited time.

Why do you find this to be in any way a reasonable attitude to hold?




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 18:18:03 GMT) Full text and rfc822 format available.

Message #150 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Scott Kitterman <scott@kitterman.com>, 573745@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 20:15:38 +0200
Hi Scott and others.

On Mon, Jul 5, 2010 at 19:45, Scott Kitterman <scott@kitterman.com> wrote:
> Things are quite different now than they were 9 months ago when I got involved.
> They are significantly different now than when this bug was filed.
>
> Other than the question of when to make the initial upload of a new version of
> the Python interpreter to Unstable, most of the issues at the core of this
> request have to do with maintenance of the core Python system in Debian and
> Python policy.  These are from python-defaults and python3-defaults.  Both of
> these packages are now maintained by three DDs in a public VCS.
>
> I agree with the idea that maintenance of the interpreter packages should be
> broadened, but I think that the defaults packages which control
> default/supported versions and provide the Debian Python policy are the most
> important.

Indeed that changes a lot, and for the best, but we're not done yet, IMO.

> I believe it is fair to state that more has been done to improve the technical
> state of Python in Debian in the last 9 months than in the previous 4 years.

But it is also fair to state that this progress was possible mainly
thanks to you, Piotr, and then to the debian-python community, and
AFAICS in very minimal part (none?) from Matthias. Why is he still in
a control position?

> We are having a good discussion in the Debian Python community around what the
> Debian System for Python 3 will look like.  No one is imposing anything (look
> at the recent archives of debian-python for the discussion).

Sure, and doko took part in exactly zero discussions; is he sending
his lieutenants in exploration and then have them report back to him
and so decide what to do? </sarcasm> Why is he still in a control
position?

> The history of Python in Debian is what it is, but I don't think that
> restructuring maintainership would solve any problems that we are actually
> having right now.
>
> It seems to me that this request has evolved significantly.  Initially it was
> about broadening maintainership.  Now that this is happening, it seems to be
> just about getting doko fired.

Whatever the two, but I think that broadening the maintainership and
keeps doko in, required in him to change his behavior; if that won't
change, I don't know what other solutions there can be.

> I find that doko is perfectly willing to have
> reasonable discussions with people who are trying to work with him.  I don't
> find it a bit surprising that he doesn't place a priority on dealing with
> people who are not.

Honestly? I think he is fine to have conversation with people that
will "obey" to most of his will, and don't critics too much. When
something differentiate from his thought he simply shut up, and
continue on his way without listening. That Is The Problem. For
example, and for the hundredth time, why he didn't write A SINGLE WORD
here?

> He's not always as responsive as I would like, but I'm
> not always as responsive as others would like either.  None of us has
> unlimited time.
>
> As far as the Ubuntu versus Debian question, if you look at the python2.6
> history you will see that back in April doko switched back to having Debian
> uploads lead Ubuntu uploads and since then has uploaded python2.6 to Debian 9
> times.
>
> Currently the package is maintained in Debian and then merged  with
> minor changes in Ubuntu.  This is another aspect of the original complaint
> that is, in my opinion, no longer valid (personally, I don't understand how
> one can simultaneously exult Debian as being more careful and having higher
> quality standards than Ubuntu and complain that everything that's in Ubuntu
> should also be in Debian at the same time, but regardless, it's OBE).

sure, but is he really want to work first in Debian or instead
something like "let's fake that: I need to upload python2.6 to Ubuntu
so I let other pretend I care for Debian, I upload there first and
then I sync in Ubuntu where I really need the package". Also do you
call the last rushed uploads "up to the Debian quality"? Several times
his package failed *even* to install...

> P.S.  I am not subscribed to this bug, so if you want further comments from
> me, please cc me.

Done

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 18:42:03 GMT) Full text and rfc822 format available.

Message #155 received at 573745@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 14:39:58 -0400
[Message part 1 (text/plain, inline)]
On Monday, July 05, 2010 02:02:39 pm Clint Adams wrote:

> Why do you find this to be in any way a reasonable attitude to hold?

If people had asked to have me fired from a job I was doing (in Debian or 
elsewhere), you can be certain that sitting down and having a nice chat with 
them would be very low on my priority list.  I would focus my attention on 
people who were trying to work with me.  I believe that's human nature and it 
would be odd to expect anything else.

It would be different if I thought it was a situation where any compromise was 
possible.  I don't think it is in this case.  I may be wrong, but I don't see 
the requesters of this action being satisfied with any result where doko 
remains involved as a maintainer in Debian Python.

Scott K
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 18:51:03 GMT) Full text and rfc822 format available.

Message #160 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Scott Kitterman <scott@kitterman.com>, 573745@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 20:46:10 +0200
On Mon, Jul 5, 2010 at 20:39, Scott Kitterman <scott@kitterman.com> wrote:
> I may be wrong, but I don't see
> the requesters of this action being satisfied with any result where doko
> remains involved as a maintainer in Debian Python.

Not if the precondition is that Matthias won't change his behavior. If
he's willing to change and cooperate, I'm fine and he's welcome as
anyone else willing to, if he's not,  then sorry, I had enough. That's
my personal opinion.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 19:06:03 GMT) Full text and rfc822 format available.

Message #165 received at 573745@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 573745@bugs.debian.org
Cc: debian-ctte@lists.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 15:04:04 -0400
[Message part 1 (text/plain, inline)]
On Monday, July 05, 2010 02:15:38 pm Sandro Tosi wrote:
> Hi Scott and others.
> 
> On Mon, Jul 5, 2010 at 19:45, Scott Kitterman <scott@kitterman.com> wrote:
> > Things are quite different now than they were 9 months ago when I got
> > involved. They are significantly different now than when this bug was
> > filed.
> > 
> > Other than the question of when to make the initial upload of a new
> > version of the Python interpreter to Unstable, most of the issues at the
> > core of this request have to do with maintenance of the core Python
> > system in Debian and Python policy.  These are from python-defaults and
> > python3-defaults.  Both of these packages are now maintained by three
> > DDs in a public VCS.
> > 
> > I agree with the idea that maintenance of the interpreter packages should
> > be broadened, but I think that the defaults packages which control
> > default/supported versions and provide the Debian Python policy are the
> > most important.
> 
> Indeed that changes a lot, and for the best, but we're not done yet, IMO.

Agreed.  As I said, I think maintenance of the interpreter packages should be 
broadened.  I don't see a problem with the level of maintenance they are 
getting right now, but for packages of this significance, having a single 
maintainer is not the best.

> > I believe it is fair to state that more has been done to improve the
> > technical state of Python in Debian in the last 9 months than in the
> > previous 4 years.
> 
> But it is also fair to state that this progress was possible mainly
> thanks to you, Piotr, and then to the debian-python community, and
> AFAICS in very minimal part (none?) from Matthias. Why is he still in
> a control position?

With respect to the defaults packages I don't think that is the case.  I agree 
maintainership of the interpreter packages should be broadened so that no one 
person can block things.

> > We are having a good discussion in the Debian Python community around
> > what the Debian System for Python 3 will look like.  No one is imposing
> > anything (look at the recent archives of debian-python for the
> > discussion).
> 
> Sure, and doko took part in exactly zero discussions; is he sending
> his lieutenants in exploration and then have them report back to him
> and so decide what to do? </sarcasm> Why is he still in a control
> position?

I'm not his lieutenant.  Who is in Uploaders versus Maintainers doesn't make a 
lot of difference.  If you'd be happier if we rearranged the names, I doubt it 
would be a problem.

> > The history of Python in Debian is what it is, but I don't think that
> > restructuring maintainership would solve any problems that we are
> > actually having right now.
> > 
> > It seems to me that this request has evolved significantly.  Initially it
> > was about broadening maintainership.  Now that this is happening, it
> > seems to be just about getting doko fired.
> 
> Whatever the two, but I think that broadening the maintainership and
> keeps doko in, required in him to change his behavior; if that won't
> change, I don't know what other solutions there can be.

I would have expected you to be interested in communication with the set of 
maintainers.  I don't think you should really care among us which is the most 
communicative as long as the overall integration with the broader Debian 
Python community is good.

> > I find that doko is perfectly willing to have
> >
> > reasonable discussions with people who are trying to work with him.  I
> > don't find it a bit surprising that he doesn't place a priority on
> > dealing with people who are not.
> 
> Honestly? I think he is fine to have conversation with people that
> will "obey" to most of his will, and don't critics too much. When
> something differentiate from his thought he simply shut up, and
> continue on his way without listening. That Is The Problem. For
> example, and for the hundredth time, why he didn't write A SINGLE WORD
> here?

Don't assume that because I chose not to air disagreements in public, they 
don't happen.  You'd have to ask him why he hasn't commented here, I don't 
know.  I'm only commenting on this now because I was asked too.  I'd rather 
focus my limited time for Debian work on working on Python.

> > He's not always as responsive as I would like, but I'm
> >
> > not always as responsive as others would like either.  None of us has
> > unlimited time.
> > 
> > As far as the Ubuntu versus Debian question, if you look at the python2.6
> > history you will see that back in April doko switched back to having
> > Debian uploads lead Ubuntu uploads and since then has uploaded python2.6
> > to Debian 9 times.
> > 
> > Currently the package is maintained in Debian and then merged  with
> > minor changes in Ubuntu.  This is another aspect of the original
> > complaint that is, in my opinion, no longer valid (personally, I don't
> > understand how one can simultaneously exult Debian as being more careful
> > and having higher quality standards than Ubuntu and complain that
> > everything that's in Ubuntu should also be in Debian at the same time,
> > but regardless, it's OBE).
> 
> sure, but is he really want to work first in Debian or instead
> something like "let's fake that: I need to upload python2.6 to Ubuntu
> so I let other pretend I care for Debian, I upload there first and
> then I sync in Ubuntu where I really need the package". Also do you
> call the last rushed uploads "up to the Debian quality"? Several times
> his package failed *even* to install...

The packages are what they are.  I'll leave it to others to judge.  My point 
was that he is now uploading to Debian first.  I can't predict what will happen 
in the future, but for the moment, it seems one of the main original 
complaints is resolved.

I'm not aware of any current issues that changing maintainers will fix.

Scott K
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 19:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 19:51:09 GMT) Full text and rfc822 format available.

Message #170 received at 573745@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 573745@bugs.debian.org
Cc: Scott Kitterman <scott@kitterman.com>
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 21:46:16 +0200
[Message part 1 (text/plain, inline)]
Here's my proposal:

* Ask Barry to join Matthias (and Matthias to accept Barry) as
  interpreter packages maintainer¹ (pythonX.Y packages) and encourage
  both of them to find someone who cares about Debian first (so without
  @ubuntu.com or @canonical.com email address) - make it an requirement
  if bug submitters or CTTE will not be happy 3 months after releasing
  Squeeze (i.e. when 2.7 transition should be in advanced stage),
* Give python-defaults, python3-defaults, python-central and
  setuptools/distribute packages to a team chosen by CTTE and accepted by
  bug submitters. If they will choose to include me, the first thing I
  will propose to do after releasing Squeeze will be a RM request of
  python-central with all packages converted to dh_python2 or
  python-support if it will make sense² (I'd prefer to convert all
  python-support based packages to dh_python2 as well)

Yes, I do realize that it's not possible to have a working Python
without these two teams co-operating... and that's the point!
If it will not work, we can ask CTTE for a decision about specific
problems (like 2.7 upload to unstable, adding a 2.7 to
supported, adding/dropping a patch in interpreter package, adding a
feature in helper tool(s), etc.)

[¹] yeah, I know Barry doesn't have even a single package in Debian
right now, but a) it will change soon b) I work with upstreams who know
less than Barry about packaging and it works pretty well (I'm a just a
little bit more verbose in my RFS replies) c) he *is* active on
debian-pytohn@l.d.o

[²] Python 2.7 is the last one from 2.X branch, there will be no
python2.8

PS I did subscribe this bug like 4 times already, but please CC me anyway,
as I'm still not getting these mails
-- 
Piotr Ożarowski                         Debian GNU/Linux Developer
www.ozarowski.pl          www.griffith.cc           www.debian.org
GPG Fingerprint: 1D2F A898 58DA AF62 1786 2DF7 AEF6 F1A2 A745 7645
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 20:21:03 GMT) Full text and rfc822 format available.

Message #175 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Scott Kitterman <scott@kitterman.com>, 573745@bugs.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 22:19:18 +0200
* Scott Kitterman (scott@kitterman.com) [100705 21:04]:
> I'm not his lieutenant.  Who is in Uploaders versus Maintainers doesn't make a 
> lot of difference.  If you'd be happier if we rearranged the names, I doubt it 
> would be a problem.

I agree with you it won't be a large change, but it's quite symbolic.
For this reason I think this should be done.


And, BTW, I can confirm that it's possible to argue with Matthias, and
still continue to be on speaking terms (and sometimes even get what
one wants, even if it involves further work from him). 



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 21:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 21:21:08 GMT) Full text and rfc822 format available.

Message #180 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: debian-ctte@lists.debian.org, 573745@bugs.debian.org, Scott Kitterman <debian@kitterman.com>
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 23:17:22 +0200
On Mon, Jul 5, 2010 at 21:04, Scott Kitterman <scott@kitterman.com> wrote:
> On Monday, July 05, 2010 02:15:38 pm Sandro Tosi wrote:
>> Hi Scott and others.
>>
>> On Mon, Jul 5, 2010 at 19:45, Scott Kitterman <scott@kitterman.com> wrote:
>> > Things are quite different now than they were 9 months ago when I got
>> > involved. They are significantly different now than when this bug was
>> > filed.
>> >
>> > Other than the question of when to make the initial upload of a new
>> > version of the Python interpreter to Unstable, most of the issues at the
>> > core of this request have to do with maintenance of the core Python
>> > system in Debian and Python policy.  These are from python-defaults and
>> > python3-defaults.  Both of these packages are now maintained by three
>> > DDs in a public VCS.
>> >
>> > I agree with the idea that maintenance of the interpreter packages should
>> > be broadened, but I think that the defaults packages which control
>> > default/supported versions and provide the Debian Python policy are the
>> > most important.
>>
>> Indeed that changes a lot, and for the best, but we're not done yet, IMO.
>
> Agreed.  As I said, I think maintenance of the interpreter packages should be
> broadened.  I don't see a problem with the level of maintenance they are
> getting right now

really? I had difficulties to call doko latest work on python packages
of some quality, if any: bugs not closed or pretended so when they are
not, packages that doesn't install and so on. Sure, he corrects his
mess in a day or two, but couldn't this be avoided at all? sure it
can, but it's the interest that's lacking.

>, but for packages of this significance, having a single
> maintainer is not the best.

IMO, it's not acceptable; having such a core package in the hand of
such an "emotional" guy is harmful for the whole distro.

>> > I believe it is fair to state that more has been done to improve the
>> > technical state of Python in Debian in the last 9 months than in the
>> > previous 4 years.
>>
>> But it is also fair to state that this progress was possible mainly
>> thanks to you, Piotr, and then to the debian-python community, and
>> AFAICS in very minimal part (none?) from Matthias. Why is he still in
>> a control position?
>
> With respect to the defaults packages I don't think that is the case.  I agree
> maintainership of the interpreter packages should be broadened so that no one
> person can block things.
>
>> > We are having a good discussion in the Debian Python community around
>> > what the Debian System for Python 3 will look like.  No one is imposing
>> > anything (look at the recent archives of debian-python for the
>> > discussion).
>>
>> Sure, and doko took part in exactly zero discussions; is he sending
>> his lieutenants in exploration and then have them report back to him
>> and so decide what to do? </sarcasm> Why is he still in a control
>> position?
>
> I'm not his lieutenant.

that's where the sarcasm tag comes into play :)

>  Who is in Uploaders versus Maintainers doesn't make a
> lot of difference.  If you'd be happier if we rearranged the names, I doubt it
> would be a problem.

I doubt it won't... and you completely skipped the most important
part, let me requote it: "Sure, and doko took part in exactly zero
discussions". This is the Problem we want to solve, not it's not
solved and it won't be without a strong action.

>> > The history of Python in Debian is what it is, but I don't think that
>> > restructuring maintainership would solve any problems that we are
>> > actually having right now.
>> >
>> > It seems to me that this request has evolved significantly.  Initially it
>> > was about broadening maintainership.  Now that this is happening, it
>> > seems to be just about getting doko fired.
>>
>> Whatever the two, but I think that broadening the maintainership and
>> keeps doko in, required in him to change his behavior; if that won't
>> change, I don't know what other solutions there can be.
>
> I would have expected you to be interested in communication with the set of
> maintainers.  I don't think you should really care among us which is the most
> communicative as long as the overall integration with the broader Debian
> Python community is good.

The set of maints contain Matthias too, and if he's not going to
communicate I can only speculate what are his plans, and we all know
how he behaves, so sorry I won't buy this reasoning: if some of the
maints it so "arrogant" to not waste his time talk to others fellow
DDs, I find this unacceptable.

>> > I find that doko is perfectly willing to have
>> >
>> > reasonable discussions with people who are trying to work with him.  I
>> > don't find it a bit surprising that he doesn't place a priority on
>> > dealing with people who are not.
>>
>> Honestly? I think he is fine to have conversation with people that
>> will "obey" to most of his will, and don't critics too much. When
>> something differentiate from his thought he simply shut up, and
>> continue on his way without listening. That Is The Problem. For
>> example, and for the hundredth time, why he didn't write A SINGLE WORD
>> here?
>
> Don't assume that because I chose not to air disagreements in public, they
> don't happen.  You'd have to ask him why he hasn't commented here, I don't
> know.  I'm only commenting on this now because I was asked too.  I'd rather
> focus my limited time for Debian work on working on Python.

Matthias was added in the loop, and chose not to reply. That's what
counts. OTOH, I'd rather focus my time also in finding a solution to
what I believe is a situation that was tolerated for too long.

>> > He's not always as responsive as I would like, but I'm
>> >
>> > not always as responsive as others would like either.  None of us has
>> > unlimited time.
>> >
>> > As far as the Ubuntu versus Debian question, if you look at the python2.6
>> > history you will see that back in April doko switched back to having
>> > Debian uploads lead Ubuntu uploads and since then has uploaded python2.6
>> > to Debian 9 times.
>> >
>> > Currently the package is maintained in Debian and then merged  with
>> > minor changes in Ubuntu.  This is another aspect of the original
>> > complaint that is, in my opinion, no longer valid (personally, I don't
>> > understand how one can simultaneously exult Debian as being more careful
>> > and having higher quality standards than Ubuntu and complain that
>> > everything that's in Ubuntu should also be in Debian at the same time,
>> > but regardless, it's OBE).
>>
>> sure, but is he really want to work first in Debian or instead
>> something like "let's fake that: I need to upload python2.6 to Ubuntu
>> so I let other pretend I care for Debian, I upload there first and
>> then I sync in Ubuntu where I really need the package". Also do you
>> call the last rushed uploads "up to the Debian quality"? Several times
>> his package failed *even* to install...
>
> The packages are what they are.  I'll leave it to others to judge.

why? you don't have an opinion on them? you don't want to express it?
something else? We are not talking of a leaf package, with popcon<50
(and any of such packages deserves their respect), we are talking
about a fundamental package: it's quality should be one of the core
aspects, to be enforced before upload not in a "upload+RC bug+upload
to fix it" process (leaving some developers' machines broken for some
time).

> My point
> was that he is now uploading to Debian first.  I can't predict what will happen
> in the future, but for the moment, it seems one of the main original
> complaints is resolved.

"I can't predict what will happen in the future" + "the main original
complaints is resolved" sorry but it's a non sequitur! a problem is
fixed when a reliable solution is implemented. This it *NOT* the case.
What will happen in the next 3/6/9 months? no-one knows, hence nothing
was solved.

> I'm not aware of any current issues that changing maintainers will fix.

- having more eyes looking at the package before upload
- backup in case someone is busy
- "differentiation" of tasks: patch forwarding/merging, packaging,
security issues tracking etc etc
- collaboration with debian-python

I find plenty of them in changing the maint; are the above objective
possible with the current maintainer?

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 21:27:03 GMT) Full text and rfc822 format available.

Message #185 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Andreas Barth <aba@not.so.argh.org>, 573745@bugs.debian.org, debian-ctte@lists.debian.org
Cc: Scott Kitterman <scott@kitterman.com>
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 23:21:26 +0200
On Mon, Jul 5, 2010 at 22:19, Andreas Barth <aba@not.so.argh.org> wrote:
> And, BTW, I can confirm that it's possible to argue with Matthias, and
> still continue to be on speaking terms (and sometimes even get what
> one wants, even if it involves further work from him).

Probably it works for you, wearing your RT or CTTE hat, but for a John
"No-one" DD it's a quest that hardly results in a reply from Matthias.

Sadly,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 21:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 21:30:06 GMT) Full text and rfc822 format available.

Message #190 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Piotr Ożarowski <piotr@debian.org>, 573745@bugs.debian.org, debian-ctte@lists.debian.org
Cc: Scott Kitterman <scott@kitterman.com>
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 23:27:54 +0200
Hi Piotr,

On Mon, Jul 5, 2010 at 21:46, Piotr Ożarowski <piotr@debian.org> wrote:
> Here's my proposal:
>
> * Ask Barry to join Matthias (and Matthias to accept Barry) as

adding Barry (if he accepts, of course) to the maints of python would
be a huge win...

>  interpreter packages maintainer¹ (pythonX.Y packages) and encourage
>  both of them to find someone who cares about Debian first (so without
>  @ubuntu.com or @canonical.com email address) - make it an requirement
>  if bug submitters or CTTE will not be happy 3 months after releasing
>  Squeeze (i.e. when 2.7 transition should be in advanced stage),

...but it's not enough. Python is a delicate "beast" that I think it
requires a group of people. (and again, as a personal idea, only
accepting people which doko is fine with will reduce a lot the
candidates, for sure a huge part of the most skilled ones, guess why.)

> Yes, I do realize that it's not possible to have a working Python
> without these two teams co-operating... and that's the point!
> If it will not work, we can ask CTTE for a decision about specific
> problems (like 2.7 upload to unstable, adding a 2.7 to
> supported, adding/dropping a patch in interpreter package, adding a
> feature in helper tool(s), etc.)

ehm, I think that's exactly what the CTTE wants to avoid: being asked
of any decisions like this; instead, if I got it right, they want to
find a self-sustainable solution, that will work out by itself without
a continue appeal to CTTE.

> PS I did subscribe this bug like 4 times already, but please CC me anyway,
> as I'm still not getting these mails

sure done (it's the uber-secret cabal working against you :) ).

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 05 Jul 2010 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 05 Jul 2010 22:09:03 GMT) Full text and rfc822 format available.

Message #195 received at 573745@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Piotr Ożarowski <piotr@debian.org>, 573745@bugs.debian.org
Cc: Scott Kitterman <scott@kitterman.com>
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Mon, 5 Jul 2010 15:08:27 -0700
[Message part 1 (text/plain, inline)]
Hi Piotr,

Thanks for your comments.

On Mon, Jul 05, 2010 at 09:46:16PM +0200, Piotr Ożarowski wrote:
> * Ask Barry to join Matthias (and Matthias to accept Barry) as
>   interpreter packages maintainer¹ (pythonX.Y packages)

This is a reasonable proposal; I think it would be a great win to have Barry
as comaintainer of these packages if the two of them were willing.

>   and encourage both of them to find someone who cares about Debian first
>   (so without @ubuntu.com or @canonical.com email address)

This, OTOH, is an altogether arbitrary requirement that plays into the hands
of those repeating the tired old canard that being an Ubuntu developer is a
conflict of interest for Debian package maintenance.  I think the python
packages ought to have more than two comaintainers, and there are any number
of folks with no Ubuntu affiliation who might join the team - you yourself
would be a prime candidate, IMHO.  And there is some advantage to having
comaintainers who aren't all going to be busy at the same time because of
common work committments.  But I won't dignify the absurd claims that Ubuntu
or Canonical somehow *want* Ubuntu to be ahead of Debian on python. 
Speaking with my own Ubuntu hat on, I assure you that it's been nothing but
pain for everyone involved.

> * Give python-defaults, python3-defaults, python-central and
>   setuptools/distribute packages to a team chosen by CTTE and accepted by
>   bug submitters. If they will choose to include me, the first thing I
>   will propose to do after releasing Squeeze will be a RM request of
>   python-central with all packages converted to dh_python2 or
>   python-support if it will make sense² (I'd prefer to convert all
>   python-support based packages to dh_python2 as well)

How do you define "bug submitters" for this purpose?  Do you intend the TC
to poll anyone who's filed bug reports against these packages in the
specified period to ask for their feedback on the bug reporting experience?

Why do you believe it necessary to change the maintainership of the
python-central package to accomplish a transition to dh_python2?  It was my
understanding that Matthias is already on board with deprecating
python-central in favor of dh_python2, in which case there doesn't seem to
be any reason for the TC to intervene.  Furthermore, it would be contrary to
Debian best practices to remove python-central from the archive while it
still had reverse-dependencies in the archive; so surely changing the
maintainership of python-central is neither necessary nor sufficient to
expedite its deprecation?

The python-defaults and python3-defaults packages already have a maintainer
team, and you're a member.  Is this inadequate for these packages?  In what
way?  If the current maintenance team for these packages is wrong, who do
*you*, as a current co-maintainer, think should be on that team?

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 06:27:03 GMT) Full text and rfc822 format available.

Message #200 received at 573745@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Steve Langasek <vorlon@debian.org>, 573745@bugs.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Tue, 6 Jul 2010 08:24:13 +0200
Hi,

On Mon, 05 Jul 2010, Steve Langasek wrote:
> > * Give python-defaults, python3-defaults, python-central and
> >   setuptools/distribute packages to a team chosen by CTTE and accepted by
> >   bug submitters. If they will choose to include me, the first thing I
> >   will propose to do after releasing Squeeze will be a RM request of
> >   python-central with all packages converted to dh_python2 or
> >   python-support if it will make sense² (I'd prefer to convert all
> >   python-support based packages to dh_python2 as well)
> 
> How do you define "bug submitters" for this purpose?

I think he meant the set of people who submitted #573745, aka this request
to the tech-ctte.

Cheers,
-- 
Raphaël Hertzog

Follow my Debian News on http://RaphaelHertzog.com




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 07:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 07:00:03 GMT) Full text and rfc822 format available.

Message #205 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: piotr@debian.org, 573745@bugs.debian.org, scott@kitterman.com
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Tue, 6 Jul 2010 08:57:23 +0200
* Sandro Tosi (morph@debian.org) [100705 23:28]:
> On Mon, Jul 5, 2010 at 21:46, Piotr Ożarowski <piotr@debian.org> wrote:
> > Here's my proposal:
> >
> > * Ask Barry to join Matthias (and Matthias to accept Barry) as
> 
> adding Barry (if he accepts, of course) to the maints of python would
> be a huge win...

I would be happy if we can identify things to do which everyone agrees
one. Adding Barry to pythonX.Y packages seems one of them.


> >  interpreter packages maintainer¹ (pythonX.Y packages) and encourage
> >  both of them to find someone who cares about Debian first (so without
> >  @ubuntu.com or @canonical.com email address) - make it an requirement
> >  if bug submitters or CTTE will not be happy 3 months after releasing
> >  Squeeze (i.e. when 2.7 transition should be in advanced stage),
> 
> ...but it's not enough. Python is a delicate "beast" that I think it
> requires a group of people. (and again, as a personal idea, only
> accepting people which doko is fine with will reduce a lot the
> candidates, for sure a huge part of the most skilled ones, guess why.)

For the interpreter packages, I think some fluency with upstream is
required. Which people with that skill are there who are rejected by
Matthias? (I doubt we have too many such people anyways in Debian.)


> > Yes, I do realize that it's not possible to have a working Python
> > without these two teams co-operating... and that's the point!
> > If it will not work, we can ask CTTE for a decision about specific
> > problems (like 2.7 upload to unstable, adding a 2.7 to
> > supported, adding/dropping a patch in interpreter package, adding a
> > feature in helper tool(s), etc.)
> 
> ehm, I think that's exactly what the CTTE wants to avoid: being asked
> of any decisions like this; instead, if I got it right, they want to
> find a self-sustainable solution, that will work out by itself without
> a continue appeal to CTTE.

For questions like "when do we add $foo to supported" and "when do we
do transitions" the release team should be in the loop IMHO (but well,
see which hats I'm wearing). Looking back at the recent upload of
python-defaults, I think the release team is also in an position to
ensure things are moving forward there. 

Of course, I agree with you that the teams should be on speaking
terms. ;)


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 07:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 07:12:03 GMT) Full text and rfc822 format available.

Message #210 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Piotr Ożarowski <piotr@debian.org>, 573745@bugs.debian.org
Cc: Scott Kitterman <scott@kitterman.com>
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Tue, 6 Jul 2010 09:08:58 +0200
Hi,


* Steve Langasek (vorlon@debian.org) [100706 00:09]:
> >   and encourage both of them to find someone who cares about Debian first
> >   (so without @ubuntu.com or @canonical.com email address)
> 
> This, OTOH, is an altogether arbitrary requirement that plays into the hands
> of those repeating the tired old canard that being an Ubuntu developer is a
> conflict of interest for Debian package maintenance.

I have seen cases where this is true (or just where peoples time is
sucked up hard), so saying "for someone with an ubuntu mail address we
need to take an extra look he has proper time" is fair. The same is
obviously true for a couple of other companies (I know people who
started working for google, and completly disappeared from debian
within no time span). Also I'm convinced this isn't an issue with
Matthias.

And obviously it would make sense to have maintainers working for
different companies, so that not all of them are bitten by loads of
payed work at the same time because some important release needs to be
done.



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 07:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 07:15:06 GMT) Full text and rfc822 format available.

Message #215 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Piotr Ożarowski <piotr@debian.org>, 573745@bugs.debian.org
Cc: Scott Kitterman <scott@kitterman.com>
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Tue, 6 Jul 2010 09:10:57 +0200
* Sandro Tosi (morph@debian.org) [100706 00:24]:
> Ok, probably I didn't express myself clearly enough. you are talking
> about the future, when python will have co-maintainers
> (python*-default already has them), am I correct? I was referring
> instead to the current situation where python*-default has
> co-maintainers while python interpreter packages still has not. It
> seems to me that Matthias is still the key to make the architecture
> works, since he controls interpreters and co-control (horrible
> expression) the *-default, so without his ack (and so public
> discussion when needed) we are stuck.

Just checking: if pythonX.Y would have appropriate co-maintainers, you
then would be happy? Or is there more to be done as of today?



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 07:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 07:18:05 GMT) Full text and rfc822 format available.

Message #220 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Piotr Ożarowski <piotr@debian.org>, 573745@bugs.debian.org
Cc: Scott Kitterman <scott@kitterman.com>
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Tue, 6 Jul 2010 09:15:59 +0200
* Russ Allbery (rra@debian.org) [100706 08:02]:
> This is a community, cooperative project.  That means that getting along
> with fellow developers *is actual work*, and is as important in some cases
> as the technical work expressed in the packages that we upload.

It's even worse: Within the release team, I spend over 90% of my time
on social issues, not technical. Which is ok, but also required.


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 08:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 08:30:02 GMT) Full text and rfc822 format available.

Message #225 received at 573745@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Tue, 6 Jul 2010 10:27:47 +0200
[Sandro Tosi, 2010-07-05]
> On Mon, Jul 5, 2010 at 21:46, Piotr Ożarowski <piotr@debian.org> wrote:
> >  interpreter packages maintainer¹ (pythonX.Y packages) and encourage
> >  both of them to find someone who cares about Debian first (so without
> >  @ubuntu.com or @canonical.com email address) - make it an requirement
> >  if bug submitters or CTTE will not be happy 3 months after releasing
> >  Squeeze (i.e. when 2.7 transition should be in advanced stage),
> 
> ...but it's not enough. Python is a delicate "beast" that I think it
> requires a group of people. (and again, as a personal idea, only
> accepting people which doko is fine with will reduce a lot the
> candidates, for sure a huge part of the most skilled ones, guess why.)

Matthias (Ubuntu/Debian maintainer), Barry (upstream), and one pure
Debian developer is not enough? How many maintainers would be enough?

> > Yes, I do realize that it's not possible to have a working Python
> > without these two teams co-operating... and that's the point!
> > If it will not work, we can ask CTTE for a decision about specific
> > problems (like 2.7 upload to unstable, adding a 2.7 to
> > supported, adding/dropping a patch in interpreter package, adding a
> > feature in helper tool(s), etc.)
> 
> ehm, I think that's exactly what the CTTE wants to avoid: being asked
> of any decisions like this; instead, if I got it right, they want to
> find a self-sustainable solution, that will work out by itself without
> a continue appeal to CTTE.

I'm sure they will react if we'll annoy them too many times ;-P
(and I think all these example problems can be resolved with few emails
to debian-python@, if not, then CTTE will have something to start with.
The point is to have all the problems raised soon and resolved fast)
-- 
Piotr Ożarowski                         Debian GNU/Linux Developer
www.ozarowski.pl          www.griffith.cc           www.debian.org
GPG Fingerprint: 1D2F A898 58DA AF62 1786 2DF7 AEF6 F1A2 A745 7645




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 10:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 10:06:06 GMT) Full text and rfc822 format available.

Message #230 received at 573745@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Tue, 6 Jul 2010 12:04:13 +0200
[Steve Langasek, 2010-07-06]
> I think the python
> packages ought to have more than two comaintainers, and there are any number
> of folks with no Ubuntu affiliation who might join the team - you yourself
> would be a prime candidate, IMHO.

I don't have enough skills to handle other architectures, I don't have
enough motivation right now to and first of all: I do not have enough
time (join DPMT / PAPT and start checking/sponsoring packages and I
will start working on interpreter packages instead)

> But I won't dignify the absurd claims that Ubuntu
> or Canonical somehow *want* Ubuntu to be ahead of Debian on python. 

I don't know if you want it or not, the problem is you're doing it and
later forcing us to use Ubuntu solutions and thus slowing us down (it
doesn't matter if these solutions are broken or not, I already listed
examples for both on debian-python mailing list). I don't care if you
discuss Debian Python stuff at UDS, but I do want to have it discussed
also on debian-python mailing list *before* upload to Debian. You can do
whatever you want if you will use it in Ubuntu only, although I feel sad
that my work is wasted and packages synced from Debian without a single
change, do not work in Ubuntu.

> > * Give python-defaults, python3-defaults, python-central and
> >   setuptools/distribute packages to a team chosen by CTTE and accepted by
> >   bug submitters. If they will choose to include me, the first thing I
> >   will propose to do after releasing Squeeze will be a RM request of
> >   python-central with all packages converted to dh_python2 or
> >   python-support if it will make sense² (I'd prefer to convert all
> >   python-support based packages to dh_python2 as well)
> 
> How do you define "bug submitters" for this purpose?

#573745's one (Luca, Josselin, Sandro and Bernd)

> Why do you believe it necessary to change the maintainership of the
> python-central package to accomplish a transition to dh_python2?

all other attempts to merge -support and -central failed and
transition to dh_python2 is not (yet?) accepted by Debian Python
community

> It was my
> understanding that Matthias is already on board with deprecating
> python-central in favor of dh_python2, in which case there doesn't seem to
> be any reason for the TC to intervene.

if I will not be part of python-defaults' team, dh_python2 will
die most probably (I hope at least dh_python3 will survive in
python3-defaults)

> Furthermore, it would be contrary to
> Debian best practices to remove python-central from the archive while it
> still had reverse-dependencies in the archive;

"with all packages converted to dh_python2 or python-support"

> The python-defaults and python3-defaults packages already have a maintainer
> team, and you're a member.  Is this inadequate for these packages?  In what
> way?  If the current maintenance team for these packages is wrong, who do
> *you*, as a current co-maintainer, think should be on that team?

let CTTE and bug submitters decide if they're happy with us or not (if
they will decide to remove Matthias from Maintainer, it will not mean
Scott and I will stop working with him, it will only mean we will be the
only ones to blame)
-- 
Piotr Ożarowski                         Debian GNU/Linux Developer
www.ozarowski.pl          www.griffith.cc           www.debian.org
GPG Fingerprint: 1D2F A898 58DA AF62 1786 2DF7 AEF6 F1A2 A745 7645




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 10:57:03 GMT) Full text and rfc822 format available.

Message #235 received at 573745@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Tue, 06 Jul 2010 12:55:28 +0200
On 07/06/2010 10:27 AM, Piotr Ożarowski wrote:
> [Sandro Tosi, 2010-07-05]
>> On Mon, Jul 5, 2010 at 21:46, Piotr Ożarowski <piotr@debian.org> wrote:
>>>  interpreter packages maintainer¹ (pythonX.Y packages) and encourage
>>>  both of them to find someone who cares about Debian first (so without
>>>  @ubuntu.com or @canonical.com email address) - make it an requirement
>>>  if bug submitters or CTTE will not be happy 3 months after releasing
>>>  Squeeze (i.e. when 2.7 transition should be in advanced stage),
>>
>> ...but it's not enough. Python is a delicate "beast" that I think it
>> requires a group of people. (and again, as a personal idea, only
>> accepting people which doko is fine with will reduce a lot the
>> candidates, for sure a huge part of the most skilled ones, guess why.)
> 
> Matthias (Ubuntu/Debian maintainer), Barry (upstream), and one pure
> Debian developer is not enough? How many maintainers would be enough?

I would not count Matthias too much here, he has proven that he disappears from
doing stuff in Debian. I'd suggest to have two pure Debian developers, at least
for the time until Barry is one.

> 
>>> Yes, I do realize that it's not possible to have a working Python
>>> without these two teams co-operating... and that's the point!
>>> If it will not work, we can ask CTTE for a decision about specific
>>> problems (like 2.7 upload to unstable, adding a 2.7 to
>>> supported, adding/dropping a patch in interpreter package, adding a
>>> feature in helper tool(s), etc.)
>>
>> ehm, I think that's exactly what the CTTE wants to avoid: being asked
>> of any decisions like this; instead, if I got it right, they want to
>> find a self-sustainable solution, that will work out by itself without
>> a continue appeal to CTTE.
> 
> I'm sure they will react if we'll annoy them too many times ;-P
> (and I think all these example problems can be resolved with few emails
> to debian-python@, if not, then CTTE will have something to start with.
> The point is to have all the problems raised soon and resolved fast)


-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: 06C8 C9A2 EAAD E37E 5B2C BE93 067A AD04 C93B FF79
                   ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 11:15:03 GMT) Full text and rfc822 format available.

Message #240 received at 573745@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Tue, 06 Jul 2010 13:10:47 +0200
On 07/06/2010 12:04 PM, Piotr Ożarowski wrote:
> [Steve Langasek, 2010-07-06]
>> I think the python
>> packages ought to have more than two comaintainers, and there are any number
>> of folks with no Ubuntu affiliation who might join the team - you yourself
>> would be a prime candidate, IMHO.
> 
> I don't have enough skills to handle other architectures, I don't have
> enough motivation right now to and first of all: I do not have enough
> time (join DPMT / PAPT and start checking/sponsoring packages and I
> will start working on interpreter packages instead)
> 
>> But I won't dignify the absurd claims that Ubuntu
>> or Canonical somehow *want* Ubuntu to be ahead of Debian on python. 
> 
> I don't know if you want it or not, the problem is you're doing it and
> later forcing us to use Ubuntu solutions and thus slowing us down (it
> doesn't matter if these solutions are broken or not, I already listed
> examples for both on debian-python mailing list). I don't care if you
> discuss Debian Python stuff at UDS, but I do want to have it discussed
> also on debian-python mailing list *before* upload to Debian. You can do
> whatever you want if you will use it in Ubuntu only, although I feel sad
> that my work is wasted and packages synced from Debian without a single
> change, do not work in Ubuntu.

Strong ack (and that is a general problem, but worse for Python).

> 
>>> * Give python-defaults, python3-defaults, python-central and
>>>   setuptools/distribute packages to a team chosen by CTTE and accepted by
>>>   bug submitters. If they will choose to include me, the first thing I
>>>   will propose to do after releasing Squeeze will be a RM request of
>>>   python-central with all packages converted to dh_python2 or
>>>   python-support if it will make sense² (I'd prefer to convert all
>>>   python-support based packages to dh_python2 as well)
>>
>> How do you define "bug submitters" for this purpose?
> 
> #573745's one (Luca, Josselin, Sandro and Bernd)
> 
>> Why do you believe it necessary to change the maintainership of the
>> python-central package to accomplish a transition to dh_python2?
> 
> all other attempts to merge -support and -central failed and
> transition to dh_python2 is not (yet?) accepted by Debian Python
> community

We definitely need to get rid of the mess of different helpers in Squeeze+1
without waiting until a month before the freeze. The reason that there are two
helpers is insane enough and it is about time to fix that.

> 
>> It was my
>> understanding that Matthias is already on board with deprecating
>> python-central in favor of dh_python2, in which case there doesn't seem to
>> be any reason for the TC to intervene.
> 
> if I will not be part of python-defaults' team, dh_python2 will
> die most probably (I hope at least dh_python3 will survive in
> python3-defaults)
> 
>> Furthermore, it would be contrary to
>> Debian best practices to remove python-central from the archive while it
>> still had reverse-dependencies in the archive;
> 
> "with all packages converted to dh_python2 or python-support"
> 
>> The python-defaults and python3-defaults packages already have a maintainer
>> team, and you're a member.  Is this inadequate for these packages?  In what
>> way?  If the current maintenance team for these packages is wrong, who do
>> *you*, as a current co-maintainer, think should be on that team?
> 
> let CTTE and bug submitters decide if they're happy with us or not (if
> they will decide to remove Matthias from Maintainer, it will not mean
> Scott and I will stop working with him, it will only mean we will be the
> only ones to blame)


I'm wondering why there should be more than one team to maintain -defaults and
Python itself. It doesn't make sense to have more than one team as it makes the
coordination even harder. There should be one team where people who have the
skill and knowledge to work on the packages work together. Everybody with the
necessary skills *and* willingness to work in a team should be allowed to join
the team. Of course this includes Matthias, *if* he is willing to work in a
team, otherwise it doesn't make sense.


-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: 06C8 C9A2 EAAD E37E 5B2C BE93 067A AD04 C93B FF79
                   ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 13:51:03 GMT) Full text and rfc822 format available.

Message #245 received at 573745@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Scott Kitterman <scott@kitterman.com>, 573745@bugs.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Tue, 6 Jul 2010 13:47:52 +0000
On Mon, Jul 05, 2010 at 02:39:58PM -0400, Scott Kitterman wrote:
> If people had asked to have me fired from a job I was doing (in Debian or 
> elsewhere), you can be certain that sitting down and having a nice chat with 
> them would be very low on my priority list.  I would focus my attention on 
> people who were trying to work with me.  I believe that's human nature and it 
> would be odd to expect anything else.

I apologize; I misunderstood what you were saying.  I thought you were
talking about properly executing one's job, not having chats.
It is in the former case that I find refusing to communicate with people
to be unacceptable.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 16:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 16:09:02 GMT) Full text and rfc822 format available.

Message #250 received at 573745@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Scott Kitterman <scott@kitterman.com>, 573745@bugs.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Tue, 06 Jul 2010 18:07:39 +0200
[Message part 1 (text/plain, inline)]
[ Disclaimer: Random bits from my brain only ]

Il 05/07/2010 19.45, Scott Kitterman ha scritto:
> Other than the question of when to make the initial upload of a new version of 
> the Python interpreter to Unstable, most of the issues at the core of this 
> request have to do with maintenance of the core Python system in Debian and 
> Python policy.  These are from python-defaults and python3-defaults.  Both of 
> these packages are now maintained by three DDs in a public VCS.

Having a real and active team behind python{,3}-defaults is surely a
nice improvement, so more people are responsible for such an important
piece in Debian, and can help Matthias when too busy in other tasks,
which could not be directly related to his job: being an Ubuntu
developer myself, I don't think wearing a Ubuntu (or Canonical) hat has
been "the" issue, several people already showed the opposite with facts.

> We are having a good discussion in the Debian Python community around what the 
> Debian System for Python 3 will look like.  No one is imposing anything (look 
> at the recent archives of debian-python for the discussion).

One of the requests of the Debian Python community, and of those who
initially filed this bug, was proper communications with developers in
order to help them to handle interpreter, policy and packaging changes
in the safest way. In the past, we rarely see "Bits from Python
maintainer"-like emails, and no consequent discussions were held to
understand or to improve things.

In these last months, several emails and IRC discussions took place, and
I believe this is the greatest improvement we (as the whole community
behind Debian and Python) achieved. Someone might argue Matthias didn't
took a strong part in those discussions, and I'd like to hear his
opinions more often given his long-time commitment and experience in
maintaining Python stack. This is not to force him to share the load,
but instead to share knowledge and let other people do things the right way.



I also read people saying the initial bug authors didn't work towards
python2.6 transition. I have to argue this is definitely false.
Transition has been conducted by a lot of different people, and it is
hard to say who did more and who did less, because everyone contributed
in a way or another (e.g. Jakub also filed a lot of bugs, Sandro also
uploaded a lot of NMUs, and I also prepared binNMUs for python2.6 as
supported version, but no credit was due...). I don't want public
blessing, and I'm sure nobody does because we all care about having
things done instead of having names written on a public wall, just we
don't have to fall into this minefield: it only increase hated
discussions without going anywhere useful, and distract from our goal.



Things are moving, and this is good. There are several things to be
discussed and implemented before we can claim Python issue solved. I
believe Scott and Piotr are great guys with strong technical and social
skills, but now that Python maintenance has been broadened, giving other
interested people the concrete possibility to work on Python interpreter
or *-defaults should be encouraged: everyone deserves a chance, and we
can't let personal grugde to prevent that to happen.

-- 

  .''`.
 : :' :   Luca Falavigna <dktrkranz@debian.org>
 `. `'
   `-

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 06 Jul 2010 17:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 06 Jul 2010 17:15:02 GMT) Full text and rfc822 format available.

Message #255 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Scott Kitterman <scott@kitterman.com>, 573745@bugs.debian.org, Luca Falavigna <dktrkranz@debian.org>
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Tue, 6 Jul 2010 19:12:14 +0200
* Luca Falavigna (dktrkranz@debian.org) [100706 18:09]:
> [...]

I'm agreeing to most things you said.


> Things are moving, and this is good. There are several things to be
> discussed and implemented before we can claim Python issue solved. I
> believe Scott and Piotr are great guys with strong technical and social
> skills, but now that Python maintenance has been broadened, giving other
> interested people the concrete possibility to work on Python interpreter
> or *-defaults should be encouraged: everyone deserves a chance, and we
> can't let personal grugde to prevent that to happen.

Sure. I would be happy to have more people doing work there - but I
don't think "more people should participate" is the compelling reason
to kick out the current maintainer(s) unless this is the only option
left. And I don't think it's as bad as that. (Which doesn't translate
to "I'm totally happy with the status quo", just "it's not as bad as
that".)



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 09 Jul 2010 15:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 09 Jul 2010 15:45:05 GMT) Full text and rfc822 format available.

Message #260 received at 573745@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Bernd Zeimetz <bernd@bzed.de>, 573745@bugs.debian.org
Subject: Re: Bug#573745: Things have changed significantly for the better
Date: Fri, 09 Jul 2010 09:43:59 -0600
[Message part 1 (text/plain, inline)]
On Tue, 06 Jul 2010 13:10:47 +0200, Bernd Zeimetz <bernd@bzed.de> wrote:
> We definitely need to get rid of the mess of different helpers in Squeeze+1
> without waiting until a month before the freeze. The reason that there are two
> helpers is insane enough and it is about time to fix that.

I agree.  

As a casual user of Python and maintainer of packages that deliver
Python scripts, the current situation is really confusing.

> I'm wondering why there should be more than one team to maintain
> -defaults and Python itself. It doesn't make sense to have more than
> one team as it makes the coordination even harder. 

I agree on this, too.  I doubt there are any good technical reasons for
more than one team here, but there may well be a reasonable division of
responsibilities that would lead to different lists of maintainers
and/or uploaders on the different packages.  Some people would read that
as "different teams", perhaps?  [shrug]

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 03 Sep 2010 17:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 03 Sep 2010 17:51:09 GMT) Full text and rfc822 format available.

Message #265 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Andriy Senkovych <jolly_roger@itblog.org.ua>
Cc: debian-mentors <debian-mentors@lists.debian.org>, 573745@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: No response from official maintainer
Date: Fri, 3 Sep 2010 19:48:10 +0200
Hello Andriy,
thanks for your interest in Debian (and in buildbot specifically).

On Wed, Sep 1, 2010 at 12:33, Andriy Senkovych
<jolly_roger@itblog.org.ua> wrote:
> Dear mentors!
>
> Recently I started a conversation about uploading new release of
> buildbot package with a lot of changes in the Debian part of the
> package too (http://lists.debian.org/debian-mentors/2010/08/msg00258.html).
> Since the package has an official maintainer who uploads his work on
> other packages periodically I was considered as the one who hijacked
> the package (http://lists.debian.org/debian-mentors/2010/08/msg00268.html).
> I've sent private message to the official maintainer as well since
> that time but still with no response.

Sadly, this absence of reply is not something surprising me (and
others I think, as also Paul discovered[0]). This lack of
communication, interest and the overcommitting of Matthias is what has
made us call to the Technical Committee about Python maintainership.
Given this is a perfect example of what we wanted to show, I add the
TC bug in CC, to also show that situation is still going on.

[0] http://lists.debian.org/debian-mentors/2010/09/msg00018.html

> I'd like to know what steps should be done so I could work on this
> package in future without being misunderstood.

For such situations, it's always better to publicly send your "pings"
(the email you sent privately to Matthias about the status of the
package) using the Debian BTS for example, like you did (but only
partially) in [1]. Also, directly add in CC Matthias, even for bugs on
his packages, so there won't be any comments like "ah, but he was not
directly in the loop" (yes, this happens...), so I'm doing it now,
even if Romain already did[2], without any public reply from Matthias.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=587313
[2] http://lists.debian.org/debian-mentors/2010/08/msg00268.html

> That conversation also showed me some things on Debian release
> management I didn't know about
> (http://lists.debian.org/debian-mentors/2010/08/msg00264.html). I
> understood that the package cannot be uploaded to unstable since it
> could pass to testing just with the flow of time without any humanity
> checks. But I know nothing concerning upload to experimental branch
> and its policy. Can you advice any documents or other information
> sources on these policies concerning approving huge changes in the
> package structure?

I am too lazy to check :) but you probably can find something about
the "freeze" process in the Debian policy and/or Developers Reference.
Just to do a very brief recap, during a freeze any upload to unstable
won't transition to testing (that will be the new stable) unless
accepted by a Release Team member. Experimental is "free to use" for
cases like yours, so the buildbot upload has to be targetting
experimental, and be tested there until we release and then be
uploaded to unstable.

> Another question I am worried about is a quality of my solution made
> in the package. I believe it is not bad but I feel there's could be
> better ways to do that. Can you please advice where I can discuss my
> solution and the way to improve them?

Given it's a python application, you'd be much welcomed to join[3] the
PAPT[4] and maintain the package there. In any case, you can discuss
python "stuff" packaging on debian-python@lists.debian.org and for
fast replies on IRC on #debian-python channel on irc.debian.org
server.

[3] http://wiki.debian.org/Teams/PythonModulesTeam/HowToJoin
[4] http://wiki.debian.org/Teams/PythonAppsPackagingTeam

> Currently I participate in the buildbot project and I hope I can
> improve the software as well as it's representation in Debian.

Given Romain's reply is 10 days old, given Paul already pinged doko on
IRC, given you contacted several times Matthias (and since several
months) and none of these generated any reply, I think you can go on
and take over the package.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 03 Sep 2010 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 03 Sep 2010 20:00:03 GMT) Full text and rfc822 format available.

Message #270 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Andriy Senkovych <jolly_roger@itblog.org.ua>
Cc: debian-mentors <debian-mentors@lists.debian.org>, 573745@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#573745: No response from official maintainer
Date: Fri, 03 Sep 2010 12:57:06 -0700
Sandro Tosi <morph@debian.org> writes:

> Sadly, this absence of reply is not something surprising me (and others
> I think, as also Paul discovered[0]). This lack of communication,
> interest and the overcommitting of Matthias is what has made us call to
> the Technical Committee about Python maintainership.  Given this is a
> perfect example of what we wanted to show, I add the TC bug in CC, to
> also show that situation is still going on.

> [0] http://lists.debian.org/debian-mentors/2010/09/msg00018.html

A maintainer not responding quickly to a request to take over a package
they've uploaded themselves as recently as this February, to upload a new
major version of a package without any RC bugs, during a release freeze
(!), is not a particularly compelling example of malfeasance.

> Given Romain's reply is 10 days old, given Paul already pinged doko on
> IRC, given you contacted several times Matthias (and since several
> months)

The first contact about 0.8 recorded in the BTS is August 1st, which is
not several months (although is before the official beginning of the
freeze).

> and none of these generated any reply, I think you can go on and take
> over the package.

I don't agree.  The new version is not eligible for squeeze regardless,
and it seems to me like there's some time to ask Matthias what his
intentions are concerning the package, whether he is interested in
transferring it to a new maintainer, etc.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 03 Sep 2010 20:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 03 Sep 2010 20:12:06 GMT) Full text and rfc822 format available.

Message #275 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: Andriy Senkovych <jolly_roger@itblog.org.ua>, debian-mentors <debian-mentors@lists.debian.org>, 573745@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#573745: No response from official maintainer
Date: Fri, 3 Sep 2010 22:10:12 +0200
Hello,

On Fri, Sep 3, 2010 at 21:57, Russ Allbery <rra@debian.org> wrote:
> Sandro Tosi <morph@debian.org> writes:
>
>> Sadly, this absence of reply is not something surprising me (and others
>> I think, as also Paul discovered[0]). This lack of communication,
>> interest and the overcommitting of Matthias is what has made us call to
>> the Technical Committee about Python maintainership.  Given this is a
>> perfect example of what we wanted to show, I add the TC bug in CC, to
>> also show that situation is still going on.
>
>> [0] http://lists.debian.org/debian-mentors/2010/09/msg00018.html
>
> A maintainer not responding quickly to a request to take over a package
> they've uploaded themselves as recently as this February, to upload a new
> major version of a package without any RC bugs, during a release freeze
> (!), is not a particularly compelling example of malfeasance.
>
>> Given Romain's reply is 10 days old, given Paul already pinged doko on
>> IRC, given you contacted several times Matthias (and since several
>> months)
>
> The first contact about 0.8 recorded in the BTS is August 1st, which is
> not several months (although is before the official beginning of the
> freeze).

I think I misread some emails, and so Andriy only contacted (publicly)
on August and not since April as I first understood. So clearly it's
not "several months" but "more than one month" only.

>> and none of these generated any reply, I think you can go on and take
>> over the package.
>
> I don't agree.  The new version is not eligible for squeeze regardless,
> and it seems to me like there's some time to ask Matthias what his
> intentions are concerning the package, whether he is interested in
> transferring it to a new maintainer, etc.

Given the above yes, I concur it's not yet the time for maintainer
switch. Now, let's wait for a reply.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 04 Sep 2010 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andriy Senkovych <jolly_roger@itblog.org.ua>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 04 Sep 2010 12:03:03 GMT) Full text and rfc822 format available.

Message #280 received at 573745@bugs.debian.org (full text, mbox):

From: Andriy Senkovych <jolly_roger@itblog.org.ua>
To: Sandro Tosi <morph@debian.org>
Cc: Russ Allbery <rra@debian.org>, debian-mentors <debian-mentors@lists.debian.org>, 573745@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#573745: No response from official maintainer
Date: Sat, 4 Sep 2010 15:00:25 +0300
Dear mentors, Sandro, Russ,

thank you for your replies.
On 2010/9/3 Sandro Tosi <morph@debian.org> wrote:
> Hello,
>
> On Fri, Sep 3, 2010 at 21:57, Russ Allbery <rra@debian.org> wrote:
>> Sandro Tosi <morph@debian.org> writes:
>>
>>> Sadly, this absence of reply is not something surprising me (and others
>>> I think, as also Paul discovered[0]). This lack of communication,
>>> interest and the overcommitting of Matthias is what has made us call to
>>> the Technical Committee about Python maintainership.  Given this is a
>>> perfect example of what we wanted to show, I add the TC bug in CC, to
>>> also show that situation is still going on.
>>
>>> [0] http://lists.debian.org/debian-mentors/2010/09/msg00018.html
>>
>> A maintainer not responding quickly to a request to take over a package
>> they've uploaded themselves as recently as this February, to upload a new
>> major version of a package without any RC bugs, during a release freeze
>> (!), is not a particularly compelling example of malfeasance.
>>
>>> Given Romain's reply is 10 days old, given Paul already pinged doko on
>>> IRC, given you contacted several times Matthias (and since several
>>> months)
>>
>> The first contact about 0.8 recorded in the BTS is August 1st, which is
>> not several months (although is before the official beginning of the
>> freeze).
>
> I think I misread some emails, and so Andriy only contacted (publicly)
> on August and not since April as I first understood. So clearly it's
> not "several months" but "more than one month" only.

It's true that I contacted Matthias concerning packaging v0.8 of
buildbot on August[1]. However my first attempt contacting him ever
was on the 2nd of April[2]. I wrote the simple patch to the issue for
the v0.7.12 which is no longer developed.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=587313
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=576284

I'm using Debian for five years but I'm new to Debian community so I
cannot really understand all the factors. The facts I operated were
the following:

0) last package upload was done on February
1) no answer for bug [1] since April
2) new upstream release v0.8 on the 25th of May (reported in [2] on
27th of June)
3) my first attempt to package upstream reported in the bugtracker on
the 1st of August

On these facts I thought package(or at list it's page on BTS) is
rarely maintained. This was one of the reasons I began packaging on my
own. Because I thought "How long would it take to get the new upstream
worth upgrading to available in Debian?". Unfortunately, I didn't get
in time before freeze started and I didn't know much about Debian
release management either.

>>> and none of these generated any reply, I think you can go on and take
>>> over the package.
>>
>> I don't agree.  The new version is not eligible for squeeze regardless,
>> and it seems to me like there's some time to ask Matthias what his
>> intentions are concerning the package, whether he is interested in
>> transferring it to a new maintainer, etc.
>
> Given the above yes, I concur it's not yet the time for maintainer
> switch. Now, let's wait for a reply.

Thanks for your replies. I'll be glad to hear any news from Matthias.
In the meantime, if this is acceptable,  I'd like to continue my work
on this package and improve my skills and knowledge about packaging
software to increase possibility of this version and it's improvements
appear in the Debian Archive.

-- 
with best regards, Andriy Senkovych




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 10 Sep 2010 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 10 Sep 2010 17:33:03 GMT) Full text and rfc822 format available.

Message #285 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: Andriy Senkovych <jolly_roger@itblog.org.ua>, debian-mentors <debian-mentors@lists.debian.org>, 573745@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#573745: No response from official maintainer
Date: Fri, 10 Sep 2010 19:30:30 +0200
Hello Russ,
given another week has passed without a public comment on this matter
by Matthias, could you please decide how long Andriy should wait for a
reply? (JFTR, Matthias is not busy doing other things other than
Debian, look at bugs and uploads and mails and irc chats.)

It would be nice in particular with regards to Andriy, which I believe
he's anxious to know what to do with his work: he also asked for a
review[1] of the package, but I doubt anyone would invest time in
reviewing it since it could be just wasted in case of a negative
outcome.

[1] http://lists.debian.org/debian-python/2010/09/msg00012.html

Thanks & Regards,
Sandro

On Fri, Sep 3, 2010 at 21:57, Russ Allbery <rra@debian.org> wrote:
> Sandro Tosi <morph@debian.org> writes:
>
>> Sadly, this absence of reply is not something surprising me (and others
>> I think, as also Paul discovered[0]). This lack of communication,
>> interest and the overcommitting of Matthias is what has made us call to
>> the Technical Committee about Python maintainership.  Given this is a
>> perfect example of what we wanted to show, I add the TC bug in CC, to
>> also show that situation is still going on.
>
>> [0] http://lists.debian.org/debian-mentors/2010/09/msg00018.html
>
> A maintainer not responding quickly to a request to take over a package
> they've uploaded themselves as recently as this February, to upload a new
> major version of a package without any RC bugs, during a release freeze
> (!), is not a particularly compelling example of malfeasance.
>
>> Given Romain's reply is 10 days old, given Paul already pinged doko on
>> IRC, given you contacted several times Matthias (and since several
>> months)
>
> The first contact about 0.8 recorded in the BTS is August 1st, which is
> not several months (although is before the official beginning of the
> freeze).
>
>> and none of these generated any reply, I think you can go on and take
>> over the package.
>
> I don't agree.  The new version is not eligible for squeeze regardless,
> and it seems to me like there's some time to ask Matthias what his
> intentions are concerning the package, whether he is interested in
> transferring it to a new maintainer, etc.
>
> --
> Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>
>
>
> --
> To UNSUBSCRIBE, email to debian-mentors-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/87mxryvbvx.fsf@windlord.stanford.edu
>
>



-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 10 Sep 2010 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 10 Sep 2010 18:03:03 GMT) Full text and rfc822 format available.

Message #290 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Andriy Senkovych <jolly_roger@itblog.org.ua>, debian-mentors <debian-mentors@lists.debian.org>, 573745@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#573745: No response from official maintainer
Date: Fri, 10 Sep 2010 11:00:19 -0700
Sandro Tosi <morph@debian.org> writes:

> given another week has passed without a public comment on this matter
> by Matthias, could you please decide how long Andriy should wait for a
> reply? (JFTR, Matthias is not busy doing other things other than
> Debian, look at bugs and uploads and mails and irc chats.)

Is this work targetted at squeeze?

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 10 Sep 2010 19:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andriy Senkovych <jolly_roger@itblog.org.ua>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 10 Sep 2010 19:39:07 GMT) Full text and rfc822 format available.

Message #295 received at 573745@bugs.debian.org (full text, mbox):

From: Andriy Senkovych <jolly_roger@itblog.org.ua>
To: Russ Allbery <rra@debian.org>
Cc: debian-mentors <debian-mentors@lists.debian.org>, 573745@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#573745: No response from official maintainer
Date: Fri, 10 Sep 2010 22:36:08 +0300
Hello, Russ, Sandro.

>> given another week has passed without a public comment on this matter
>> by Matthias, could you please decide how long Andriy should wait for a
>> reply? (JFTR, Matthias is not busy doing other things other than
>> Debian, look at bugs and uploads and mails and irc chats.)

Thanks for your care. I have already spoken to Matthias in person in
IRC on the 9th of September. I wanted to post the result of the
conversation anyway. Here is some quotes of it:

<doko_!irc.oftc.net> you are right, I should have responded earlier
...
<doko_!irc.oftc.net> I had a try at 0.8 myself
<doko_!irc.oftc.net> splitting the slave and the master
<Jolly_Roger> well, splitting wasn't so hard. But I'd like you to look
in the package anyway since it has new manpages and a little more
debianized /debian directory (I tried to use a bit more helpers)
<Jolly_Roger> I just wish my work will be handy
<doko_!irc.oftc.net> copied to http://people.debian.org/~doko/tmp/
<doko_!irc.oftc.net> but, it's too late for squeeze. fine with me to
upload to experimental
<Jolly_Roger> thanks. Is there any way I can help you with this package?
<doko_!irc.oftc.net> sure, if you are interested in that, I'd like to
merge/replace my experimental things with yours
<Jolly_Roger> i don't recommend uploading it anywhere until review
anyway. It seems there are some things broken (e.g. init scripts don't
always detect bot startup failure)
<Jolly_Roger> thanks. I'm interested for sure :)
<doko_!irc.oftc.net> cool!
<doko_!irc.oftc.net> it's not that urgent, so I'd like to delay any
substantil work until mid of october if possible
<doko_!irc.oftc.net> buildbot won't be upgraded for squeeze
<Jolly_Roger> i know that. Should this stop me working on it? :)
<doko_!irc.oftc.net> I'll come back to you after October. If you want
to merge/replace your approach, please email me directly
<doko_!irc.oftc.net> no, your work is appreciated
<Jolly_Roger> thanks. I'll do so. I'll use your @debian.org email just in case

So for now I'll be glad to become a contributor to this package. I
hadn't spoken about maintainership of the package. I'll try to do so
if I get a chance.

> Is this work targetted at squeeze?

It would be great, of course, but the package isn't ready for a stable
release. That's why I'm asking for review. I can't say it's ready
until I will be sure all solutions described in [1] or [2] (they are
the same) are ok. In fact, this is my first workon packaging for
Debian. I'll try to get the package to experimental soon after i'll be
sure about [1] and [2].

[1] http://lists.debian.org/debian-mentors/2010/09/msg00093.html
[2] http://lists.debian.org/debian-python/2010/09/msg00012.html

Thanks again, Sandro, Russ.

-- 
with best regards, Andriy Senkovych




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 10 Sep 2010 20:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 10 Sep 2010 20:12:06 GMT) Full text and rfc822 format available.

Message #300 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Andriy Senkovych <jolly_roger@itblog.org.ua>
Cc: debian-mentors <debian-mentors@lists.debian.org>, 573745@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#573745: No response from official maintainer
Date: Fri, 10 Sep 2010 13:09:19 -0700
Andriy Senkovych <jolly_roger@itblog.org.ua> writes:
> Hello, Russ, Sandro.

>>> given another week has passed without a public comment on this matter
>>> by Matthias, could you please decide how long Andriy should wait for a
>>> reply? (JFTR, Matthias is not busy doing other things other than
>>> Debian, look at bugs and uploads and mails and irc chats.)

> Thanks for your care. I have already spoken to Matthias in person in
> IRC on the 9th of September. I wanted to post the result of the
> conversation anyway. Here is some quotes of it:

[...]

Thanks!  That seems promising and it seems like things are now on the
right track.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 27 Sep 2010 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 27 Sep 2010 19:51:05 GMT) Full text and rfc822 format available.

Message #305 received at 573745@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 573745@bugs.debian.org
Cc: doko@debian.org
Subject: Status of this bug?
Date: Mon, 27 Sep 2010 21:47:40 +0200
[Message part 1 (text/plain, inline)]
Hello,
tonight (CET) I tried to ping doko on IRC. After a couple of pings on
#ubuntu-devel@freenode, all he could say was "not today, sorry". Since this bug
is open since March, I wonder *when* -- I asked this as well, and didn't
receive a reply at all.

As I already told him, I would expect much more consideration for the CTTE, and
for a bug serious like this, from a DD.
Instead, AFAICS he never replied to any public mail.

Is there anything blocking the CTTE from making a decision?
Are you still trying to communicate with Matthias? Did you have any result
so far? :)


Thank you for consideration,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 06 Nov 2010 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 06 Nov 2010 20:21:03 GMT) Full text and rfc822 format available.

Message #310 received at 573745@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 573745@bugs.debian.org
Subject: ping
Date: Sat, 6 Nov 2010 21:16:32 +0100
[Message part 1 (text/plain, inline)]
Dear Technical Committee members,
  as you might imagine I got asked fairly often what is the status of
this issue. I've always made clear that any issue brought to the
tech-ctte is no DPL matter; the Constitution is very clear about that.

The only thing I could have done to help out a bit is trying some
informal mediation, not to leave out any potential solution.

I've indeed done a bit of that. I've spoken twice, with a delay of 6
months, with the Python maintainer face to face, trying to see whether
there was a possibility of an agreement on a new maintenance team which
would have made this bug moot (I'm sure that would have been made happy
also the tech-ctte :-P). I've also spoken, sometimes face to face and
sometimes in chat replying to "let's ask the DPL what's the status"
queries, to others people involved in this matter. Unfortunately,
nothing concrete has come out of that yet, most likely due to inability
on my side, more than to anything else.

On the bright side, I agree with others who have voiced their opinions
in this bug log that the situation is nowadays better than what it was
when this bug was reported. Not only we now have co-maintained
python*-defaults packages, but also (and more importantly) we now have
*discussions* on -python@lists.d.o on migration strategies and other
important topics. Those discussions include both Debian people and
upstream developers and might even hint future maintenance teams, which
is good.  While it is true that the Python maintainer is not always
participating into them, it is also clear that he follows them and seems
to agree with where they are going.

Nevertheless, the big issue is undeniably still open: maintenance of the
main Python interpreter packages is still up to a single maintainer,
with no mutual trust and/or communication between him and (most of) the
rest of the Debian Python community.

Additionally, as DPL, I'm worried by seeing packages as important as the
Python interpreters maintained by a single person. Even if all other
surrounding issues were not there, that would be a bus-factor problem
worth fixing by itself.  (I concede there are other similar situations
in the archive, but this is no excuse; they are just other problems to
be solved.)


All that said, one of the few remaining actions I can take on this issue
is to friendly ping the tech-ctte to actually decide on this issue, open
for 7 months now. I do think tech-ctte is a very useful device in Debian
and I want Debian to trust it as an efficient device; I would appreciate
if you can help me out toward this worthwhile goal.

If you think I can help in any other way, please let me know, I'll
gladly do whatever I can and/or I'm empowered to.


Thanks a lot for your work, you've all my sympathies for the decision
you're asked to make.

Cheers.


PS I appreciate Cc:-s to leader@d.o if you want to get my attention

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Caposella .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sun, 26 Dec 2010 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 26 Dec 2010 11:00:03 GMT) Full text and rfc822 format available.

Message #315 received at 573745@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: ping
Date: Sun, 26 Dec 2010 11:57:17 +0100
[Message part 1 (text/plain, inline)]
On Sat, Nov 06, 2010 at 09:16:32PM +0100, Stefano Zacchiroli wrote:
> All that said, one of the few remaining actions I can take on this
> issue is to friendly ping the tech-ctte to actually decide on this
> issue, open for 7 months now. I do think tech-ctte is a very useful
> device in Debian and I want Debian to trust it as an efficient device;
> I would appreciate if you can help me out toward this worthwhile goal.
> 
> If you think I can help in any other way, please let me know, I'll
> gladly do whatever I can and/or I'm empowered to.
> 
> 
> Thanks a lot for your work, you've all my sympathies for the decision
> you're asked to make.

As ~2 more months have passed without a comment, I can't do any better
than pinging the CTTE again, AOL-ing the text above (especially the last
paragraph).

As the decision is fully in the hands of the CTTE, I don't see any other
way to help you out. But if you happen to know one, please let me know.

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 04 Jan 2011 05:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 04 Jan 2011 05:00:03 GMT) Full text and rfc822 format available.

Message #320 received at 573745@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: ping
Date: Mon, 3 Jan 2011 20:58:11 -0800
On Sun, 26 Dec 2010, Stefano Zacchiroli wrote:
> On Sat, Nov 06, 2010 at 09:16:32PM +0100, Stefano Zacchiroli wrote:
> > All that said, one of the few remaining actions I can take on this
> > issue is to friendly ping the tech-ctte to actually decide on this
> > issue, open for 7 months now. I do think tech-ctte is a very useful
> > device in Debian and I want Debian to trust it as an efficient device;
> > I would appreciate if you can help me out toward this worthwhile goal.
> > 
> > If you think I can help in any other way, please let me know, I'll
> > gladly do whatever I can and/or I'm empowered to.
> > 
> > 
> > Thanks a lot for your work, you've all my sympathies for the decision
> > you're asked to make.
> 
> As ~2 more months have passed without a comment, I can't do any better
> than pinging the CTTE again, AOL-ing the text above (especially the last
> paragraph).

I believe the CTTE needs to revisit this and see what the current
status is and if there are still remaining issues which need to be
worked through. I'll try to get a status report on this by the end of
this week and see where we are at.


Don Armstrong

-- 
UF: What's your favorite coffee blend?
PD: Dark Crude with heavy water. You are understandink? "If geiger
    counter does not click, the coffee, she is just not thick."

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 04 Jan 2011 08:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 04 Jan 2011 08:15:02 GMT) Full text and rfc822 format available.

Message #325 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Don Armstrong <don@debian.org>, 573745@bugs.debian.org
Subject: Re: Bug#573745: ping
Date: Tue, 4 Jan 2011 09:11:34 +0100
Hi Don & others,

On Tue, Jan 4, 2011 at 05:58, Don Armstrong <don@debian.org> wrote:
> On Sun, 26 Dec 2010, Stefano Zacchiroli wrote:
>> On Sat, Nov 06, 2010 at 09:16:32PM +0100, Stefano Zacchiroli wrote:
>> > All that said, one of the few remaining actions I can take on this
>> > issue is to friendly ping the tech-ctte to actually decide on this
>> > issue, open for 7 months now. I do think tech-ctte is a very useful
>> > device in Debian and I want Debian to trust it as an efficient device;
>> > I would appreciate if you can help me out toward this worthwhile goal.
>> >
>> > If you think I can help in any other way, please let me know, I'll
>> > gladly do whatever I can and/or I'm empowered to.
>> >
>> >
>> > Thanks a lot for your work, you've all my sympathies for the decision
>> > you're asked to make.
>>
>> As ~2 more months have passed without a comment, I can't do any better
>> than pinging the CTTE again, AOL-ing the text above (especially the last
>> paragraph).
>
> I believe the CTTE needs to revisit this and see what the current
> status is and if there are still remaining issues which need to be
> worked through. I'll try to get a status report on this by the end of
> this week and see where we are at.

Thanks for that, it's really appreciated!

If the re-evaluation will include a round of private conversations
with "key people", then I think it would be fair if you would also
include the original appellers that didn't get contacted in the first
place.

Thanks in advance,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 04 Mar 2011 10:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 04 Mar 2011 10:45:05 GMT) Full text and rfc822 format available.

Message #330 received at 573745@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: ping
Date: Fri, 4 Mar 2011 11:40:37 +0100
[Message part 1 (text/plain, inline)]
On Sun, Dec 26, 2010 at 11:57:17AM +0100, Stefano Zacchiroli wrote:
> As ~2 more months have passed without a comment, I can't do any better
> than pinging the CTTE again, AOL-ing the text above (especially the last
> paragraph).
> 
> As the decision is fully in the hands of the CTTE, I don't see any other
> way to help you out. But if you happen to know one, please let me know.

2 more months have passed, ... time for another ping :-)

As I feel bad about not having anything better to do than ping you, here
comes my last attempt to push this topic forward and, hopefully, get it
fixed within the current DPL term (of course, such a political concern
is not a CTTE concern, so you are more than free to ignore it).

The proposal is to delegate the decision on Python interpreter
maintenance to the DPL. No technical decision would be part of the
delegation, only the "social" problem of who are the maintainers will
be. There seem to be no specific provision in the Constitution about the
CTTE delegating decisions to others, but if the CTTE agrees on that
(ideally, voting on it), I think we'll be formally fine.

If the CTTE agrees, I will proceed as follow. I will propose, at my
discretion, a maintenance team that I hope could be accepted by all
involved parties. I'll ask for extra volunteers and for (motivated)
objections, trying to mediate in the discussion and reaching
consensus. All discussions will be public and happen on the
debian-python mailing list. Ultimately, I'll make a judgement call and
decide. People will be free to override it with the mechanisms we have
in place for that.

Of course, I will be way happier if the CTTE decides to beat me at this,
and decide upon this matter in a month or so :-)

Please consider this proposal of mine not as an attempt to step in CTTE
domain---this decision *is* fully within CTTE domain, there are no
doubts about that. Rather, it is the last attempt I can imagine to help
you out with this decision, given that all my previous (poor) attempts
have failed.

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 04 Mar 2011 11:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 04 Mar 2011 11:36:06 GMT) Full text and rfc822 format available.

Message #335 received at 573745@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: ping
Date: Fri, 4 Mar 2011 11:33:27 +0000
Stefano Zacchiroli writes ("Bug#573745: ping"):
> 2 more months have passed, ... time for another ping :-)

I have to say I'm very disappointed that we haven't managed to do a
better job of this.  We need to find a way to make this decision which
does not become irretrievably blocked.

AIUI at the moment the blocking problem is that we don't have a
suitable new team.  The selection of the new team is not something the
ctte is any good at, and selecting maintainers by private email
exchanges is bad anyway because it's not transparent, and also makes
it difficult to chase up.  Furthermore I guess no-one wants to stick
their neck out.

I propose the following solution:

 To: debian-devel, debian-python, existing python maintainer
 Subject: python-* orphaned, help wanted

 The Technical Committee have been petitioned to decide on the
 maintainership of the python packes.  We agree with the substance of
 the complaint, but do not feel able to directly select the
 replacement maintainers.  Therefore:

 We declare that the python packages (full list below) are now
 orphaned, exercising our power in s2 of the Constitution.

 Please would those interested in taking over Python maintenance form
 an appropriate team and take over the package.  If competing teams
 should come forward, the package should be taken over by the largest.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 04 Mar 2011 23:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 04 Mar 2011 23:09:06 GMT) Full text and rfc822 format available.

Message #340 received at 573745@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: ping
Date: Fri, 4 Mar 2011 14:58:01 -0800
[Message part 1 (text/plain, inline)]
On Fri, Mar 04, 2011 at 11:33:27AM +0000, Ian Jackson wrote:

> AIUI at the moment the blocking problem is that we don't have a
> suitable new team.  The selection of the new team is not something the
> ctte is any good at, and selecting maintainers by private email
> exchanges is bad anyway because it's not transparent, and also makes
> it difficult to chase up.  Furthermore I guess no-one wants to stick
> their neck out.

> I propose the following solution:

>  To: debian-devel, debian-python, existing python maintainer
>  Subject: python-* orphaned, help wanted

>  The Technical Committee have been petitioned to decide on the
>  maintainership of the python packes.  We agree with the substance of
>  the complaint, but do not feel able to directly select the
>  replacement maintainers.  Therefore:

>  We declare that the python packages (full list below) are now
>  orphaned, exercising our power in s2 of the Constitution.

>  Please would those interested in taking over Python maintenance form
>  an appropriate team and take over the package.  If competing teams
>  should come forward, the package should be taken over by the largest.

I would vote against this.  It is not the function of the TC to kick over
anthills upon request (or at our whim).  So far I have seen no proposed
intervention on the part of the TC that is demonstrably better than the
status quo, in either the short or long term, for the health of Python in
Debian; and as there continues to be (slow but steady) forward progress on
the technical obstacles and policy issues that have made python packages so
contentious over the past years, I think the TC can do a lot of damage here.

What I see lacking here above all is a good-faith committment from the
would-be package adopters that they will work to address the divergences
from upstream expectations in the dominant python extension packaging
paradigm.  Matthias has raised specific concerns in the past about
python-support behavior, which were discounted by the maintainer; work has
since been done to supersede python-support with a new policy and a new
helper in the form of dh_python2, with no constructive engagement by the
python-support maintainer (AFAIK) despite calls for input.  Until dh_python2
became a reality, the petitioners in this bug were (as I recall) all strong
proponents of python-support.  So I am very concerned that a forcible
maintainer change here could have the effect of derailing the progress of
sorting out the python policy and helper behavior, as it would give the new
maintainers the freedom to ignore certain technical points of view.  (And it
would be an easy thing to ignore, as well; I don't think any of us will
argue that communication on mailing lists is Matthias's strong point.)

Considering also that:

 - if everyone had been constructively engaging on this problem to begin
   with, the occasion for the current python maintainer to engage in
   brinksmanship with the python modules team would never have arisen;
 - solving the python helper Problem (which appears to be happening) removes
   the primary technical point of friction between Matthias and the modules
   team;
 - failing to solve the policy for python helpers would mean there are
   outstanding *technical* disagreements that need to be addressed, not just
   social ones;

I do not believe that forcibly changing the maintainer of the python
packages is the right thing for the TC to do.

So my vote today would be:

  1. reaffirm Matthias as the python maintainer, but encourage him to take
on comaintainers
  2. FD
  3. delegate to the DPL
  4. orphan the package and put it up for grabs

I don't think it's appropriate for the TC to delegate this to the DPL
either, but if Stefano were to act as a mediator for /non-binding/
arbitration on debian-python, I have no objection to this.

And if the python package policy gets fixed and Matthias continues to be
uncooperative towards the python module team regarding transitions, then
there would be reason to consider him an unsuitable maintainer.  But in the
current situation I don't see any innocents and I don't see that hijacking
the package will make things better.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 05 Mar 2011 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 05 Mar 2011 12:21:03 GMT) Full text and rfc822 format available.

Message #345 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Steve Langasek <vorlon@debian.org>, 573745@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#573745: ping
Date: Sat, 5 Mar 2011 12:18:46 +0000
On Fri, Mar 4, 2011 at 22:58, Steve Langasek <vorlon@debian.org> wrote:
> I would vote against this.

can you swear your NACK is completely unrelated to the fact you're a
collegue of Matthias in
Canonical/Linaro/whatever-umbrella-company-is-now? What I think it's
important, is to understand if, and in what part, you judgement can be
biased by external factors than just Debian technical ones.

> It is not the function of the TC to kick over
> anthills upon request (or at our whim).  So far I have seen no proposed
> intervention on the part of the TC that is demonstrably better than the
> status quo, in either the short or long term, for the health of Python in
> Debian;

Can you please provide a list of pros/cons of the "status
quo"/"proposed changes" that can make your belief more clear and
transparent? I.e., I'd like to know what are the things that status
quo is doing good and bad, and the same for appellants. Please also
try not to be vague or twisting words, the ideal would be a
schematic/concise list of pros/cons. That would really help understand
what can be done better, from both parties.

> and as there continues to be (slow but steady) forward progress on
> the technical obstacles and policy issues that have made python packages so
> contentious over the past years,

I don't see any of this "slow but steady forward progress": can you
please list them?

> What I see lacking here above all is a good-faith committment from the
> would-be package adopters that they will work to address the divergences
> from upstream expectations in the dominant python extension packaging
> paradigm.

Can you detail why you don't see the commitment? can you point to
discussion about those "divergences from upstream expectations" where
they are explained and decisions were made?

> Matthias has raised specific concerns in the past about
> python-support behavior, which were discounted by the maintainer; work has
> since been done to supersede python-support with a new policy and a new
> helper in the form of dh_python2, with no constructive engagement by the
> python-support maintainer (AFAIK) despite calls for input.  Until dh_python2
> became a reality, the petitioners in this bug were (as I recall) all strong
> proponents of python-support.  So I am very concerned that a forcible
> maintainer change here could have the effect of derailing the progress of
> sorting out the python policy and helper behavior, as it would give the new
> maintainers the freedom to ignore certain technical points of view.  (And it
> would be an easy thing to ignore, as well;

But you have to be fair, and say all the truth here: you were also one
of the most important supporter of python-central (the helper written
by Matthias which received *a lot* of complains not completely
addressed or discussed) and so your attack against python-support
seems biased to me. (for the reader, this can be easily searched
around May/June 2005 (or 2006?).) Also, please note that Piotr, before
start writing dh_python2 strongly suggested to get rid of -central in
favour of -support, and he made this suggestion to all his sponsorees,
and the python modules team agrees with him start moving packages away
from -central (with all the tech difficulties of removing by hand
leftover files left there by -central)

The improvements to the policy had nothing to do with -support, but
only to the fact that the "at that time" maintainer of the policy
(Matthias) let it rotten, without providing any update to it except
for what he decided to be important and of course without any
discussion; So the first big part of the update was to bring that
up-to-date to the current status quo of packaging.

Also, what is the last time you saw an update to the policy (with a
proper upload)? I can tell you: 2010-08-13, about a week after the
announced freeze, to introduce a change (X-Python-Version) discussed
long before and never revamped before the change. Also Bazaar repo
shows the last change was done on 2010-08-18: sorry but I can't call
it "slow but steady" progress.

> I don't think any of us will
> argue that communication on mailing lists is Matthias's strong point.)

So are we going to simply ignore it and pretend the problem doesn't
exist and go on? What are the measures CTTE would take to prevent this
to be a problem in the future (as it was in the past and still *is*
today) if the status quo has to be reaffirmed (as you so strongly
want?)

> Considering also that:
>
>  - if everyone had been constructively engaging on this problem to begin
>   with, the occasion for the current python maintainer to engage in
>   brinksmanship with the python modules team would never have arisen;

I hope you're sharing the blame half/half here, else can you please
explain further?

>  - solving the python helper Problem (which appears to be happening) removes
>   the primary technical point of friction between Matthias and the modules
>   team;

Sure, but Matthias is in no way involved in this rewriting, since
Piotr is only one doing it: how's that solving the problem between
python ecosystem and Matthias?

>  - failing to solve the policy for python helpers would mean there are
>   outstanding *technical* disagreements that need to be addressed, not just
>   social ones;

Disagreement is also on the *actual* maintainership of the python
interpreters packages and transitions handling, as we stated from the
beginning and you might have skipped here: how's that going to be
solved?

> I do not believe that forcibly changing the maintainer of the python
> packages is the right thing for the TC to do.

Could you please give a detailed description of why not? I don't see
any here, except for a appreciable explanations of what Mathias did
good, and the tiny improvements made, simply skipping the bad/wrong
parts and the long way we have forward.

> So my vote today would be:
>
>  1. reaffirm Matthias as the python maintainer, but encourage him to take
> on comaintainers

Ah, so do nothing and be gone with it? without even force him to take
other guys in?

Sirs, this bug is *one year* old, and proposing to simply take no
action is kinda "surprising" to say the least (and not going into the
'strong words' area).

> And if the python package policy gets fixed and Matthias continues to be
> uncooperative towards the python module team regarding transitions,

Is there a time line for it? Speaking as a "downstream", who long
should we tolerate this? 2.5 and 2.6 transitions were a mess, 2.7 we
don't know since (strange ah?) he still didn't announce anything (and
not that he had not made it yet in ubuntu), god only knows for 3.x -
what else do you need to be convinced? I'm asking to understand what
is the limit for CTTE to take actions, or be convinced there's a
problem.

> then
> there would be reason to consider him an unsuitable maintainer.  But in the
> current situation I don't see any innocents and I don't see that hijacking
> the package will make things better.

see the first question in this email.

On Fri, Mar 4, 2011 at 23:48, Steve Langasek <vorlon@debian.org> wrote:
> When maintainers of related packages are unable to work together, that is a
> problem and something that the TC should be concerned about.  But the notion
> that important packages with a single maintainer are "problems to be solved"
> is a specious one that is not worthy of the TC's consideration.

true, but in this case the current situation of a single maintainer
for python packages (in addition with the same person being the only
maintainer for several other packages, very important and complex, and
(on a side note) possibly poorly maintained) *is* relevant for this
discussion.

> There are
> plenty of clever developers capable of picking up where the previous
> maintainer left off in the event of a "bus event", regardless of the package
> or the packaging helper in use, and I have yet to see any evidence that
> team-maintained packages are in better condition than non-team-maintained
> ones (and I have plenty of anecdotes to the contrary).

So please be explicit and say those anecdotes, instead of just refer
to them in a vague way: we all want to hear facts, not empty
sentences.

> Team maintenance is a reasonable practice to encourage, because in many
> cases this will reduce the average turnaround on bugs;

so you say that python bugs are all handled in a timely fashion? or
are they left in the BTS until that python interpreter version is
removed and thus they will get closed without any
investigation/attentions? This has happened for 2.4, for a recent
example.

> but that's not true
> in all cases, and treating this as a "problem to solve" maligns the enormous
> contributions of single maintainers to Debian over the years.

Ok, we now see that you think Matthias work has to be "venerated" no
matter what. Sorry, but I think that's simply not true. I encourage
you to look at [1] and tell me the "enormous contributions", for
example, in bug fixing/replying. You know that maintaining important
packages is just more that upload new upstream releases.

[1] http://qa.debian.org/developer.php?login=doko@debian.org

If  you want to say that he takes the burden to maintain several
difficult packages, we can only ack that and thank him for it, but
saying "enormous contributions", against what's really happening is
simply biased and unfair.

But that's only a rebuttal to your implication, and it's (generally)
off-topic for the discussion at hand.

> The TC should
> concern itself here with ensuring that the python packages are well
> maintained

which is not

> and the python ecosystem within Debian is healthy,

not either.

> using
> /whatever maintenance structure works best for the developers involved/, and
> take no position on the essentially political question of team maintenance
> as a rule.

that's perfectly understandable. But how your proposal of "leave
things as they are" would fix the above problems?

Thanks for your time and interest on the matter,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 05 Mar 2011 19:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 05 Mar 2011 19:39:02 GMT) Full text and rfc822 format available.

Message #350 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 573745@bugs.debian.org
Cc: Sandro Tosi <morph@debian.org>
Subject: Re: Bug#573745: ping
Date: Sat, 05 Mar 2011 11:37:28 -0800
Sandro Tosi <morph@debian.org> writes:
> On Fri, Mar 4, 2011 at 22:58, Steve Langasek <vorlon@debian.org> wrote:

>> I would vote against this.

> can you swear your NACK is completely unrelated to the fact you're a
> collegue of Matthias in
> Canonical/Linaro/whatever-umbrella-company-is-now? What I think it's
> important, is to understand if, and in what part, you judgement can be
> biased by external factors than just Debian technical ones.

I'm in pretty much the same place that Steve is (seeing problems but not
convinced that the proposed solution is proportional to the level of
problems or will result in a net reduction of problems), and I don't have
any affiliation with Canonical at all and don't know Matthias from Adam.
I don't think you want to be playing that card.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 05 Mar 2011 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 05 Mar 2011 19:45:03 GMT) Full text and rfc822 format available.

Message #355 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 573745@bugs.debian.org
Cc: Vincent Bernat <bernat@debian.org>
Subject: Re: Bug#573745: ping
Date: Sat, 05 Mar 2011 11:40:59 -0800
Vincent Bernat <bernat@debian.org> writes:

> Wow.  Almost nobody uses python-central because python-support has a
> friendly maintainer that helps people asking questions.  Reversing the
> situation seems quite biaised.  For example, python-central does not
> clean up old pyc files and there are numerous bugs report about this:

>  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=518940
>  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=466244
>  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479852

Steve's point was not in support of python-central, but rather in support
of the new helper process.  I'm inclined to agree that, given the people
working on the new helper system, resolution of this bug one way or the
other is unlikely to derail it, but I think you're not seeing his point
and reacting to something else.

> If you look at bug reports on python-support, you will notice that
> Josselin is handling most of the bugs reported in a sane way.  We did
> use python-support because we get answers and fixes for our problems.

And all that happened without replacing the maintainer of Python.  It
didn't happen anywhere nearly as smoothly as it could, but I think the
point is that Matthias is not blocking forward progress here, so changing
maintainers doesn't seem to be required to continue to make progress.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 05 Mar 2011 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 05 Mar 2011 19:57:03 GMT) Full text and rfc822 format available.

Message #360 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 573745@bugs.debian.org, Stefano Zacchiroli <leader@debian.org>
Subject: Re: Bug#573745: ping
Date: Sat, 05 Mar 2011 11:55:06 -0800
Stefano Zacchiroli <leader@debian.org> writes:

> If the CTTE agrees, I will proceed as follow. I will propose, at my
> discretion, a maintenance team that I hope could be accepted by all
> involved parties. I'll ask for extra volunteers and for (motivated)
> objections, trying to mediate in the discussion and reaching
> consensus. All discussions will be public and happen on the
> debian-python mailing list. Ultimately, I'll make a judgement call and
> decide. People will be free to override it with the mechanisms we have
> in place for that.

I think, and have for some time, that the ideal situation would be a
maintenance team that includes Matthias (assuming that Matthias still
cares deeply about the Python packaging and wants to continue to
participate).  If such a team could be found that would work well, it
would allow us to continue to make use of Matthias's passion for the work
while hopefully having a team that can fill in for and make up for the
shortfalls in skills and abilities of all the members, particularly
including communication and public planning.

The problem that I have with the curent situation is that kicking Matthias
to the curb seems to be a requirement for a resolution, and that makes me
really uncomfortable.  I'm not, to note, saying I'm flatly opposed to
that, just that it makes me really uncomfortable and isn't something I
want to advocate given the information that's available to date.

For a maintainer team to work, though, just to be clear, it would need to
be a team of equals, not people who are just interpreting Matthias for
other people without the ability to make independent decisions.

I'm not sure delegating the decision is a good idea, but if you (or anyone
else) could come up with such a team, I think it would be a slam duck
solution to this, and I doubt there'd be much difficulty in getting CTTE
approval (assuming that it was even required, since if Matthias is happy
with the result, there's no need for the CTTE to take formal action).

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 05 Mar 2011 23:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 05 Mar 2011 23:00:03 GMT) Full text and rfc822 format available.

Message #365 received at 573745@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: debian-ctte@lists.debian.org, 573745@bugs.debian.org
Subject: Re: Bug#573745: ping
Date: Sat, 5 Mar 2011 14:58:32 -0800
[Message part 1 (text/plain, inline)]
Sandro,

On Sat, Mar 05, 2011 at 12:18:46PM +0000, Sandro Tosi wrote:
> On Fri, Mar 4, 2011 at 22:58, Steve Langasek <vorlon@debian.org> wrote:
> > I would vote against this.

> can you swear your NACK is completely unrelated to the fact you're a
> collegue of Matthias in
> Canonical/Linaro/whatever-umbrella-company-is-now? What I think it's
> important, is to understand if, and in what part, you judgement can be
> biased by external factors than just Debian technical ones.

For insight into why Matthias avoids communicating with you, you need look
no further than your own adversarial response to my message.  I am not on
trial here; cross-examining the members of the TC is not part of the
constitutional process.

I decline to respond to your base accusations.  I will only point out that
when you accuse your colleagues of conspiracy, consensus tends to be more
elusive.

You do ask some other questions further on in your mail which are deserving
of a response in spite of the offensive overall tone of your message, so I'm
setting aside my first instinct to ignore everything you have to say on the
subject and am responding in-line.


> >  - failing to solve the policy for python helpers would mean there are
> >   outstanding *technical* disagreements that need to be addressed, not just
> >   social ones;

> Disagreement is also on the *actual* maintainership of the python
> interpreters packages and transitions handling, as we stated from the
> beginning and you might have skipped here: how's that going to be
> solved?

I think you are mistaken if you believe that disagreements over who should
maintain a package can be "solved" from the outside.  The TC has the power
to *decide* who the maintainer is of a given package; they don't have the
power to make everyone *happy* with that decision.

For instance, one of the options available to the TC is to decide that
Matthias should continue to be the maintainer.  This would fulfill our
duties under the constitution; but it wouldn't make you very happy, and from
your perspective it would not have "solved" the dispute over maintainership.
Likewise, if we oust Matthias, no disagreement has been resolved, only power
transferred.


> >  1. reaffirm Matthias as the python maintainer, but encourage him to take
> > on comaintainers

> Ah, so do nothing and be gone with it? without even force him to take
> other guys in?

You seem to believe that forcing him to accept comaintainers is some sort of
a compromise solution.  You cannot force a developer to collaborate with
people he does not wish to.  Forcefully adding comaintainers to the package
is effectively equivalent to forcefully removing the original maintainer,
and is thus not a compromise at all.


> >  - solving the python helper Problem (which appears to be happening) removes
> >   the primary technical point of friction between Matthias and the modules
> >   team;

> Sure, but Matthias is in no way involved in this rewriting, since
> Piotr is only one doing it: how's that solving the problem between
> python ecosystem and Matthias?

First, your language here suggests that you regard Matthias as *outside* the
python ecosystem.  This reaffirms to me the presence of a very problematic
"us vs. him" attitude.  This is not at all unexpected, given the context of
a request to remove a maintainer, but it is a problem that you don't
consider the python maintainer part of the python ecosystem at all.  You
argue that the TC should force Matthias to accept comaintainers, but you
clearly don't regard him as a potential collaborator.

Second - you're correct that Piotr is the one writing the helper, and he
gets much kudos from me for his efforts here.  But you are again conflating
the social and the technical, where I'm trying to draw a distinction.  The
*technical* problem that needs to be solved is that for over half a decade
we've been without a consistent, agreed-upon description of how python
packages are supposed to interact in Debian, and as a result there are
packages working at cross-purposes.  That Matthias is not the one doing the
work to fix this is only relevant to the *social* problem, the lack of trust
and collaboration between the python maintainer and the python modules
maintainers which is largely secondary to the technical one (although it
certainly has legs of its own by now).  Solving the technical problem would
open the door to improved collaboration (and also clear the air so that the
TC could rule on the maintainership question *per se* if there were still
problems with the interactions between python and modules maintainers).  In
contrast, addressing the social problem by kicking Matthias out leaves the
technical issues unanswered.

The fact that Piotr is willing and able to work with Matthias to try to fix
the problems around python helpers in Debian in spite of the challenging
circumstances means that he is, to my mind, an ideal candidate to be a
python comaintainer with Matthias; but he has declined this suggestion.


> > And if the python package policy gets fixed and Matthias continues to be
> > uncooperative towards the python module team regarding transitions,

> Is there a time line for it? Speaking as a "downstream", who long
> should we tolerate this? 2.5 and 2.6 transitions were a mess, 2.7 we
> don't know since (strange ah?) he still didn't announce anything (and
> not that he had not made it yet in ubuntu), god only knows for 3.x -
> what else do you need to be convinced? I'm asking to understand what
> is the limit for CTTE to take actions, or be convinced there's a
> problem.

A timeline for fixing the python package policy?  No, how can there be?
This is up to the Debian python community at large.  (I don't think you can
credibly claim that Matthias is alone in blocking progress on this; you may
recall that the python policy is shipped in the python-defaults package,
which *does* have more than one maintainer.)

If you mean that the TC should set a timeline for settling the python policy
after which a decision would be made on python maintainership anyway, that
is not at all what I'm proposing.

If you would like the TC (or members of the TC) to participate in the python
package policy standardization, that would be a reasonable request and an
area where the TC's skills could probably be brought to bear with good
effect to speed up the process; but it's not what this bug report is about.


> > I don't think any of us will argue that communication on mailing lists
> > is Matthias's strong point.)

> So are we going to simply ignore it and pretend the problem doesn't exist
> and go on?  What are the measures CTTE would take to prevent this to be a
> problem in the future (as it was in the past and still *is* today) if the
> status quo has to be reaffirmed (as you so strongly want?)

The TC has neither the mandate nor the ability to prevent all future
communication problems with a maintainer.  The most I could say here is that
continued communication problems, in the absence of underlying disputes,
would be evidence that would cause me to reconsider my position on who
should maintain the package.

> On Fri, Mar 4, 2011 at 23:48, Steve Langasek <vorlon@debian.org> wrote:
> > There are plenty of clever developers capable of picking up where the
> > previous maintainer left off in the event of a "bus event", regardless
> > of the package or the packaging helper in use, and I have yet to see any
> > evidence that team-maintained packages are in better condition than
> > non-team-maintained ones (and I have plenty of anecdotes to the
> > contrary).

> So please be explicit and say those anecdotes, instead of just refer
> to them in a vague way: we all want to hear facts, not empty
> sentences.

Er, first, the plural of "anecdote" is not "data", and second, I'm not the
one arguing against the status quo wrt package maintenance within Debian -
which means I'm not the one who bears the burden of proof.

<snip various comments about Python>

The text I quoted from Stefano's mail was not about Python, and neither was
my reply.  Now, that makes both messages off-topic for this bug, but they
were also pretty *unambiguously* off-topic.

I think you should take a long, hard look at the biases you carry that led
you to interpret my comments as some kind of defense of Matthias when I was
clearly talking about the general *principle* of requiring comaintainers for
core packages.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Wed, 09 Mar 2011 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 09 Mar 2011 18:21:03 GMT) Full text and rfc822 format available.

Message #370 received at 573745@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: ping
Date: Wed, 9 Mar 2011 19:18:16 +0100
[Message part 1 (text/plain, inline)]
On Sat, Mar 05, 2011 at 11:55:06AM -0800, Russ Allbery wrote:
> I think, and have for some time, that the ideal situation would be a
> maintenance team that includes Matthias (assuming that Matthias still
> cares deeply about the Python packaging and wants to continue to
> participate).  If such a team could be found that would work well, it
> would allow us to continue to make use of Matthias's passion for the work
> while hopefully having a team that can fill in for and make up for the
> shortfalls in skills and abilities of all the members, particularly
> including communication and public planning.

I agree that, if acceptable by the rest of the "Debian Python community"
(whatever that means), the above would be a worthwhile goal.

> I'm not sure delegating the decision is a good idea, but if you (or anyone
> else) could come up with such a team, I think it would be a slam duck
> solution to this, and I doubt there'd be much difficulty in getting CTTE
> approval (assuming that it was even required, since if Matthias is happy
> with the result, there's no need for the CTTE to take formal action).

Fair enough, I'll consider starting myself a discussion about a
potential Python maintenance team on -python. It's still only a
"consider" as the tricky part is that, for various reasons already
mentioned in this bug log, it is unlikely that the current maintainer
will participate in a public discussion which can easily degenerate into
mud throwing.  As a consequence of that, I believe it would also be hard
to obtain an explicit ACK from the current maintainers on additional
co-maintainers.

Let's assume for a moment (very hypothetically!) that a team can be
found which both includes the current maintainer and has rough consensus
on -python.  Would the CTTE be willing to establish such a team as
Python interpreter maintainers, even in absence of an explicit public
ACK by the current maintainer?

(I duly notice that if the answer to the above is "no", we have evidence
of an easy DOS attack vector that can block this resolution forever.)

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Wed, 09 Mar 2011 18:39:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 09 Mar 2011 18:39:13 GMT) Full text and rfc822 format available.

Message #375 received at 573745@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: ping
Date: Wed, 9 Mar 2011 18:31:29 +0000
Stefano Zacchiroli writes ("Bug#573745: ping"):
> Let's assume for a moment (very hypothetically!) that a team can be
> found which both includes the current maintainer and has rough consensus
> on -python.  Would the CTTE be willing to establish such a team as
> Python interpreter maintainers, even in absence of an explicit public
> ACK by the current maintainer?

I would certainly be happy with that.

> (I duly notice that if the answer to the above is "no", we have evidence
> of an easy DOS attack vector that can block this resolution forever.)

Quite so.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 22 Nov 2011 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 22 Nov 2011 14:00:03 GMT) Full text and rfc822 format available.

Message #380 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Please decide on Python interpreter packages maintainership
Date: Tue, 22 Nov 2011 14:56:21 +0100
ping

-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 13 Mar 2012 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 13 Mar 2012 16:36:03 GMT) Full text and rfc822 format available.

Message #385 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Tue, 13 Mar 2012 17:33:50 +0100
On Tue, Nov 22, 2011 at 14:56, Sandro Tosi <morph@debian.org> wrote:
> ping

2-years-old ping

--
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 19 Mar 2012 05:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 19 Mar 2012 05:00:03 GMT) Full text and rfc822 format available.

Message #390 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Sandro Tosi <morph@debian.org>
Cc: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sun, 18 Mar 2012 21:57:02 -0700
Okay, this isn't going to make anyone happy, but here goes.

I don't think anything new is happening with this bug, and while I've
argued in the past that keeping things like this open for a while to see
what happens can be useful, I think we've long passed the point of that
here.  We need to not leave this in limbo and just vote on it; I don't
think we're going to get substantially more information than we have
already, and I don't think the situation is changing appreciably over the
situation last March.

The question is, what's the ballot?  Obviously, one ballot option, based
on the previous discussion here, is something like:

A. While several issues with public communication, coordination, and
   collaboration in Python maintenance are very concerning, the Technical
   Committee is unconvinced that the proposed alternatives will be better
   for the project as a whole.  The Technical Committee therefore declines
   to replace the maintainer of the Python interpreter packages, but
   strongly encourages the current Python maintainer to accept
   comaintainers for the package.

I think a second ballot option is Ian's proposal at:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=573745#335

B. The Technical Committee have been petitioned to decide on the
   maintainership of the python packes.  We agree with the substance of
   the complaint, but do not feel able to directly select the replacement
   maintainers.  Therefore:

   We declare that the python packages (full list below) are now orphaned,
   exercising our power in s2 of the Constitution.

   Please would those interested in taking over Python maintenance form an
   appropriate team and take over the package.  If competing teams should
   come forward, the package should be taken over by the largest.

assuming Ian still thinks this is a good idea given Steve's response.
Steve's response proposes a third option, namely:

C. The Technical Committee exercises our power under 6.1.2 of the
   Constitution to remove the current maintainer of the Python interpretor
   packages.  It delegates the task of choosing a new maintenance team for
   the Python packages to the DPL.

I have to admit that I don't like this option at all, and Steve didn't
seem to care for it either.  Unless someone wants to actually advocate for
it, I am inclined to not include it on the ballot.

There's also the option in the original message to the Technical
Committee, which I think should probably be on the ballot in some form:

D. The Technical Committee exercises our power under 6.1.2 of the
   Constitution to designate:

    - Luca Falavigna <dktrkranz@debian.org>
    - Josselin Mouette <joss@debian.org>
    - Sandro Tosi <morph@debian.org>
    - Bernd Zeimetz <bzed@debian.org>

   as the new maintenace team for the Python interpretor packages.  (This
   of course assumes that all of those people still want to be part of the
   maintenance team; we should ensure we have an accurate list before we
   vote.)

and then....

E. Further discussion.

Reactions from the rest of the TC to that ballot and the other issues
listed above?

I would like this to not slip back into limbo again, since it's clear that
the problem is neither going to go away nor is provoking any substantively
new discussion.  I think we should take some time to craft a reasonable
ballot, but I'd like us to start voting on this within a week or two and
reach some sort of conclusion.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 19 Mar 2012 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 19 Mar 2012 20:51:07 GMT) Full text and rfc822 format available.

Message #395 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Mon, 19 Mar 2012 21:07:03 +0100
* Russ Allbery (rra@debian.org) [120319 06:00]:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=573745#335
> 
> B. The Technical Committee have been petitioned to decide on the
>    maintainership of the python packes.  We agree with the substance of
>    the complaint, but do not feel able to directly select the replacement
>    maintainers.  Therefore:
> 
>    We declare that the python packages (full list below) are now orphaned,
>    exercising our power in s2 of the Constitution.
> 
>    Please would those interested in taking over Python maintenance form an
>    appropriate team and take over the package.  If competing teams should
>    come forward, the package should be taken over by the largest.

> C. The Technical Committee exercises our power under 6.1.2 of the
>    Constitution to remove the current maintainer of the Python interpretor
>    packages.  It delegates the task of choosing a new maintenance team for
>    the Python packages to the DPL.

I don't think orphaning makes sense, unless we know for sure that a
better (in whatever terms) group of people picks the packages up. And
I somehow doubt it makes sense.


How about:

BC. The Technical Committee have been petitioned to decide on the
    maintainership of the python packes.  We agree with the substance of
    the complaint, but do not feel able to directly select the replacement
    maintainers.  Therefore:
 
    We require the current python package manager to hand over the
    package to a team of at least three maintainers (where he may be
    one of the maintainers but without veto power) who are actually
    active within the debian python community. This needs to be done
    latest 6 weeks after the vote has ended. Failing that, the
    Tech Ctte exercises our power under 6.1.2 of the Constitution to
    remove the current maintainer of the Python interpretor packages.
    It delegates the task of choosing a new maintenance team for the
    Python packages to the DPL.




Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 19 Mar 2012 21:27:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 19 Mar 2012 21:27:14 GMT) Full text and rfc822 format available.

Message #400 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Mon, 19 Mar 2012 14:25:01 -0700
Andreas Barth <aba@ayous.org> writes:

> How about:

> BC. The Technical Committee have been petitioned to decide on the
>     maintainership of the python packes.  We agree with the substance of
>     the complaint, but do not feel able to directly select the replacement
>     maintainers.  Therefore:
>  
>     We require the current python package manager to hand over the
>     package to a team of at least three maintainers (where he may be
>     one of the maintainers but without veto power) who are actually
>     active within the debian python community. This needs to be done
>     latest 6 weeks after the vote has ended. Failing that, the
>     Tech Ctte exercises our power under 6.1.2 of the Constitution to
>     remove the current maintainer of the Python interpretor packages.
>     It delegates the task of choosing a new maintenance team for the
>     Python packages to the DPL.

I don't have any objections to that in terms of process or the outcomes
I'd expect, although that's rather a hard thing to ask someone to do.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 19 Mar 2012 21:54:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 19 Mar 2012 21:54:19 GMT) Full text and rfc822 format available.

Message #405 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Mon, 19 Mar 2012 22:51:18 +0100
* Russ Allbery (rra@debian.org) [120319 22:27]:
> Andreas Barth <aba@ayous.org> writes:
> 
> > How about:
> 
> > BC. The Technical Committee have been petitioned to decide on the
> >     maintainership of the python packes.  We agree with the substance of
> >     the complaint, but do not feel able to directly select the replacement
> >     maintainers.  Therefore:
> >  
> >     We require the current python package manager to hand over the
> >     package to a team of at least three maintainers (where he may be
> >     one of the maintainers but without veto power) who are actually
> >     active within the debian python community. This needs to be done
> >     latest 6 weeks after the vote has ended. Failing that, the
> >     Tech Ctte exercises our power under 6.1.2 of the Constitution to
> >     remove the current maintainer of the Python interpretor packages.
> >     It delegates the task of choosing a new maintenance team for the
> >     Python packages to the DPL.
> 
> I don't have any objections to that in terms of process or the outcomes
> I'd expect, although that's rather a hard thing to ask someone to do.

You think it's worse than just orphan the package now and/or ask the
DPL to choose a new maintainer? (I would say it's the least agressive
one of the variants that do require a change of the maintainer, as
Matthias has some say of the new maintainer team as long as it's a
team but YMMV. Of course, it's not nice. But no of the options is
nice.)


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 19 Mar 2012 22:27:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 19 Mar 2012 22:27:18 GMT) Full text and rfc822 format available.

Message #410 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Mon, 19 Mar 2012 15:26:50 -0700
Andreas Barth <aba@ayous.org> writes:

> You think it's worse than just orphan the package now and/or ask the DPL
> to choose a new maintainer? (I would say it's the least agressive one of
> the variants that do require a change of the maintainer, as Matthias has
> some say of the new maintainer team as long as it's a team but YMMV. Of
> course, it's not nice. But no of the options is nice.)

I suppose it depends on how you look at it, but if I were being forcibly
overridden in opinions about Python maintenance, I'd want the people
overriding me to take responsibility for the whole thing, rather than
continuing to make it my responsibility.  But either way that's an option,
so I don't feel very strongly about it.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 20 Mar 2012 20:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 20 Mar 2012 20:48:10 GMT) Full text and rfc822 format available.

Message #415 received at 573745@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: 573745@bugs.debian.org
Subject: Packages to consider
Date: Tue, 20 Mar 2012 16:36:56 -0400
[Message part 1 (text/plain, inline)]
I would propose that the tech ctte not consider changing maintainership of 
python-defaults and python3-defaults.  They are both maintained by a team of 
three DDs and seem to be working reasonably well.  A number of changes for the 
better have been made in the last two years and these packages are essential 
to them.

There is agreement on a single helper package for Python 3 (dh_python3).  It 
is implemented in python3-defaults.  There is general (not 100%, but general) 
consensus on gradual migration to a single helper for Python (dh_python2).  
Both python-support and python-central are now classified as deprecated with 
the agreement of their maintainers.  dh_python2 is part of python-defaults.

As I read the tech ctte discussion, the goal of having reasonable team 
maintenance for python-defaults and python3-defaults has been met and further 
changes are not appropriate.

Scott K
P.S. Please cc me on related follow-ups as I'm not subscribed to the bug.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 20 Mar 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 20 Mar 2012 21:51:04 GMT) Full text and rfc822 format available.

Message #420 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Tue, 20 Mar 2012 14:46:58 -0700
Stefano Zacchiroli <leader@debian.org> writes:
> On Sun, Mar 18, 2012 at 09:57:02PM -0700, Russ Allbery wrote:

>> D. The Technical Committee exercises our power under 6.1.2 of the
>>    Constitution to designate:
>> 
>>     - Luca Falavigna <dktrkranz@debian.org>
>>     - Josselin Mouette <joss@debian.org>
>>     - Sandro Tosi <morph@debian.org>
>>     - Bernd Zeimetz <bzed@debian.org>
>> 
>>    as the new maintenace team for the Python interpretor packages.  (This
>>    of course assumes that all of those people still want to be part of the
>>    maintenance team; we should ensure we have an accurate list before we
>>    vote.)

> If the Technical Committee welcome that, I'll be happy to take the
> burden of verifying (publicly, and on -python) who would be willing, at
> present, to be part of an alternative Python maintenance team.

Personally, I would be much more comfortable with that than any of the
"delegate the decision to other people" options.  I think that would also
make the vote somewhat more concrete so that the TC can consider a
fully-formed alternative.

I don't speak for the TC, but I personally would appreciate that.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 03 Apr 2012 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 03 Apr 2012 08:39:03 GMT) Full text and rfc822 format available.

Message #425 received at 573745@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: debian-python@lists.debian.org
Cc: 573745@bugs.debian.org
Subject: pythonX.Y maintenance team
Date: Tue, 3 Apr 2012 10:36:58 +0200
[Message part 1 (text/plain, inline)]
Dear all,
  I'm pretty sure tech-ctte bug #573745 does not need any introduction
on this mailing list. The recent news [1] on it is that the tech-ctte
seems to be inclined to have a vote on the matter, after having observed
that the issue is pretty "stable" now and further spontaneous evolutions
are unlikely.

Given the long time frame since bug submission, however, some things
might have changed. For one thing and according to Scott [2], the issue
seems now settled for the python*-defaults packages. As an external
observer I tend to agree with that.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=573745#390
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=573745#415

OTOH, the Maintainer field of the pythonX.Y packages is unchanged since
when the tech-ctte bug has been reported. While the tech-ctte has not
decided anything yet (that's what the vote will be for), they need to
decide what to put on the ballot. In particular, there are questions
about which alternative team should be put in it, for at least one of
the ballot options.

Back then, the following team has been proposed:

> - Luca Falavigna <dktrkranz@debian.org>
> - Josselin Mouette <joss@debian.org>
> - Sandro Tosi <morph@debian.org>
> - Bernd Zeimetz <bzed@debian.org>
> - anyone else willing to help, including of course the current
>   maintainer, provided the above points are met.

I'd like to help the tech-ctte in finding a team to put on the ballot
(!= finding the team who will maintain the packages, as that would be
tech-ctte decision, via vote). And I'd like to do so on this list,
because I believe that a maintenance team that does not have consensus
on this list would hardly be able to solve past issues.

Allow me be blunt then: do we have volunteers to maintain the pythonX.Y
packages? Can those volunteers manifest themselves on this list?

If you volunteered in #573745 already, and you're still available,
please reiterate your availability here. 2 years is quite a long time
and the tech-ctte should better be sure of the availability of its
members before picking a team.

I understand there might be incompatibilities that make impossible for
potential volunteers to work with other such volunteers. Nonetheless, I
suggest first to have a public volunteering round, even if you have
conditions attached to your availability. One concern at a time :)

Note that, in the absence of a team of people volunteering to maintain
the pythonX.Y packages, the tech-ctte would probably have to exclude a
"we hereby appoint $team" option from their decision ballot.


Thanks in advance for your help,
Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 06 Apr 2012 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 06 Apr 2012 13:12:03 GMT) Full text and rfc822 format available.

Message #430 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Stefano Zacchiroli <leader@debian.org>
Cc: debian-python@lists.debian.org, 573745@bugs.debian.org
Subject: Re: pythonX.Y maintenance team
Date: Fri, 6 Apr 2012 15:08:53 +0200
Hi Stefano,
thanks for trying to push it forward.

On Tue, Apr 3, 2012 at 10:36, Stefano Zacchiroli <leader@debian.org> wrote:
> Allow me be blunt then: do we have volunteers to maintain the pythonX.Y
> packages? Can those volunteers manifest themselves on this list?
>
> If you volunteered in #573745 already, and you're still available,
> please reiterate your availability here. 2 years is quite a long time
> and the tech-ctte should better be sure of the availability of its
> members before picking a team.

The idea I have of a team is a group of equals, where it doesn't exist
a master and a group of servants, where no-one has a veto on anything
if not for valid technical reasons, where no-one has to ask permission
to upload or to perform any other activities (I'm not talking about
asking other members if they still have something pending), etc.

If that's the team members you're looking for, I'm definitely volunteering.

A small note, don't know if it's needed or not: in the meantime, I've
become upstream in CPython.

Cheers,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 06 Apr 2012 14:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 06 Apr 2012 14:33:07 GMT) Full text and rfc822 format available.

Message #435 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Stefano Zacchiroli <leader@debian.org>
Cc: debian-python@lists.debian.org, 573745@bugs.debian.org
Subject: Re: Bug#573745: pythonX.Y maintenance team
Date: Fri, 06 Apr 2012 07:31:35 -0700
Sandro Tosi <morph@debian.org> writes:

> The idea I have of a team is a group of equals, where it doesn't exist a
> master and a group of servants, where no-one has a veto on anything if
> not for valid technical reasons, where no-one has to ask permission to
> upload or to perform any other activities (I'm not talking about asking
> other members if they still have something pending), etc.

That would also be my definition of an effective team, yes.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 09 Apr 2012 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bzed@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 09 Apr 2012 10:39:41 GMT) Full text and rfc822 format available.

Message #440 received at 573745@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: Sandro Tosi <morph@debian.org>
Cc: Stefano Zacchiroli <leader@debian.org>, debian-python@lists.debian.org, 573745@bugs.debian.org
Subject: Re: pythonX.Y maintenance team
Date: Mon, 09 Apr 2012 12:36:01 +0200
Hi,


> On Tue, Apr 3, 2012 at 10:36, Stefano Zacchiroli <leader@debian.org> wrote:
>> Allow me be blunt then: do we have volunteers to maintain the pythonX.Y
>> packages? Can those volunteers manifest themselves on this list?
>>
>> If you volunteered in #573745 already, and you're still available,
>> please reiterate your availability here. 2 years is quite a long time
>> and the tech-ctte should better be sure of the availability of its
>> members before picking a team.

unfortunately I don't have the time to work on something like maintaining Python
anymore - I'm trying to reduce the list of my packages instead of adding new ones.

Cheers,

Bernd

-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprint: ECA1 E3F2 8E11 2432 D485  DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 09 Apr 2012 14:18:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Barry Warsaw <barry@python.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 09 Apr 2012 14:18:28 GMT) Full text and rfc822 format available.

Message #445 received at 573745@bugs.debian.org (full text, mbox):

From: Barry Warsaw <barry@python.org>
To: Stefano Zacchiroli <leader@debian.org>
Cc: debian-python@lists.debian.org, 573745@bugs.debian.org
Subject: Re: pythonX.Y maintenance team
Date: Mon, 9 Apr 2012 10:09:20 -0400
[Message part 1 (text/plain, inline)]
On Apr 03, 2012, at 10:36 AM, Stefano Zacchiroli wrote:

>Allow me be blunt then: do we have volunteers to maintain the pythonX.Y
>packages? Can those volunteers manifest themselves on this list?

Apologies for not responding sooner, I was off-line for a while.

I have no opinion on how the tech-ctte should vote, but I volunteer to help
maintain the pythonX.Y packages.

Cheers,
-Barry
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Mon, 09 Apr 2012 20:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 09 Apr 2012 20:18:02 GMT) Full text and rfc822 format available.

Message #450 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Mon, 9 Apr 2012 22:14:39 +0200
Hello Russ,

On Mon, Mar 19, 2012 at 05:57, Russ Allbery <rra@debian.org> wrote:
> I would like this to not slip back into limbo again, since it's clear that
> the problem is neither going to go away nor is provoking any substantively
> new discussion.  I think we should take some time to craft a reasonable
> ballot, but I'd like us to start voting on this within a week or two and
> reach some sort of conclusion.

thanks for trying to push this to an end drafting a vote (which is
good) but a question come to my mind: do you think it's correct to try
to conclude this process without any public statement from Matthias on
the matter? I'm thinking about a long reply, but even a quick note.

I mean, part of the problems we've tried to highlight are the lack of
public communications, and that has manifested itself with no
contributions to this bug. Has the CTTE tried to indicate Matthias to
reply? (maybe coming from a high rank ctte might be more well
received.) Is it something you think it's important?

Cheers,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Tue, 10 Apr 2012 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 10 Apr 2012 03:06:03 GMT) Full text and rfc822 format available.

Message #455 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Sandro Tosi <morph@debian.org>
Cc: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Mon, 09 Apr 2012 20:02:47 -0700
Sandro Tosi <morph@debian.org> writes:
> On Mon, Mar 19, 2012 at 05:57, Russ Allbery <rra@debian.org> wrote:

>> I would like this to not slip back into limbo again, since it's clear
>> that the problem is neither going to go away nor is provoking any
>> substantively new discussion.  I think we should take some time to
>> craft a reasonable ballot, but I'd like us to start voting on this
>> within a week or two and reach some sort of conclusion.

> thanks for trying to push this to an end drafting a vote (which is good)
> but a question come to my mind: do you think it's correct to try to
> conclude this process without any public statement from Matthias on the
> matter? I'm thinking about a long reply, but even a quick note.

I would love to have a public statement from Matthias on the subject.  I
think it would be very helpful.  However, as stated in the constitution,
Debian cannot require anyone to do work.  That includes making public
statements where they don't want to.  Matthias has no obligation to do
anything that he doesn't want to; Debian is a volunteer project.  (Of
course, when determining a question like this where communication is a big
part of the matter in question, it is relevant to the decision whether or
not people have or can make the time and effort -- which in contentious
issues I realize can be substantial -- to reply to issues related to the
maintenance of the Python packages.)

> I mean, part of the problems we've tried to highlight are the lack of
> public communications, and that has manifested itself with no
> contributions to this bug. Has the CTTE tried to indicate Matthias to
> reply? (maybe coming from a high rank ctte might be more well received.)
> Is it something you think it's important?

I believe that's been attempted several times over the long history of
this bug.  I certainly intend to invite him to reply once we have an idea
of what the ballot might be, since I would like to know what he thinks
before voting.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 12 Apr 2012 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 12 Apr 2012 09:57:10 GMT) Full text and rfc822 format available.

Message #460 received at 573745@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: debian-python@lists.debian.org, 573745@bugs.debian.org
Subject: Re: pythonX.Y maintenance team
Date: Thu, 12 Apr 2012 11:55:12 +0200
Il 03 aprile 2012 10:36, Stefano Zacchiroli <leader@debian.org> ha scritto:
> If you volunteered in #573745 already, and you're still available,
> please reiterate your availability here.

I'm willing to help too, but I would limit by doing grunt work such as
bug triaging and cleanup.
I know this kind of work could also be performed as an "outsider",
that's why I want to clearly state this to help getting to a decision.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 27 Apr 2012 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 27 Apr 2012 13:18:03 GMT) Full text and rfc822 format available.

Message #465 received at 573745@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Fri, 27 Apr 2012 15:15:39 +0200
[Message part 1 (text/plain, inline)]
On Tue, Mar 20, 2012 at 02:46:58PM -0700, Russ Allbery wrote:
> Stefano Zacchiroli <leader@debian.org> writes:
> > If the Technical Committee welcome that, I'll be happy to take the
> > burden of verifying (publicly, and on -python) who would be willing, at
> > present, to be part of an alternative Python maintenance team.
> 
> Personally, I would be much more comfortable with that than any of the
> "delegate the decision to other people" options.  I think that would also
> make the vote somewhat more concrete so that the TC can consider a
> fully-formed alternative.
> 
> I don't speak for the TC, but I personally would appreciate that.

Not having heard other options, I've proceed with the verification
mentioned above. Everything has happened publicly and is hence available
for your review starting from [1].  My own conclusions on the potential
teams, based on that thread have been posted on list [2] and also
attached to this mail for your convenience.

According to the thread, the amount of volunteers willing to help has
changed but not diminished, although it seems to be more scattered now.

To conclude, let me remind that the purpose of this exercise was only to
verify the availability of the team that volunteered 2 years ago, in
order to give more data to the tech-ctte for deciding what team (if any)
should go in the vote ballots.

I hope this could help and that the tech-ctte have now all the input
needed to quickly come to a conclusion on this issue, one way or
another.

Good luck!

[1] https://lists.debian.org/debian-python/2012/04/msg00008.html
[2] https://lists.debian.org/debian-python/2012/04/msg00101.html
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[Message part 2 (message/rfc822, inline)]
From: Stefano Zacchiroli <leader@debian.org>
To: debian-python@lists.debian.org
Subject: Re: pythonX.Y maintenance team
Date: Mon, 23 Apr 2012 21:46:36 +0200
[Message part 3 (text/plain, inline)]
On Tue, Apr 03, 2012 at 10:36:58AM +0200, Stefano Zacchiroli wrote:
> Allow me be blunt then: do we have volunteers to maintain the pythonX.Y
> packages? Can those volunteers manifest themselves on this list?
<snip>
> I understand there might be incompatibilities that make impossible for
> potential volunteers to work with other such volunteers. Nonetheless, I
> suggest first to have a public volunteering round, even if you have
> conditions attached to your availability. One concern at a time :)

3 weeks into this, it seems we have reached a peek in the amount of
people who volunteer to maintain pythonX.Y. I've go not more candidacy
in private mail than what you saw on list, which is a good sign.

Considering the potential incompatibilities, it seems that the possible
maintenance "teams" boil down to:

- a maintenance team formed by Sandro
- a maintenance team formed by Matthias and Barry
- a maintenance team formed by Jakub

Then there is the availability to help by Luca to do "grunt work", with
no strong requirement of doing so as a declared co-maintainer.

It should also be noted that Jakub, in spite of his availability, has
made clear that he does not support removing the current maintainer by
the means of a tech-ctte vote.  Barry clarified in mail to me (asking me
to mention it here) that he does not support removing the current
maintainer either, which is why I've listed Barry in co-maintenance with
Matthias, but not with Sandro.

Having not heard from Matthias either, I had to pick some "defaults" for
his "conflicts", which I'll be happy to refine as soon as he comments on
this (but quite frankly, I don't see that coming). I've assumed he would
be fine working with Barry, and that he would not be fine working with
Sandro. The rationale is a simple principle: I have witnessed in the
past conflicts between Matthias and Sandro, but no conflicts between
Matthias and Barry. It seems fair to assume that the status quo
(positive or negative) continues, until the contrary is proven.

If there are no further comments or candidacies, I'll proceed forwarding
the above possibilities to the tech-ctte, Cc:-ing this list, before the
end of the week.

I recall that the purpose of this exercise was simply to do a reality
check of the team who 2 years ago volunteered in the tech-ctte buglog.
No endorsement of any of the tech-ctte option is implied in the results
of the exercise.

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 28 Apr 2012 03:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 28 Apr 2012 03:24:03 GMT) Full text and rfc822 format available.

Message #470 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Fri, 27 Apr 2012 20:20:33 -0700
Stefano Zacchiroli <leader@debian.org> writes:

> Not having heard other options, I've proceed with the verification
> mentioned above. Everything has happened publicly and is hence available
> for your review starting from [1].  My own conclusions on the potential
> teams, based on that thread have been posted on list [2] and also
> attached to this mail for your convenience.

> According to the thread, the amount of volunteers willing to help has
> changed but not diminished, although it seems to be more scattered now.

This was very helpful.  Thank you!

> To conclude, let me remind that the purpose of this exercise was only to
> verify the availability of the team that volunteered 2 years ago, in
> order to give more data to the tech-ctte for deciding what team (if any)
> should go in the vote ballots.

> I hope this could help and that the tech-ctte have now all the input
> needed to quickly come to a conclusion on this issue, one way or
> another.

[...]

> Considering the potential incompatibilities, it seems that the possible
> maintenance "teams" boil down to:

> - a maintenance team formed by Sandro
> - a maintenance team formed by Matthias and Barry
> - a maintenance team formed by Jakub

So, for moving forward with this, these seem like three obvious voting
options to me.  I will assume that the Matthias and Barry team would be
the "decline to change anything" option.

> It should also be noted that Jakub, in spite of his availability, has
> made clear that he does not support removing the current maintainer by
> the means of a tech-ctte vote.  Barry clarified in mail to me (asking me
> to mention it here) that he does not support removing the current
> maintainer either, which is why I've listed Barry in co-maintenance with
> Matthias, but not with Sandro.

This does, to me, raise the question of whether Jakub should be listed as
a separate option, or whether there's no meaningful distinction between a
maintenance team formed by Jakub and a maintenance team formed by Matthias
and Barry.  I suppose they're distinct in the sense that the tech-ctte
could decide that Matthias should not have a position of authority over
the package at all, but that doesn't seem particularly sensible to me in
that it's rather difficult for us to make it stick going forward while
still appointing someone who doesn't think that Matthias should be
replaced.

(Also, why is Jakub listed as a separate option but not Barry?)

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 28 Apr 2012 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 28 Apr 2012 08:45:03 GMT) Full text and rfc822 format available.

Message #475 received at 573745@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 573745@bugs.debian.org
Cc: Barry Warsaw <barry@python.org>, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sat, 28 Apr 2012 10:43:03 +0200
[Message part 1 (text/plain, inline)]
On Fri, Apr 27, 2012 at 08:20:33PM -0700, Russ Allbery wrote:
> This does, to me, raise the question of whether Jakub should be listed as
> a separate option, or whether there's no meaningful distinction between a
> maintenance team formed by Jakub and a maintenance team formed by Matthias
> and Barry.  I suppose they're distinct in the sense that the tech-ctte
> could decide that Matthias should not have a position of authority over
> the package at all, but that doesn't seem particularly sensible to me in
> that it's rather difficult for us to make it stick going forward while
> still appointing someone who doesn't think that Matthias should be
> replaced.
>
> (Also, why is Jakub listed as a separate option but not Barry?)

Good point, that is a indeed an incoherence among the listed options.

I've not listed Barry as a separate option after having verified that he
does not support removing Matthias as a maintainer. For the very same
reason, I shouldn't probably have listed Jakub, but I wanted to pass on
the information of him volunteering anyhow, in case it might be
useful.

So, assuming the two of them feel equally strong about that (I've no
reason to believe the contrary, but I'm Cc:-ing both of them just in
case), either Barry should be considered as an option too or (more
likely) Jakub shouldn't.

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 28 Apr 2012 11:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 28 Apr 2012 11:33:20 GMT) Full text and rfc822 format available.

Message #480 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: 573745@bugs.debian.org
Cc: Barry Warsaw <barry@python.org>, Jakub Wilk <jwilk@debian.org>, doko@debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sat, 28 Apr 2012 13:00:16 +0200
* Stefano Zacchiroli (leader@debian.org) [120428 10:45]:
> On Fri, Apr 27, 2012 at 08:20:33PM -0700, Russ Allbery wrote:
> > This does, to me, raise the question of whether Jakub should be listed as
> > a separate option, or whether there's no meaningful distinction between a
> > maintenance team formed by Jakub and a maintenance team formed by Matthias
> > and Barry.  I suppose they're distinct in the sense that the tech-ctte
> > could decide that Matthias should not have a position of authority over
> > the package at all, but that doesn't seem particularly sensible to me in
> > that it's rather difficult for us to make it stick going forward while
> > still appointing someone who doesn't think that Matthias should be
> > replaced.
> >
> > (Also, why is Jakub listed as a separate option but not Barry?)
> 
> Good point, that is a indeed an incoherence among the listed options.
> 
> I've not listed Barry as a separate option after having verified that he
> does not support removing Matthias as a maintainer. For the very same
> reason, I shouldn't probably have listed Jakub, but I wanted to pass on
> the information of him volunteering anyhow, in case it might be
> useful.

If neither Barry nor Jakub would support removing Matthias as a
maintainer, would there be the possiblity of both of them joining the
maintainer team? (Barry, Jakub, Matthias: comments on that are
appreciated - after all, if the goal is to have a maintainer team, it
can only work if it works for you.)


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 28 Apr 2012 14:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 28 Apr 2012 14:36:09 GMT) Full text and rfc822 format available.

Message #485 received at 573745@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 573745@bugs.debian.org
Cc: Jakub Wilk <jwilk@debian.org>, Matthias Klose <doko@debian.org>, Barry Warsaw <barry@python.org>
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sat, 28 Apr 2012 16:34:30 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 28, 2012 at 01:00:16PM +0200, Andreas Barth wrote:
> If neither Barry nor Jakub would support removing Matthias as a
> maintainer, would there be the possiblity of both of them joining the
> maintainer team? (Barry, Jakub, Matthias: comments on that are
> appreciated - after all, if the goal is to have a maintainer team, it
> can only work if it works for you.)

The answer to that is already in the thread I've pointed at.

Barry is fine in joining the current "team", Jakub is not. (Of course
they can provide different indications here, but that's my understanding
of the situation at the time of last interactions with them.)

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 28 Apr 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Barry Warsaw <barry@python.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 28 Apr 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #490 received at 573745@bugs.debian.org (full text, mbox):

From: Barry Warsaw <barry@python.org>
To: Stefano Zacchiroli <leader@debian.org>
Cc: 573745@bugs.debian.org, Jakub Wilk <jwilk@debian.org>, Matthias Klose <doko@debian.org>
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sat, 28 Apr 2012 10:46:38 -0400
[Message part 1 (text/plain, inline)]
On Apr 28, 2012, at 04:34 PM, Stefano Zacchiroli wrote:

>Barry is fine in joining the current "team", Jakub is not. (Of course
>they can provide different indications here, but that's my understanding
>of the situation at the time of last interactions with them.)

I would be fine joining a team with Matthias and Jakub.  Since I don't support
removing Matthias as maintainer, I would not agree to a maintenance team
without him.
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 28 Apr 2012 19:39:03 GMT) Full text and rfc822 format available.

Message #493 received at 573745@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sat, 28 Apr 2012 21:36:48 +0200
* Russ Allbery <rra@debian.org>, 2012-04-27, 20:20:
>Stefano Zacchiroli <leader@debian.org> writes:
[...]
>>Considering the potential incompatibilities, it seems that the 
>>possible maintenance "teams" boil down to:
>>
>> - a maintenance team formed by Sandro
>> - a maintenance team formed by Matthias and Barry

Did Matthias even express his willingness to collaborate with Barry?

>> - a maintenance team formed by Jakub
>So, for moving forward with this, these seem like three obvious voting 
>options to me. I will assume that the Matthias and Barry team would be 
>the "decline to change anything" option.

How so? TTBOMK Barry is not a maintainer of any Python interpreter 
package.

>>It should also be noted that Jakub, in spite of his availability, has 
>>made clear that he does not support removing the current maintainer by 
>>the means of a tech-ctte vote.
[...]
>This does, to me, raise the question of whether Jakub should be listed 
>as a separate option, or whether there's no meaningful distinction 
>between a maintenance team formed by Jakub and a maintenance team 
>formed by Matthias and Barry.

I'm confused. Those "teams" are not only distinct but also disjoint.

>I suppose they're distinct in the sense that the tech-ctte could decide 
>that Matthias should not have a position of authority over the package 
>at all, but that doesn't seem particularly sensible to me in that it's 
>rather difficult for us to make it stick going forward while still 
>appointing someone who doesn't think that Matthias should be replaced.

I don't find it difficult at all. If, for example:
1) ctte believed that Matthias cannot keeping his maintainer position no 
matter what, and
2) both jwilk and ctte believed that the [jwilk] team is strictly better 
than the [morph] team,
it would be bizarre to choose [morph] rather than [jwilk] just because 
jwilk prefers status quo.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sun, 29 Apr 2012 01:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 29 Apr 2012 01:54:03 GMT) Full text and rfc822 format available.

Message #498 received at 573745@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Russ Allbery <rra@debian.org>, 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sat, 28 Apr 2012 18:51:53 -0700
[Message part 1 (text/plain, inline)]
On Fri, Apr 27, 2012 at 08:20:33PM -0700, Russ Allbery wrote:
> > Considering the potential incompatibilities, it seems that the possible
> > maintenance "teams" boil down to:

> > - a maintenance team formed by Sandro
> > - a maintenance team formed by Matthias and Barry
> > - a maintenance team formed by Jakub

> So, for moving forward with this, these seem like three obvious voting
> options to me.  I will assume that the Matthias and Barry team would be
> the "decline to change anything" option.

If these are the only available "teams", and the TC cares about the
principle of having a team, it doesn't seem to me that we're achieving much
by voting on these particular options.

Are there any members of the TC who are of the opinion that replacing
Matthias as python maintainer with a team of one is an appropriate course of
action?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sun, 29 Apr 2012 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 29 Apr 2012 08:45:03 GMT) Full text and rfc822 format available.

Message #503 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 573745@bugs.debian.org
Cc: Barry Warsaw <barry@python.org>
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sun, 29 Apr 2012 10:41:25 +0200
On Sat, Apr 28, 2012 at 21:36, Jakub Wilk <jwilk@debian.org> wrote:
> * Russ Allbery <rra@debian.org>, 2012-04-27, 20:20:
>> Stefano Zacchiroli <leader@debian.org> writes:
> [...]
>>>
>>> Considering the potential incompatibilities, it seems that the possible
>>> maintenance "teams" boil down to:
>>>
>>> - a maintenance team formed by Sandro
>>> - a maintenance team formed by Matthias and Barry
>
> Did Matthias even express his willingness to collaborate with Barry?

Or, from the other side, what's preventing Barry to collaborate with
Matthias *right now*, without waiting? I can't find signs of any
Barry's contributions in the Debian changelogs for Python interpreters
or -defaults packages (but there was some minor fixups in Ubuntu in
the past).

Since we are at it, there are recurring problems reappearing:

- python2.6 removal willingness was only reported to debian-release
[1] (opinionatedly late in the development process) without any
collaboration/coordination (request) with python modules/apps team.
- python2.7 (a security-fix release, which is outdated since 20 days,
like python3.2, while Ubuntu had them uploaded even before the
official availability announce[2]) is keeping FTBFS in mips while on
GNU/kFreeBSD was fixed by a NMU helping those archs catching up, as
confirmed by release team on irc.

[1] http://lists.debian.org/debian-release/2012/04/msg00218.html
[2] http://mail.python.org/pipermail/python-announce-list/2012-April/009420.html

History repeating?

-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 12 May 2012 01:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 12 May 2012 01:39:02 GMT) Full text and rfc822 format available.

Message #508 received at 573745@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 573745@bugs.debian.org
Subject: re: Please decide on Python interpreter packages maintainership
Date: Fri, 11 May 2012 21:34:45 -0400
I wonder if the core issue at hand here is simply that the python VCSs
are on a resource writable by only one person (meaning no one else can
contribute)?  See:
https://code.launchpad.net/~doko/python/pkg2.7-debian
https://code.launchpad.net/~doko/python/pkg3.2-debian

If that's the case, then perhaps a simple voteable option would be a
request to re-home the VCS somewhere that can support multiple
contributors (possibly stating preferably on a Debian resource like
alioth)?

Perhaps, the alternative team could start the alioth VCS on their own
anyway, and use that to sort of NMU maintain the package (while it
appears to be somewhat ignored now).  Sort of like we're doing for
wine:
http://lists.alioth.debian.org/pipermail/pkg-wine-party/2012-May/thread.html

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 12 May 2012 07:45:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 12 May 2012 07:45:16 GMT) Full text and rfc822 format available.

Message #513 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Michael Gilbert <mgilbert@debian.org>, 573745@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sat, 12 May 2012 09:32:33 +0200
Hello Michael,

On Sat, May 12, 2012 at 3:34 AM, Michael Gilbert <mgilbert@debian.org> wrote:
> I wonder if the core issue at hand here is simply that the python VCSs
> are on a resource writable by only one person (meaning no one else can
> contribute)?  See:
> https://code.launchpad.net/~doko/python/pkg2.7-debian
> https://code.launchpad.net/~doko/python/pkg3.2-debian

It's not (or not only), at least not for me, but it states quite
clearly the level of collaboration he expects from other fellow DDs -
none.

> If that's the case, then perhaps a simple voteable option would be a
> request to re-home the VCS somewhere that can support multiple
> contributors (possibly stating preferably on a Debian resource like
> alioth)?

sadly a shared/writable VCS doesn't make a team, when someone doesn't
play team. I don't know what TC thinks about adding that option, maybe
it might be merged in a "soft" option (proposing a shared workflow
with shared tools).

> Perhaps, the alternative team could start the alioth VCS on their own
> anyway, and use that to sort of NMU maintain the package (while it
> appears to be somewhat ignored now).  Sort of like we're doing for
> wine:
> http://lists.alioth.debian.org/pipermail/pkg-wine-party/2012-May/thread.html

We could have done that, but we thought that appealing to TC would
have been the right way to resolve the issue.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sun, 13 May 2012 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 13 May 2012 07:03:03 GMT) Full text and rfc822 format available.

Message #518 received at 573745@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: debian-ctte@lists.debian.org, 573745@bugs.debian.org, Sandro Tosi <morph@debian.org>
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sat, 12 May 2012 23:59:50 -0700
[Message part 1 (text/plain, inline)]
On Sat, May 12, 2012 at 09:32:33AM +0200, Sandro Tosi wrote:
> On Sat, May 12, 2012 at 3:34 AM, Michael Gilbert <mgilbert@debian.org> wrote:
> > I wonder if the core issue at hand here is simply that the python VCSs
> > are on a resource writable by only one person (meaning no one else can
> > contribute)?  See:
> > https://code.launchpad.net/~doko/python/pkg2.7-debian
> > https://code.launchpad.net/~doko/python/pkg3.2-debian

> It's not (or not only), at least not for me, but it states quite
> clearly the level of collaboration he expects from other fellow DDs -
> none.

It is absurd to claim that a documented, public, DVCS branch for the
packaging is a statement that the maintainer doesn't expect collaboration
from other DDs.  There has been no clearer indication to me in this bug's
history that your pursuit of this issue is not based on concerns for the
technical maintenance of Python, but is instead the result of some personal
dislike that you have for Matthias.

Regardless of any other outcome of a vote on this issue, you can be assured
that I think you would be an unfit maintainer for the Python packages, and I
will not vote in favor of any option that puts you in a position of
authority over Python in Debian.  When this bug report was first filed, I
had no particular reason to think you were unreasonable, despite your having
signed on to a petition which I believed was ill-considered and misinformed. 
Your various comments since then have changed my mind; you never miss an
opportunity to insult or attack Matthias, and generally make the
debian-python mailing list a hostile environment not only for Matthias, but
also for anyone else who works on Ubuntu or is employed by Canonical.  Some
of us have thicker skins than others and are more able to tolerate this
behavior, but it is nevertheless poisonous and it's entirely inappropriate
for someone seeking to hold a leadership role within Debian - not because
Ubuntu and Canonical are special, but precisely because they *aren't* and
you persist in singling them out for ridicule.

You are in no position to say that Matthias does not want collaboration from
his fellow DDs when it's you who continues to make it very clear that you
want him out.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sun, 13 May 2012 07:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 13 May 2012 07:54:05 GMT) Full text and rfc822 format available.

Message #523 received at 573745@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: debian-ctte@lists.debian.org, 573745@bugs.debian.org
Subject: Re: Bug#573745: Please decide on Python interpreter packages maintainership
Date: Sun, 13 May 2012 09:51:45 +0200
On Sun, May 13, 2012 at 8:59 AM, Steve Langasek <vorlon@debian.org> wrote:
> On Sat, May 12, 2012 at 09:32:33AM +0200, Sandro Tosi wrote:
>> On Sat, May 12, 2012 at 3:34 AM, Michael Gilbert <mgilbert@debian.org> wrote:
>> > I wonder if the core issue at hand here is simply that the python VCSs
>> > are on a resource writable by only one person (meaning no one else can
>> > contribute)?  See:
>> > https://code.launchpad.net/~doko/python/pkg2.7-debian
>> > https://code.launchpad.net/~doko/python/pkg3.2-debian
>
>> It's not (or not only), at least not for me, but it states quite
>> clearly the level of collaboration he expects from other fellow DDs -
>> none.
>
> It is absurd to claim that a documented, public, DVCS branch for the
> packaging is a statement that the maintainer doesn't expect collaboration
> from other DDs.

so why it's not a repository where all DDs has access, like ones on alioth.

> There has been no clearer indication to me in this bug's
> history that your pursuit of this issue is not based on concerns for the
> technical maintenance of Python, but is instead the result of some personal
> dislike that you have for Matthias.

false, but fell free to think so - go re-read the whole bug, there
*are* tech reasons (last one? python2.6 removal discussed with only
release-team and without any consultantion with debian-python) and
there are also behavioral reasons. If you prefer to skip the former
and look only at the latter (from me), it's your decision.

> Regardless of any other outcome of a vote on this issue, you can be assured
> that I think you would be an unfit maintainer for the Python packages, and I
> will not vote in favor of any option that puts you in a position of
> authority over Python in Debian.

you wouldn't have voted like this anyway, or for any other options
that reduce the relevance of Matthias in Python maintainance. you
probably already said that, now you're just reaffirming it.

> When this bug report was first filed, I
> had no particular reason to think you were unreasonable, despite your having
> signed on to a petition which I believed was ill-considered and misinformed.
> Your various comments since then have changed my mind; you never miss an
> opportunity to insult or attack Matthias, and generally make the
> debian-python mailing list a hostile environment not only for Matthias, but
> also for anyone else who works on Ubuntu or is employed by Canonical.  Some
> of us have thicker skins than others and are more able to tolerate this
> behavior, but it is nevertheless poisonous and it's entirely inappropriate
> for someone seeking to hold a leadership role within Debian - not because
> Ubuntu and Canonical are special, but precisely because they *aren't* and
> you persist in singling them out for ridicule.

the Canonical employee defending the Canonical employees. You're
wearing too many hats at the same time. but of course, how cares.

> You are in no position to say that Matthias does not want collaboration from
> his fellow DDs when it's you who continues to make it very clear that you
> want him out.

yeah, please have a look at the gcc-4.7 as default switch.

As always, you've been very passionate to rebut all my emails (of any
kind), but very less in trying to verify if the technical reasons
behind this bug are true and if intervention is needed and do
something about it. More than 2 years have passed, nothing has
changed.

-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Sat, 19 May 2012 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Europe" <vicky@smbippbx.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 19 May 2012 01:33:03 GMT) Full text and rfc822 format available.

Message #528 received at 573745@bugs.debian.org (full text, mbox):

From: "Europe" <vicky@smbippbx.com>
To: 573745@bugs.debian.org
Subject: voip solution
Date: Sat, 19 May 2012 09:30:44 +0800
[Message part 1 (text/plain, inline)]
Dear Product Manager,
Nice to know you are in VOIP industry with great reputation. 
This is Vicky. we are wondering if there is any room for cooperation?
Our company is a manufacturer specializing in voip field for several years, producing IP PBX, GSM gateway, digital fax for SMB with excellent qualities and competitive prices. We also provide you top technical support and services. 

Our bestselling device IP PBX is a flexible product that supports PSTN,GSM and SIP trunks with FXS / FXO / PRI / BRI (ISDN) ports. It is embedded hybrid IP-PBX which caters for the small businesses less than100 users. It has a series of versions as well as a user-friendly interface to facilitate configuration. 

It can support multiple languages now including French,Italian,Chinese, English, Hebrew, Portuguese, Russian, Spanish. Also, Voice Prompts of Danish,Dutch,Finnish,Flemish,German,Greek,Hungarian,Norwegian,Polish,Swedish has been added as well.
Please note that Auto Provision for Snom phones is supported now!!!

Looking forward to hearing from you soon

Feel free to let me know if you have any questions
Looking forward to hearing from you soon  
Best Regards,



Vicky
[Message part 2 (text/html, inline)]
[MyPBX-Pro-01(10-(03-28-11-54-44).jpg (image/jpeg, inline)]
[未命名.jpg (image/jpeg, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 27 Sep 2012 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 27 Sep 2012 23:15:03 GMT) Full text and rfc822 format available.

Message #533 received at 573745@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 573745@bugs.debian.org
Subject: Initial draft of resolution of the Python Maintainer question
Date: Thu, 27 Sep 2012 16:12:08 -0700
I have prepared the draft as discussed; please find it below and in
57375_python_maintainer/dla_draft.txt in the git repository. If there
are no changes, I would like to begin a call for votes in the next 48
hours or so, with options A, B and C as below, and F being further
discussion.

=== BEGIN DRAFT ===

The technical committee was asked in #573745 to consider replacing the
current maintainer of python (Matthias Klose.) Multiple issues were
presented at the time, including a lack of communication from the
python maintainer, delays in uploads of new versions of python to
unstable/experimental, and a lack of coordination with packaging
helpers such as python-support, and python-central.

1. The communication between the python maintainer and other
individuals affected by python packaging has not been ideal. These
breakdowns appear to be rooted in an unfortunate feedback loop, of
which all parties involved share some blame.

  a) On multiple occasions, inflammatory comments regarding the
  employment and/or motives of individuals involved in python have
  been made.

  b) The target(s) of these inflammatory comments then decline to
  respond to any messages from the offending parties, and also reduce
  public communication to other parties lest further hurtful and
  demotivating comments ensue.

  c) The lack of response is taken as further confirmation of
  motives/bias, and decreases the threshold for additional terse or
  inflammatory comments. This reinforces b, completing the loop.

Neither the inflammatory comments, nor the lack of response are
acceptable outcomes.

2. No mediation was attempted by a party respected by the involved
parties until the pattern was well established and very difficult to
overcome. In the future, everyone would be better served if similar
issues were resolved in a nascent stage.

3. To resolve this issue, the committee has two options. It can either
replace the maintainer, or it can decide not to replace the
maintainer. Either decision will appear to validate one problematic
behavior or the other.

Therefore, 

4. The committee expresses its disappointment in the communication
problems which have lead to this issue, and strongly suggests that all
involved parties be as awesome to each other as possible. In the advent
of communication failures or problems, we request that any involved
party contact a third party (such as a member of the technical
committee) to mediate.

5. The committee requests that all major changes in the python
interpreter packages which will affect other packages in Debian be
announced on the appropriate mailing lists before they take effect so
they can be planned for and/or unplanned problems discussed.

6.
A The committee resolves that the maintainer of python interpreter
A packages in Debian is a team made up of members decided by (and
A including) Sandro Tosi <morph@debian.org>

B The committee resolves that the maintainer of python interpreter
B packages in Debian is a team made up of members decided by (and
B including) Jakub Wilk <jwilk@debian.org>

C The committee declines to change the maintainer of the python
C interpreter packages in Debian.
C 
C 7. The committee requests that Matthias Klose consider adding
C additional co-maintainers to the python interpreter package.


==== END DRAFT ====


Don Armstrong

-- 
There is no form of lead-poisoning which more rapidly and thoroughly
pervades the blood and bones and marrow than that which reaches the
young author through mental contact with type metal.
 -- Oliver Wendell Holmes (Tilton 1947 p67)

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 28 Sep 2012 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 28 Sep 2012 08:00:03 GMT) Full text and rfc822 format available.

Message #538 received at 573745@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: debian-ctte@lists.debian.org
Subject: Re: Bug#573745: Initial draft of resolution of the Python Maintainer question
Date: Fri, 28 Sep 2012 09:58:27 +0200
[Message part 1 (text/plain, inline)]
On Thu, Sep 27, 2012 at 04:12:08PM -0700, Don Armstrong wrote:
> I have prepared the draft as discussed; please find it below and in
> 57375_python_maintainer/dla_draft.txt in the git repository. If there
> are no changes, I would like to begin a call for votes in the next 48
> hours or so, with options A, B and C as below, and F being further
> discussion.

Thanks a lot for this draft.

> A including) Sandro Tosi <morph@debian.org>
[…]
> B including) Jakub Wilk <jwilk@debian.org>
[…]
> C The committee declines to change the maintainer of the python

Just a comment on the above 3 options. Considering the fact that this
conflict has been very long running now, I think it is important to be
clear on how the tech-ctte has assembled the set of possible team
options. I presume the above options descend directly from the
discussions I've solicited on the -python list. If that is the case, I
suggest to briefly mention that the options have been formed discussing
"with all relevant and interested parties, on the -python list" or
something similar. A relevant reference would be:
https://lists.debian.org/debian-python/2012/04/threads.html#00008

Thanks for considering,
Cheers.
-- 
Stefano Zacchiroli  . . . . . . .  zack@upsilon.cc . . . . o . . . o . o
Maître de conférences . . . . . http://upsilon.cc/zack . . . o . . . o o
Debian Project Leader . . . . . . @zack on identi.ca . . o o o . . . o .
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 28 Sep 2012 18:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 28 Sep 2012 18:09:06 GMT) Full text and rfc822 format available.

Message #543 received at 573745@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Initial draft of resolution of the Python Maintainer question
Date: Fri, 28 Sep 2012 14:06:33 -0400
On Thu, Sep 27, 2012 at 7:12 PM, Don Armstrong wrote:
> C The committee declines to change the maintainer of the python
> C interpreter packages in Debian.
> C
> C 7. The committee requests that Matthias Klose consider adding
> C additional co-maintainers to the python interpreter package.

I had mentioned this before, but I wonder if this option couldn't be
improved by suggesting that the python vcs's be moved from ubuntu to
debian resources (like alioth bzr) thus lowering the barrier for
potential new debian contributors (i.e. not needing a launchpad
account)?

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 04 Oct 2012 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 04 Oct 2012 21:09:03 GMT) Full text and rfc822 format available.

Message #548 received at 573745@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 573745@bugs.debian.org
Subject: Call for votes on Python Maintainer Question
Date: Thu, 4 Oct 2012 14:05:53 -0700
I call for a vote on the following resolution to #573745.

=== BEGIN RESOLUTION ===

The technical committee was asked in #573745 to consider replacing the
current maintainer of python (Matthias Klose.) Multiple issues were
presented at the time, including a lack of communication from the
python maintainer, delays in uploads of new versions of python to
unstable/experimental, and a lack of coordination with packaging
helpers such as python-support, and python-central.

1. The communication between the python maintainer and other
individuals affected by python packaging has not been ideal. These
breakdowns appear to be rooted in an unfortunate feedback loop, of
which all parties involved share some blame.

  a) On multiple occasions, inflammatory comments regarding the
  employment and/or motives of individuals involved in python have
  been made.

  b) The target(s) of these inflammatory comments then decline to
  respond to any messages from the offending parties, and also reduce
  public communication to other parties lest further hurtful and
  demotivating comments ensue.

  c) The lack of response is taken as further confirmation of
  motives/bias, and decreases the threshold for additional terse or
  inflammatory comments. This reinforces b, completing the loop.

Neither the inflammatory comments, nor the lack of response are
acceptable outcomes.

2. No mediation was attempted by a party respected by the involved
parties until the pattern was well established and very difficult to
overcome. In the future, everyone would be better served if similar
issues were resolved in a nascent stage.

3. To resolve this issue, the committee has two options. It can either
replace the maintainer, or it can decide not to replace the
maintainer. Either decision will appear to validate one problematic
behavior or the other.

4. All relevant and interested parties have been canvassed, via the
-python list, to find what the possible teams of maintainers are for
the python interpreter packages. See
https://lists.debian.org/msgid-search/20120403083658.GB30420@upsilon.cc
and the ensuing thread.

Therefore, 

5. The committee expresses its disappointment in the communication
problems which have lead to this issue, and strongly suggests that all
involved parties be as awesome to each other as possible. In the advent
of communication failures or problems, we request that any involved
party contact a third party (such as a member of the technical
committee) to mediate.

6. The committee requests that all major changes in the python
interpreter packages which will affect other packages in Debian be
announced on the appropriate mailing lists before they take effect so
they can be planned for and/or unplanned problems discussed.

7.
A The committee resolves that the maintainer of python interpreter
A packages in Debian is a team made up of members decided by (and
A including) Sandro Tosi <morph@debian.org>

B The committee resolves that the maintainer of python interpreter
B packages in Debian is a team made up of members decided by (and
B including) Jakub Wilk <jwilk@debian.org>

C The committee declines to change the maintainer of the python
C interpreter packages in Debian.
C 
C 8. The committee requests that Matthias Klose consider adding
C additional co-maintainers to the python interpreter package.


=== END RESOLUTION ===

I believe any of these options requires a simple majority (under
§6.1.2) but I could see arguments that A or B requires a 3:1 majority
(under §6.1.4). If it becomes necessary, we will adhere to the
Secretary's interpretation.


Don Armstrong

-- 
I learned really early the difference between knowing the name of
something and knowing something
 -- Richard Feynman "What is Science" Phys. Teach. 7(6) 1969

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 04 Oct 2012 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 04 Oct 2012 21:18:04 GMT) Full text and rfc822 format available.

Message #553 received at 573745@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Call for votes on Python Maintainer Question
Date: Thu, 4 Oct 2012 14:15:46 -0700
On Thu, 04 Oct 2012, Don Armstrong wrote:
> I call for a vote on the following resolution to #573745.

I vote C [AB] F.


Don Armstrong

-- 
Junkies were all knitted together in a loose global macrame, the
intercontinental freemasonry of narcotics.
 -- Bruce Sterling, _Holy Fire_ p257

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 04 Oct 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 04 Oct 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #558 received at 573745@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Call for votes on Python Maintainer Question
Date: Thu, 04 Oct 2012 14:42:26 -0700
[Message part 1 (text/plain, inline)]
Don Armstrong <don@debian.org> writes:

> I call for a vote on the following resolution to #573745.

I vote CBAF.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 04 Oct 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 04 Oct 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #563 received at 573745@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Don Armstrong <don@debian.org>, 573745@bugs.debian.org
Subject: Re: Bug#573745: Call for votes on Python Maintainer Question
Date: Thu, 04 Oct 2012 16:19:01 -0600
[Message part 1 (text/plain, inline)]
Don Armstrong <don@debian.org> writes:

> I call for a vote on the following resolution to #573745.

I vote C [AB] F.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Thu, 04 Oct 2012 22:48:03 GMT) Full text and rfc822 format available.

Message #566 received at 573745@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: debian-ctte@lists.debian.org
Subject: Re: Bug#573745: Call for votes on Python Maintainer Question
Date: Fri, 5 Oct 2012 00:24:39 +0200
* Don Armstrong (don@debian.org) [121004 23:09]:
> I call for a vote on the following resolution to #573745.

> 7.
> A The committee resolves that the maintainer of python interpreter
> A packages in Debian is a team made up of members decided by (and
> A including) Sandro Tosi <morph@debian.org>
> 
> B The committee resolves that the maintainer of python interpreter
> B packages in Debian is a team made up of members decided by (and
> B including) Jakub Wilk <jwilk@debian.org>
> 
> C The committee declines to change the maintainer of the python
> C interpreter packages in Debian.
> C 
> C 8. The committee requests that Matthias Klose consider adding
> C additional co-maintainers to the python interpreter package.

I vote C [AB] F.


Andi


-- 
To UNSUBSCRIBE, email to debian-ctte-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/20121004222439.GG26503@mails.so.argh.org





Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 05 Oct 2012 05:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 05 Oct 2012 05:06:03 GMT) Full text and rfc822 format available.

Message #571 received at 573745@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Call for votes on Python Maintainer Question
Date: Thu, 4 Oct 2012 22:03:48 -0700
[Message part 1 (text/plain, inline)]
On Thu, Oct 04, 2012 at 02:05:53PM -0700, Don Armstrong wrote:
> I call for a vote on the following resolution to #573745.

I vote CBFA.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 05 Oct 2012 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 05 Oct 2012 10:06:03 GMT) Full text and rfc822 format available.

Message #576 received at 573745@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Don Armstrong <don@debian.org>, 573745@bugs.debian.org
Subject: Re: Bug#573745: Call for votes on Python Maintainer Question
Date: Fri, 5 Oct 2012 11:04:00 +0100
Don Armstrong writes ("Bug#573745: Call for votes on Python Maintainer Question"):
> I call for a vote on the following resolution to #573745.
...
> I believe any of these options requires a simple majority (under
> §6.1.2) but I could see arguments that A or B requires a 3:1 majority
> (under §6.1.4). If it becomes necessary, we will adhere to the
> Secretary's interpretation.

Reassigning maintainership of a package is explicitly mentioned in
6.1.2, so I think it's clear that only 1:1 is required.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 05 Oct 2012 10:06:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 05 Oct 2012 10:06:12 GMT) Full text and rfc822 format available.

Message #581 received at 573745@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Call for votes on Python Maintainer Question
Date: Fri, 5 Oct 2012 11:05:04 +0100
Don Armstrong writes ("Bug#573745: Call for votes on Python Maintainer Question"):
> I call for a vote on the following resolution to #573745.
...

I vote
  C B A F

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#573745; Package tech-ctte. (Fri, 05 Oct 2012 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 05 Oct 2012 10:09:05 GMT) Full text and rfc822 format available.

Message #586 received at 573745@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 573745@bugs.debian.org
Subject: Re: Bug#573745: Call for votes on Python Maintainer Question
Date: Fri, 5 Oct 2012 11:07:37 +0100
Andreas Barth writes ("Re: Bug#573745: Call for votes on Python Maintainer Question"):
> * Don Armstrong (don@debian.org) [121004 23:09]:
> > I call for a vote on the following resolution to #573745.
> 
> > 7.
> > A The committee resolves that the maintainer of python interpreter
> > A packages in Debian is a team made up of members decided by (and
> > A including) Sandro Tosi <morph@debian.org>
> > 
> > B The committee resolves that the maintainer of python interpreter
> > B packages in Debian is a team made up of members decided by (and
> > B including) Jakub Wilk <jwilk@debian.org>
> > 
> > C The committee declines to change the maintainer of the python
> > C interpreter packages in Debian.
> > C 
> > C 8. The committee requests that Matthias Klose consider adding
> > C additional co-maintainers to the python interpreter package.
> 
> I vote C [AB] F.

Resending this message from Andreas to the bug report.

Ian.



Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Fri, 05 Oct 2012 19:06:05 GMT) Full text and rfc822 format available.

Notification sent to Sandro Tosi <morph@debian.org>:
Bug acknowledged by developer. (Fri, 05 Oct 2012 19:06:05 GMT) Full text and rfc822 format available.

Message #591 received at 573745-done@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 573745-done@bugs.debian.org
Subject: Re: Bug#573745: Call for votes on Python Maintainer Question
Date: Fri, 5 Oct 2012 12:03:32 -0700
The outcome was no longer in doubt some time ago; the committee
therefore resolves:

The technical committee was asked in #573745 to consider replacing the
current maintainer of python (Matthias Klose.) Multiple issues were
presented at the time, including a lack of communication from the
python maintainer, delays in uploads of new versions of python to
unstable/experimental, and a lack of coordination with packaging
helpers such as python-support, and python-central.

1. The communication between the python maintainer and other
individuals affected by python packaging has not been ideal. These
breakdowns appear to be rooted in an unfortunate feedback loop, of
which all parties involved share some blame.

  a) On multiple occasions, inflammatory comments regarding the
  employment and/or motives of individuals involved in python have
  been made.

  b) The target(s) of these inflammatory comments then decline to
  respond to any messages from the offending parties, and also reduce
  public communication to other parties lest further hurtful and
  demotivating comments ensue.

  c) The lack of response is taken as further confirmation of
  motives/bias, and decreases the threshold for additional terse or
  inflammatory comments. This reinforces b, completing the loop.

Neither the inflammatory comments, nor the lack of response are
acceptable outcomes.

2. No mediation was attempted by a party respected by the involved
parties until the pattern was well established and very difficult to
overcome. In the future, everyone would be better served if similar
issues were resolved in a nascent stage.

3. To resolve this issue, the committee has two options. It can either
replace the maintainer, or it can decide not to replace the
maintainer. Either decision will appear to validate one problematic
behavior or the other.

4. All relevant and interested parties have been canvassed, via the
-python list, to find what the possible teams of maintainers are for
the python interpreter packages. See
https://lists.debian.org/msgid-search/20120403083658.GB30420@upsilon.cc
and the ensuing thread.

Therefore, 

5. The committee expresses its disappointment in the communication
problems which have lead to this issue, and strongly suggests that all
involved parties be as awesome to each other as possible. In the advent
of communication failures or problems, we request that any involved
party contact a third party (such as a member of the technical
committee) to mediate.

6. The committee requests that all major changes in the python
interpreter packages which will affect other packages in Debian be
announced on the appropriate mailing lists before they take effect so
they can be planned for and/or unplanned problems discussed.

7. The committee declines to change the maintainer of the python
interpreter packages in Debian.

8. The committee requests that Matthias Klose consider adding
additional co-maintainers to the python interpreter package.





Don Armstrong

-- 
America was far better suited to be the World's Movie Star. The
world's tequila-addled pro-league bowler. The world's acerbic bi-polar
stand-up comedian. Anything but a somber and tedious nation of
socially responsible centurions.
 -- Bruce Sterling, _Distraction_ p122

http://www.donarmstrong.com              http://rzlab.ucr.edu



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Nov 2012 07:26:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:34:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.